﻿using System;
using UnityEngine;
using UnityEngine.UI;
using System.Collections;
using System.Collections.Generic;
using MVR.FileManagementSecure;
using SimpleJSON;
using MeshVR;
using Request = MeshVR.AssetLoader.AssetBundleFromFileRequest;
using AssetBundles;
using MVR;

/* --- © 2022 JaxZoa <JaxZoa@gmail.com> --- */

namespace JaxPlugins
{
    public class CLS_StepTarget : MVRScript
    {
        protected JSONStorableBool js_RightStep;
        protected JSONStorableFloat js_MaxDistance;
        protected JSONStorableFloat js_DirectionCheckFlexibility;

        public override void Init()
        {
            js_RightStep = new JSONStorableBool("RightStep", true);
            js_MaxDistance = new JSONStorableFloat("MaxDistance", 0.3f, 0.01f, 1f);
            js_DirectionCheckFlexibility = new JSONStorableFloat("DirectionCheckPrecision", 0.75f, 0f, 1f);

            RegisterBool(js_RightStep);
            RegisterFloat(js_MaxDistance);
            RegisterFloat(js_DirectionCheckFlexibility);

            CreateToggle(js_RightStep);
            CreateSlider(js_MaxDistance);
            CreateSlider(js_DirectionCheckFlexibility);
        }
    }
}