﻿using System;
using UnityEngine;
using System.Collections;
using System.Collections.Generic;
using SimpleJSON;

/* --- © 2022 JaxZoa <JaxZoa@gmail.com> --- */


namespace JaxPlugins
{
    public class BodyController_Complete : BodyController
    {
        #region JSON Storables definitions

        /* Storables */        

        #region Step Cycle Storables

        /* Step Cycle parameters */

        protected JSONStorableFloat js_StepsDuration;
        protected JSONStorableFloat js_StepsDelay;

        protected JSONStorableFloat js_StepsXOffset;
        protected JSONStorableFloat js_StepsXOffsetIdle;
        protected JSONStorableFloat js_StepsYOffset;

        protected JSONStorableFloat js_DurationRandom_Min;
        protected JSONStorableFloat js_DurationRandom_Max;

        protected JSONStorableFloat js_XOffsetRandom_Min;
        protected JSONStorableFloat js_XOffsetRandom_Max;

        
        protected JSONStorableFloat js_HandsStepZOffsetIdle;
        protected JSONStorableFloat js_HandsStepZOffsetMoving;
        protected JSONStorableFloat js_HandsStepXOffsetIdle;
        protected JSONStorableFloat js_HandsStepXOffsetMoving;
        protected JSONStorableFloat js_HandsStepDelay;

        protected JSONStorableFloat js_OnAllFourStepDelay;

        protected JSONStorableFloat js_Save_CurrentStepHeight;

        #endregion

        #region Dance Mode Storables

        /* Dance Mode parameters */

        protected JSONStorableBool js_DanceMode;
        protected JSONStorableFloat js_DanceAmplitude;

        protected JSONStorableFloat js_MoveBothKneesEachStepFactor;
        protected JSONStorableFloat js_MoveBothFeetsEachStepFactor;

        protected JSONStorableBool  js_RandomAmplitude;
        protected JSONStorableFloat js_DanceAmplitudeDelayMult;
        protected JSONStorableFloat js_DanceAmplitudeChange;
        protected JSONStorableFloat js_DanceAmplitudeChangeLimit;

        protected JSONStorableBool js_AutoRotate;
        protected JSONStorableFloat js_AutoRotDelayMult;
        protected JSONStorableFloat js_AutoRotAngleChangeMin;
        protected JSONStorableFloat js_AutoRotAngleChangeMax;
        protected JSONStorableFloat js_AutoRotAngleMin;
        protected JSONStorableFloat js_AutoRotAngleMax;

        protected JSONStorableBool js_HipsAutoRotate;
        protected JSONStorableFloat js_HipsAutoRotDelayMult;
        protected JSONStorableFloat js_HipsAutoRotAngleChangeMin;
        protected JSONStorableFloat js_HipsAutoRotAngleChangeMax;
        protected JSONStorableFloat js_HipsAutoRotAngleMin;
        protected JSONStorableFloat js_HipsAutoRotAngleMax;

        protected JSONStorableBool js_ChestAutoRotate;
        protected JSONStorableFloat js_ChestAutoRotDelayMult;
        protected JSONStorableFloat js_ChestAutoRotAngleChangeMin;
        protected JSONStorableFloat js_ChestAutoRotAngleChangeMax;
        protected JSONStorableFloat js_ChestAutoRotAngleMin;
        protected JSONStorableFloat js_ChestAutoRotAngleMax;

        protected JSONStorableBool js_HeadAutoRotate;
        protected JSONStorableFloat js_HeadAutoRotDelayMult;
        protected JSONStorableFloat js_HeadAutoRotAngleChangeMin;
        protected JSONStorableFloat js_HeadAutoRotAngleChangeMax;
        protected JSONStorableFloat js_HeadAutoRotAngleMin;
        protected JSONStorableFloat js_HeadAutoRotAngleMax;


        #endregion

        #region Actions Storables

        protected JSONStorableFloat js_Action_StepDurationChange;
        protected JSONStorableFloat js_Action_DanceAmplitudeChange;
        protected JSONStorableFloat js_Action_RotationOffsetChange;

        #endregion

        #region Gaze system Storables

        protected JSONStorableStringChooser js_GazeTargetAtom;
        protected JSONStorableStringChooser js_GazeTargetAtomController;

        protected JSONStorableBool js_GazeActive;
        protected JSONStorableFloat js_GazeSpeed;
        protected JSONStorableFloat js_GazeHipsHFollowThreshold;
        protected JSONStorableFloat js_GazeChestHFollowThreshold;
        protected JSONStorableFloat js_GazeMaxVertical;
        protected JSONStorableFloat js_GazeMinVertical;
        protected JSONStorableFloat js_GazeMaxHorizontal;
        protected JSONStorableFloat js_GazeMaxDistance;

        #endregion

        #region Auto Control Storables

        protected JSONStorableBool js_UseShoulderGrabToAdaptHeight;

        protected JSONStorableBool js_UseHeadGrabToAdaptBodyYaw;
        protected JSONStorableBool js_UseHeadGrabToAdaptBodyPitch;
        protected JSONStorableBool js_UseHeadGrabToAdaptBodyRoll;

        protected JSONStorableBool js_UseHandGrabToMoveTarget;
        protected JSONStorableBool js_UseHeadGrabCrawlingToAdaptChest;

        protected JSONStorableBool js_UseHeadGrabToAdaptPosition;
        protected JSONStorableBool js_UseChestGrabToAdaptPosition;
        protected JSONStorableBool js_UseHipsGrabToAdaptPosition;

        protected JSONStorableBool js_UseHandGrabToAdaptPosition;
        protected JSONStorableBool js_UseElbowGrabToAdaptPosition;
        protected JSONStorableBool js_UseShoulderGrabToAdaptPosition;

        protected JSONStorableBool js_UseFootGrabToAdaptPosition;
        protected JSONStorableBool js_UseKneeGrabToAdaptPosition;

        protected JSONStorableBool js_UseHeadGrabToAdaptRotation;
        protected JSONStorableBool js_UseChestGrabToAdaptRotation;
        protected JSONStorableBool js_UseHipsGrabToAdaptRotation;

        protected JSONStorableBool js_UseHandGrabToAdaptRotation;
        protected JSONStorableBool js_UseFootGrabToAdaptRotation;

        #endregion

        #region Body Control Storables

        protected JSONStorableBool js_UpdateRootControl;

        /* Body Control Toggles */

        protected JSONStorableBool js_UpdateHipControl;
        protected JSONStorableBool js_UpdateChestControl;
        protected JSONStorableBool js_UpdateHeadControl;
        protected JSONStorableBool js_UpdateRFootControl;
        protected JSONStorableBool js_UpdateLFootControl;
        protected JSONStorableBool js_UpdateRKneeControl;
        protected JSONStorableBool js_UpdateLKneeControl;
        protected JSONStorableBool js_UpdateRShoulderControl;
        protected JSONStorableBool js_UpdateLShoulderControl;
        protected JSONStorableBool js_UpdateRHandControl;
        protected JSONStorableBool js_UpdateLHandControl;
        protected JSONStorableBool js_UpdateRElbowControl;
        protected JSONStorableBool js_UpdateLElbowControl;

        protected JSONStorableBool js_UseHandsToMove;
        protected JSONStorableFloat js_HandsTransitionDuration;

        protected JSONStorableBool js_UseKneesToMove;
        protected JSONStorableFloat js_LegsTransitionDuration;

        #endregion

        #region Preset Storables

        protected JSONStorableFloat js_LoadGeneral;

        protected JSONStorableBool js_LoadFullBody;
        protected JSONStorableBool js_LoadTiming;
        protected JSONStorableBool js_LoadDance;
        protected JSONStorableBool js_LoadActions;
        protected JSONStorableBool js_LoadGaze;
        protected JSONStorableBool js_LoadHead;
        protected JSONStorableBool js_LoadChest;
        protected JSONStorableBool js_LoadHips;
        protected JSONStorableBool js_LoadRightHand;
        protected JSONStorableBool js_LoadLeftHand;
        protected JSONStorableBool js_LoadRightElbow;
        protected JSONStorableBool js_LoadLeftElbow;
        protected JSONStorableBool js_LoadRightShoulder;
        protected JSONStorableBool js_LoadLeftShoulder;
        protected JSONStorableBool js_LoadRightFoot;
        protected JSONStorableBool js_LoadLeftFoot;
        protected JSONStorableBool js_LoadRightKnee;
        protected JSONStorableBool js_LoadLeftKnee;

        protected JSONStorableFloat js_LoadFullBody_Duration;
        protected JSONStorableFloat js_LoadTiming_Duration;
        protected JSONStorableFloat js_LoadDance_Duration;
        protected JSONStorableFloat js_LoadActions_Duration;
        protected JSONStorableFloat js_LoadGaze_Duration;
        protected JSONStorableFloat js_LoadHead_Duration;
        protected JSONStorableFloat js_LoadChest_Duration;
        protected JSONStorableFloat js_LoadHips_Duration;
        protected JSONStorableFloat js_LoadRightHand_Duration;
        protected JSONStorableFloat js_LoadLeftHand_Duration;
        protected JSONStorableFloat js_LoadRightElbow_Duration;
        protected JSONStorableFloat js_LoadLeftElbow_Duration;
        protected JSONStorableFloat js_LoadRightShoulder_Duration;
        protected JSONStorableFloat js_LoadLeftShoulder_Duration;
        protected JSONStorableFloat js_LoadRightFoot_Duration;
        protected JSONStorableFloat js_LoadLeftFoot_Duration;
        protected JSONStorableFloat js_LoadRightKnee_Duration;
        protected JSONStorableFloat js_LoadLeftKnee_Duration;

        protected JSONStorableFloat js_LoadFullBody_Delay;
        protected JSONStorableFloat js_LoadTiming_Delay;
        protected JSONStorableFloat js_LoadDance_Delay;
        protected JSONStorableFloat js_LoadActions_Delay;
        protected JSONStorableFloat js_LoadGaze_Delay;
        protected JSONStorableFloat js_LoadHead_Delay;
        protected JSONStorableFloat js_LoadChest_Delay;
        protected JSONStorableFloat js_LoadHips_Delay;
        protected JSONStorableFloat js_LoadRightHand_Delay;
        protected JSONStorableFloat js_LoadLeftHand_Delay;
        protected JSONStorableFloat js_LoadRightElbow_Delay;
        protected JSONStorableFloat js_LoadLeftElbow_Delay;
        protected JSONStorableFloat js_LoadRightShoulder_Delay;
        protected JSONStorableFloat js_LoadLeftShoulder_Delay;
        protected JSONStorableFloat js_LoadRightFoot_Delay;
        protected JSONStorableFloat js_LoadLeftFoot_Delay;
        protected JSONStorableFloat js_LoadRightKnee_Delay;
        protected JSONStorableFloat js_LoadLeftKnee_Delay;

        #endregion

        #region Full Body Storables

        /* Fullbody Parameters */

        protected JSONStorableFloat js_BodyHeight;
        protected JSONStorableFloat js_BodyForward;
        protected JSONStorableFloat js_BodySide;

        protected JSONStorableFloat js_BodyYaw;
        protected JSONStorableFloat js_BodyPitch;
        protected JSONStorableFloat js_BodyRoll;

        protected JSONStorableFloat js_Step_BodyHeight;
        protected JSONStorableFloat js_Step_BodyForward;
        protected JSONStorableFloat js_Step_BodySide;

        protected JSONStorableFloat js_Step_BodyYaw;
        protected JSONStorableFloat js_Step_BodyPitch;
        protected JSONStorableFloat js_Step_BodyRoll;

        protected JSONStorableFloat js_Step_BodyHeight_MidPoint;
        protected JSONStorableFloat js_Step_BodyForward_MidPoint;
        protected JSONStorableFloat js_Step_BodySide_MidPoint;
        protected JSONStorableFloat js_Step_BodyYaw_MidPoint;
        protected JSONStorableFloat js_Step_BodyPitch_MidPoint;
        protected JSONStorableFloat js_Step_BodyRoll_MidPoint;

        #endregion

        #region Legs Storables

        /* Left Foot Parameters */

        protected JSONStorableFloat js_LFootSide;
        protected JSONStorableFloat js_LFootUpDown;
        protected JSONStorableFloat js_LFootForward;
        protected JSONStorableFloat js_LFootYaw;
        protected JSONStorableFloat js_LFootPitch;
        protected JSONStorableFloat js_LFootRoll;
        protected JSONStorableFloat js_LFootStepSide;
        protected JSONStorableFloat js_LFootStepUpDown;
        protected JSONStorableFloat js_LFootStepForward;
        protected JSONStorableFloat js_LFootStepYaw;
        protected JSONStorableFloat js_LFootStepPitch;
        protected JSONStorableFloat js_LFootStepRoll;

        protected JSONStorableFloat js_Step_LFootSide_MidPoint;
        protected JSONStorableFloat js_Step_LFootUpDown_MidPoint;
        protected JSONStorableFloat js_Step_LFootForward_MidPoint;
        protected JSONStorableFloat js_Step_LFootYaw_MidPoint;
        protected JSONStorableFloat js_Step_LFootPitch_MidPoint;
        protected JSONStorableFloat js_Step_LFootRoll_MidPoint;

        /* Right Foot Parameters */

        protected JSONStorableFloat js_RFootSide;
        protected JSONStorableFloat js_RFootUpDown;
        protected JSONStorableFloat js_RFootForward;
        protected JSONStorableFloat js_RFootYaw;
        protected JSONStorableFloat js_RFootPitch;
        protected JSONStorableFloat js_RFootRoll;
        protected JSONStorableFloat js_RFootStepSide;
        protected JSONStorableFloat js_RFootStepUpDown;
        protected JSONStorableFloat js_RFootStepForward;
        protected JSONStorableFloat js_RFootStepYaw;
        protected JSONStorableFloat js_RFootStepPitch;
        protected JSONStorableFloat js_RFootStepRoll;

        protected JSONStorableFloat js_Step_RFootSide_MidPoint;
        protected JSONStorableFloat js_Step_RFootUpDown_MidPoint;
        protected JSONStorableFloat js_Step_RFootForward_MidPoint;
        protected JSONStorableFloat js_Step_RFootYaw_MidPoint;
        protected JSONStorableFloat js_Step_RFootPitch_MidPoint;
        protected JSONStorableFloat js_Step_RFootRoll_MidPoint;

        /* Left Knee Parameters */

        protected JSONStorableFloat js_LKneeSide;
        protected JSONStorableFloat js_LKneeUpDown;
        protected JSONStorableFloat js_LKneeForward;
        protected JSONStorableFloat js_LKneeStepSide;
        protected JSONStorableFloat js_LKneeStepUpDown;
        protected JSONStorableFloat js_LKneeStepForward;

        protected JSONStorableFloat js_Step_LKneeSide_MidPoint;
        protected JSONStorableFloat js_Step_LKneeUpDown_MidPoint;
        protected JSONStorableFloat js_Step_LKneeForward_MidPoint;

        /* Right Knee Parameters */

        protected JSONStorableFloat js_RKneeSide;
        protected JSONStorableFloat js_RKneeUpDown;
        protected JSONStorableFloat js_RKneeForward;
        protected JSONStorableFloat js_RKneeStepSide;
        protected JSONStorableFloat js_RKneeStepUpDown;
        protected JSONStorableFloat js_RKneeStepForward;

        protected JSONStorableFloat js_Step_RKneeSide_MidPoint;
        protected JSONStorableFloat js_Step_RKneeUpDown_MidPoint;
        protected JSONStorableFloat js_Step_RKneeForward_MidPoint;

        #endregion

        #region Hips/Chest/Head storables

        /* Hips Parameters */

        protected JSONStorableFloat js_HipsSide;
        protected JSONStorableFloat js_HipsUpDown;
        protected JSONStorableFloat js_HipsForward;
        protected JSONStorableFloat js_HipsYaw;
        protected JSONStorableFloat js_HipsPitch;
        protected JSONStorableFloat js_HipsRoll;
        protected JSONStorableFloat js_HipsStepSide;
        protected JSONStorableFloat js_HipsStepUpDown;
        protected JSONStorableFloat js_HipsStepForward;
        protected JSONStorableFloat js_HipsStepYaw;
        protected JSONStorableFloat js_HipsStepPitch;
        protected JSONStorableFloat js_HipsStepRoll;

        protected JSONStorableFloat js_Step_HipsSide_MidPoint;
        protected JSONStorableFloat js_Step_HipsUpDown_MidPoint;
        protected JSONStorableFloat js_Step_HipsForward_MidPoint;
        protected JSONStorableFloat js_Step_HipsYaw_MidPoint;
        protected JSONStorableFloat js_Step_HipsPitch_MidPoint;
        protected JSONStorableFloat js_Step_HipsRoll_MidPoint;

        /* Chest Parameters */

        protected JSONStorableFloat js_ChestSide;
        protected JSONStorableFloat js_ChestUpDown;
        protected JSONStorableFloat js_ChestForward;
        protected JSONStorableFloat js_ChestYaw;
        protected JSONStorableFloat js_ChestPitch;
        protected JSONStorableFloat js_ChestRoll;
        protected JSONStorableFloat js_ChestStepSide;
        protected JSONStorableFloat js_ChestStepUpDown;
        protected JSONStorableFloat js_ChestStepForward;
        protected JSONStorableFloat js_ChestStepYaw;
        protected JSONStorableFloat js_ChestStepPitch;
        protected JSONStorableFloat js_ChestStepRoll;

        protected JSONStorableFloat js_Step_ChestSide_MidPoint;
        protected JSONStorableFloat js_Step_ChestUpDown_MidPoint;
        protected JSONStorableFloat js_Step_ChestForward_MidPoint;
        protected JSONStorableFloat js_Step_ChestYaw_MidPoint;
        protected JSONStorableFloat js_Step_ChestPitch_MidPoint;
        protected JSONStorableFloat js_Step_ChestRoll_MidPoint;


        /* Head Parameters */

        protected JSONStorableFloat js_HeadSide;
        protected JSONStorableFloat js_HeadUpDown;
        protected JSONStorableFloat js_HeadForward;
        protected JSONStorableFloat js_HeadYaw;
        protected JSONStorableFloat js_HeadPitch;
        protected JSONStorableFloat js_HeadRoll;
        protected JSONStorableFloat js_HeadStepSide;
        protected JSONStorableFloat js_HeadStepUpDown;
        protected JSONStorableFloat js_HeadStepForward;
        protected JSONStorableFloat js_HeadStepYaw;
        protected JSONStorableFloat js_HeadStepPitch;
        protected JSONStorableFloat js_HeadStepRoll;

        protected JSONStorableFloat js_Step_HeadSide_MidPoint;
        protected JSONStorableFloat js_Step_HeadUpDown_MidPoint;
        protected JSONStorableFloat js_Step_HeadForward_MidPoint;
        protected JSONStorableFloat js_Step_HeadYaw_MidPoint;
        protected JSONStorableFloat js_Step_HeadPitch_MidPoint;
        protected JSONStorableFloat js_Step_HeadRoll_MidPoint;

        #endregion

        #region Arms Storables

        /* Left Arm Parameters */

        protected JSONStorableFloat js_LShoulderSide;
        protected JSONStorableFloat js_LShoulderUpDown;
        protected JSONStorableFloat js_LShoulderForward;
        protected JSONStorableFloat js_LHandSide;
        protected JSONStorableFloat js_LHandUpDown;
        protected JSONStorableFloat js_LHandForward;
        protected JSONStorableFloat js_LHandYaw;
        protected JSONStorableFloat js_LHandPitch;
        protected JSONStorableFloat js_LHandRoll;
        protected JSONStorableFloat js_LElbowSide;
        protected JSONStorableFloat js_LElbowUpDown;
        protected JSONStorableFloat js_LElbowForward;

        protected JSONStorableFloat js_LShoulderStepSide;
        protected JSONStorableFloat js_LShoulderStepUpDown;
        protected JSONStorableFloat js_LShoulderStepForward;
        protected JSONStorableFloat js_LHandStepSide;
        protected JSONStorableFloat js_LHandStepUpDown;
        protected JSONStorableFloat js_LHandStepForward;
        protected JSONStorableFloat js_LHandStepYaw;
        protected JSONStorableFloat js_LHandStepPitch;
        protected JSONStorableFloat js_LHandStepRoll;
        protected JSONStorableFloat js_LElbowStepSide;
        protected JSONStorableFloat js_LElbowStepUpDown;
        protected JSONStorableFloat js_LElbowStepForward;

        protected JSONStorableFloat js_Step_LShoulderSide_MidPoint;
        protected JSONStorableFloat js_Step_LShoulderUpDown_MidPoint;
        protected JSONStorableFloat js_Step_LShoulderForward_MidPoint;

        protected JSONStorableFloat js_Step_LElbowSide_MidPoint;
        protected JSONStorableFloat js_Step_LElbowUpDown_MidPoint;
        protected JSONStorableFloat js_Step_LElbowForward_MidPoint;

        protected JSONStorableFloat js_Step_LHandSide_MidPoint;
        protected JSONStorableFloat js_Step_LHandUpDown_MidPoint;
        protected JSONStorableFloat js_Step_LHandForward_MidPoint;
        protected JSONStorableFloat js_Step_LHandYaw_MidPoint;
        protected JSONStorableFloat js_Step_LHandPitch_MidPoint;
        protected JSONStorableFloat js_Step_LHandRoll_MidPoint;


        protected JSONStorableFloat js_LArmFollowBody;

        /* Right Arm Parameters */

        protected JSONStorableFloat js_RShoulderSide;               
        protected JSONStorableFloat js_RShoulderUpDown;
        protected JSONStorableFloat js_RShoulderForward;
        protected JSONStorableFloat js_RHandSide;
        protected JSONStorableFloat js_RHandUpDown;
        protected JSONStorableFloat js_RHandForward;
        protected JSONStorableFloat js_RHandYaw;
        protected JSONStorableFloat js_RHandPitch;
        protected JSONStorableFloat js_RHandRoll;
        protected JSONStorableFloat js_RElbowSide;
        protected JSONStorableFloat js_RElbowUpDown;
        protected JSONStorableFloat js_RElbowForward;
        protected JSONStorableFloat js_RShoulderStepSide;
        protected JSONStorableFloat js_RShoulderStepUpDown;
        protected JSONStorableFloat js_RShoulderStepForward;
        protected JSONStorableFloat js_RHandStepSide;
        protected JSONStorableFloat js_RHandStepUpDown;
        protected JSONStorableFloat js_RHandStepForward;
        protected JSONStorableFloat js_RHandStepYaw;
        protected JSONStorableFloat js_RHandStepPitch;
        protected JSONStorableFloat js_RHandStepRoll;
        protected JSONStorableFloat js_RElbowStepSide;
        protected JSONStorableFloat js_RElbowStepUpDown;
        protected JSONStorableFloat js_RElbowStepForward;

        protected JSONStorableFloat js_Step_RShoulderSide_MidPoint;
        protected JSONStorableFloat js_Step_RShoulderUpDown_MidPoint;
        protected JSONStorableFloat js_Step_RShoulderForward_MidPoint;

        protected JSONStorableFloat js_Step_RElbowSide_MidPoint;
        protected JSONStorableFloat js_Step_RElbowUpDown_MidPoint;
        protected JSONStorableFloat js_Step_RElbowForward_MidPoint;

        protected JSONStorableFloat js_Step_RHandSide_MidPoint;
        protected JSONStorableFloat js_Step_RHandUpDown_MidPoint;
        protected JSONStorableFloat js_Step_RHandForward_MidPoint;
        protected JSONStorableFloat js_Step_RHandYaw_MidPoint;
        protected JSONStorableFloat js_Step_RHandPitch_MidPoint;
        protected JSONStorableFloat js_Step_RHandRoll_MidPoint;

        protected JSONStorableFloat js_RArmFollowBody;

        protected bool isActive = false;

        #endregion

        /* End Storables */

        #endregion
        
        #region Init Storables

        public void InitStorables()
        {            
            InitStorables_Action();
            InitStorables_Presets();
            InitStorables_Control();
            InitStorables_Dance();
            InitStorables_GrabSystem();
            InitStorables_GazeSystem();
            InitStorables_StepCycle();

            InitStorables_Fullbody();
            InitStorables_Feet();
            InitStorables_Hips();
            InitStorables_Chest();
            InitStorables_Head();
            InitStorables_Knees();
            InitStorables_Arms();
        }

        public void InitStorables_Fullbody()
        {
            /* Global */

            js_BodyHeight = new JSONStorableFloat("Body_Height", 1f, 0.02f, 1f);
            js_BodyForward = new JSONStorableFloat("Body_Forward", 0f, -0.5f, 0.5f, false);
            js_BodySide = new JSONStorableFloat("Body_Side", 0f, -0.5f, 0.5f, false);

            js_BodyYaw = new JSONStorableFloat("Body_Yaw", 0f, -175f, 175f);
            js_BodyPitch = new JSONStorableFloat("Body_Pitch", 0f, -100f, 175f);
            js_BodyRoll = new JSONStorableFloat("Body_Roll", 0f, -100f, 100f);

            js_Step_BodyHeight = new JSONStorableFloat("Step_Body_Height", 0f, -0.5f, 0.5f);
            js_Step_BodyForward = new JSONStorableFloat("Step_Body_Forward", 0f, -0.5f, 0.5f);
            js_Step_BodySide = new JSONStorableFloat("Step_Body_Side",0f, -0.5f, 0.5f);

            js_Step_BodyYaw = new JSONStorableFloat("Step_Body_Yaw", 0, -180f, 180f);
            js_Step_BodyPitch = new JSONStorableFloat("Step_Body_Pitch", 0, -180f, 180f);
            js_Step_BodyRoll = new JSONStorableFloat("Step_Body_Roll", 0, -180f, 180f);

            js_Step_BodyHeight_MidPoint = new JSONStorableFloat("BodyHeight_MidPoint", 0.5f, 0.01f, 0.99f);
            js_Step_BodyForward_MidPoint = new JSONStorableFloat("BodyForward_MidPoint", 0.5f, 0.01f, 0.99f);
            js_Step_BodySide_MidPoint = new JSONStorableFloat("BodySide_MidPoint", 0.5f, 0.01f, 0.99f);
            js_Step_BodyYaw_MidPoint = new JSONStorableFloat("BodyYaw_MidPoint", 0.5f, 0.01f, 0.99f);
            js_Step_BodyPitch_MidPoint = new JSONStorableFloat("BodyPitch_MidPoint", 0.5f, 0.01f, 0.99f);
            js_Step_BodyRoll_MidPoint = new JSONStorableFloat("BodyRoll_MidPoint", 0.5f, 0.01f, 0.99f);

            js_MoveBothKneesEachStepFactor = new JSONStorableFloat("Body_MoveKneesBothSteps", 0f, 0f, 1f);
            js_MoveBothFeetsEachStepFactor = new JSONStorableFloat("Body_MoveFeetBothSteps", 0f, 0f, 1f);

            js_UseHandsToMove = new JSONStorableBool("UseHandsToMove", false);
            js_HandsTransitionDuration = new JSONStorableFloat("HandsTransitionDuration", 1f, 0.1f, 2f);

            js_UseHandsToMove.setCallbackFunction = Callback_UpdateUseHands;

            js_UseKneesToMove = new JSONStorableBool("UseKneesToMove", false);
            js_LegsTransitionDuration = new JSONStorableFloat("LegsTransitionDuration", 1f, 0.1f, 2f);

            manager.RegisterFloat(js_BodyHeight);
            manager.RegisterFloat(js_BodyForward);
            manager.RegisterFloat(js_BodySide);
            manager.RegisterFloat(js_BodyYaw);
            manager.RegisterFloat(js_BodyPitch);
            manager.RegisterFloat(js_BodyRoll);
            manager.RegisterFloat(js_Step_BodyHeight);
            manager.RegisterFloat(js_Step_BodyForward);
            manager.RegisterFloat(js_Step_BodySide);
            manager.RegisterFloat(js_Step_BodyYaw);
            manager.RegisterFloat(js_Step_BodyPitch);
            manager.RegisterFloat(js_Step_BodyRoll);

            manager.RegisterFloat(js_Step_BodyHeight_MidPoint);
            manager.RegisterFloat(js_Step_BodyForward_MidPoint);
            manager.RegisterFloat(js_Step_BodySide_MidPoint);
            manager.RegisterFloat(js_Step_BodyYaw_MidPoint);
            manager.RegisterFloat(js_Step_BodyPitch_MidPoint);
            manager.RegisterFloat(js_Step_BodyRoll_MidPoint);

            manager.RegisterFloat(js_MoveBothKneesEachStepFactor);
            manager.RegisterFloat(js_MoveBothFeetsEachStepFactor);

            manager.RegisterBool(js_UseHandsToMove);
            manager.RegisterFloat(js_HandsTransitionDuration);

            manager.RegisterBool(js_UseKneesToMove);
            manager.RegisterFloat(js_LegsTransitionDuration);
        }

        public void InitStorables_Action()
        {
            JSONStorableAction _js_Action;

            /* Presets Actions */

            JSONStorableUrl _js_LoadPresetURL = new JSONStorableUrl("Load Fullbody Preset Path", CLS.FBP_DIR, "", CLS.FBP_DIR + "\\");
            JSONStorableActionPresetFilePath _js_PresetAction = new JSONStorableActionPresetFilePath("Load Fullbody Preset File", manager.LoadFullBodyPreset, _js_LoadPresetURL);

            manager.RegisterPresetFilePathAction(_js_PresetAction);
            manager.RegisterUrl(_js_LoadPresetURL);

            _js_LoadPresetURL = new JSONStorableUrl("Load Full Trigger Path", CLS.TP_DIR, "", CLS.TP_DIR + "\\");
            _js_PresetAction = new JSONStorableActionPresetFilePath("Load Full Trigger File", manager.LoadTriggerFullTriggerPreset, _js_LoadPresetURL);

            manager.RegisterPresetFilePathAction(_js_PresetAction);
            manager.RegisterUrl(_js_LoadPresetURL);

            _js_LoadPresetURL = new JSONStorableUrl("Load Destination Reached Trigger Path", CLS.TP_DIR, "", CLS.TP_DIR + "\\");
            _js_PresetAction = new JSONStorableActionPresetFilePath("Load Destination Reached Trigger File", manager.LoadTriggerDestinationReachedPreset, _js_LoadPresetURL);

            manager.RegisterPresetFilePathAction(_js_PresetAction);
            manager.RegisterUrl(_js_LoadPresetURL);          

            /* Dance Actions Interval Control */

            js_Action_DanceAmplitudeChange = new JSONStorableFloat("Action_DanceAmplitudeChange", 0.05f, 0.01f, 0.5f);
            manager.RegisterFloat(js_Action_DanceAmplitudeChange);

            js_Action_StepDurationChange = new JSONStorableFloat("Action_StepDurationChange", 0.05f, 0.01f, 0.5f);
            manager.RegisterFloat(js_Action_StepDurationChange);

            js_Action_RotationOffsetChange = new JSONStorableFloat("Action_RotationOffsetChange", 15f, 5f, 180f);
            manager.RegisterFloat(js_Action_RotationOffsetChange);


            /* CLS Dance Actions */

            _js_Action = new JSONStorableAction("Action_ResetSteps", Callback_ResetSteps);
            manager.RegisterAction(_js_Action);

            _js_Action = new JSONStorableAction("Action_IncrementStepDuration", Action_IncrementStepDuration);
            manager.RegisterAction(_js_Action);

            _js_Action = new JSONStorableAction("Action_DecrementStepDuration", Action_DecrementStepDuration);
            manager.RegisterAction(_js_Action);

            _js_Action = new JSONStorableAction("Action_IncrementDanceAmplitude", Action_IncrementDanceAmplitude);
            manager.RegisterAction(_js_Action);

            _js_Action = new JSONStorableAction("Action_DecrementDanceAmplitude", Action_DecrementDanceAmplitude);
            manager.RegisterAction(_js_Action);

            _js_Action = new JSONStorableAction("Action_IncrementRotationOffset", Action_IncrementRotationOffset);
            manager.RegisterAction(_js_Action);

            _js_Action = new JSONStorableAction("Action_DecrementRotationOffset", Action_DecrementRotationOffset);
            manager.RegisterAction(_js_Action);

            _js_Action = new JSONStorableAction("Action_SyncBeat", Action_SyncBeat);
            manager.RegisterAction(_js_Action);


        }

        public void InitStorables_Presets()
        {
            js_LoadGeneral = new JSONStorableFloat("General Load Time", 1, 0, 1, false);

            js_LoadFullBody = new JSONStorableBool("Load Fullybody parameters", true); 
            js_LoadTiming = new JSONStorableBool("Load Timing parameters", true);
            js_LoadActions = new JSONStorableBool("Load Actions parameters", true);
            js_LoadDance = new JSONStorableBool("Load Dance parameters", true);
            js_LoadGaze = new JSONStorableBool("Load Gaze parameters", true);
            js_LoadHead = new JSONStorableBool("Load Head parameters", true);
            js_LoadChest = new JSONStorableBool("Load Chest parameters", true);
            js_LoadHips = new JSONStorableBool("Load Hips parameters", true);
            js_LoadRightShoulder = new JSONStorableBool("Load RightShoulder parameters", true);
            js_LoadLeftShoulder = new JSONStorableBool("Load LeftShoulder parameters", true);
            js_LoadRightElbow = new JSONStorableBool("Load RightElbow parameters", true);
            js_LoadLeftElbow = new JSONStorableBool("Load LeftElbow parameters", true);
            js_LoadRightHand = new JSONStorableBool("Load RightHand parameters", true);
            js_LoadLeftHand = new JSONStorableBool("Load LeftHand parameters", true);
            js_LoadRightKnee = new JSONStorableBool("Load RightKnee parameters", true);
            js_LoadLeftKnee = new JSONStorableBool("Load LeftKnee parameters", true);
            js_LoadRightFoot = new JSONStorableBool("Load RightFoot parameters", true);
            js_LoadLeftFoot = new JSONStorableBool("Load LeftFoot parameters", true);

            js_LoadFullBody.setCallbackFunction += Callback_PresetToggleChanged;
            js_LoadTiming.setCallbackFunction += Callback_PresetToggleChanged;
            js_LoadActions.setCallbackFunction += Callback_PresetToggleChanged;
            js_LoadDance.setCallbackFunction += Callback_PresetToggleChanged;
            js_LoadGaze.setCallbackFunction += Callback_PresetToggleChanged;
            js_LoadHead.setCallbackFunction += Callback_PresetToggleChanged;
            js_LoadChest.setCallbackFunction += Callback_PresetToggleChanged;
            js_LoadHips.setCallbackFunction += Callback_PresetToggleChanged;
            js_LoadRightShoulder.setCallbackFunction += Callback_PresetToggleChanged;
            js_LoadLeftShoulder.setCallbackFunction += Callback_PresetToggleChanged;
            js_LoadRightElbow.setCallbackFunction += Callback_PresetToggleChanged;
            js_LoadLeftElbow.setCallbackFunction += Callback_PresetToggleChanged;
            js_LoadRightHand.setCallbackFunction += Callback_PresetToggleChanged;
            js_LoadLeftHand.setCallbackFunction += Callback_PresetToggleChanged;
            js_LoadRightKnee.setCallbackFunction += Callback_PresetToggleChanged;
            js_LoadLeftKnee.setCallbackFunction += Callback_PresetToggleChanged;
            js_LoadRightFoot.setCallbackFunction += Callback_PresetToggleChanged;
            js_LoadLeftFoot.setCallbackFunction += Callback_PresetToggleChanged;

            js_LoadFullBody_Duration = new JSONStorableFloat("Load Fullybody duration", 1, 0, 2, false);
            js_LoadTiming_Duration = new JSONStorableFloat("Load Timing duration", 1, 0, 2, false);
            js_LoadActions_Duration = new JSONStorableFloat("Load Actions duration", 1, 0, 2, false);
            js_LoadDance_Duration = new JSONStorableFloat("Load Dance duration", 1, 0, 2, false);
            js_LoadGaze_Duration = new JSONStorableFloat("Load Gaze duration", 1, 0, 2, false);
            js_LoadHead_Duration = new JSONStorableFloat("Load Head duration", 1, 0, 2, false);
            js_LoadChest_Duration = new JSONStorableFloat("Load Chest duration", 1, 0, 2, false);
            js_LoadHips_Duration = new JSONStorableFloat("Load Hips duration", 1, 0, 2, false);
            js_LoadRightShoulder_Duration = new JSONStorableFloat("Load RightShoulder duration", 1, 0, 2, false);
            js_LoadLeftShoulder_Duration = new JSONStorableFloat("Load LeftShoulder duration", 1, 0, 2, false);
            js_LoadRightElbow_Duration = new JSONStorableFloat("Load RightElbow duration", 1, 0, 2, false);
            js_LoadLeftElbow_Duration = new JSONStorableFloat("Load LeftElbow duration", 1, 0, 2, false);
            js_LoadRightHand_Duration = new JSONStorableFloat("Load RightHand duration", 1, 0, 2, false);
            js_LoadLeftHand_Duration = new JSONStorableFloat("Load LeftHand duration", 1, 0, 2, false);
            js_LoadRightKnee_Duration = new JSONStorableFloat("Load RightKnee duration", 1, 0, 2, false);
            js_LoadLeftKnee_Duration = new JSONStorableFloat("Load LeftKnee duration", 1, 0, 2, false);
            js_LoadRightFoot_Duration = new JSONStorableFloat("Load RightFoot duration", 1, 0, 2, false);
            js_LoadLeftFoot_Duration = new JSONStorableFloat("Load LeftFoot duration", 1, 0, 2, false);

            js_LoadFullBody_Delay = new JSONStorableFloat("Load Fullybody delay", 0, 0, 1, false);
            js_LoadTiming_Delay = new JSONStorableFloat("Load Timing delay", 0, 0, 1, false);
            js_LoadActions_Delay = new JSONStorableFloat("Load Actions delay", 0, 0, 1, false);
            js_LoadDance_Delay = new JSONStorableFloat("Load Dance delay", 0, 0, 1, false);
            js_LoadGaze_Delay = new JSONStorableFloat("Load Gaze delay", 0, 0, 1, false);
            js_LoadHead_Delay = new JSONStorableFloat("Load Head delay", 0, 0, 1, false);
            js_LoadChest_Delay = new JSONStorableFloat("Load Chest delay", 0, 0, 1, false);
            js_LoadHips_Delay = new JSONStorableFloat("Load Hips delay", 0, 0, 1, false);
            js_LoadRightShoulder_Delay = new JSONStorableFloat("Load RightShoulder delay", 0, 0, 1, false);
            js_LoadLeftShoulder_Delay = new JSONStorableFloat("Load LeftShoulder delay", 0, 0, 1, false);
            js_LoadRightElbow_Delay = new JSONStorableFloat("Load RightElbow delay", 0, 0, 1, false);
            js_LoadLeftElbow_Delay = new JSONStorableFloat("Load LeftElbow delay", 0, 0, 1, false);
            js_LoadRightHand_Delay = new JSONStorableFloat("Load RightHand delay", 0, 0, 1, false);
            js_LoadLeftHand_Delay = new JSONStorableFloat("Load LeftHand delay", 0, 0, 1, false);
            js_LoadRightKnee_Delay = new JSONStorableFloat("Load RightKnee delay", 0, 0, 1, false);
            js_LoadLeftKnee_Delay = new JSONStorableFloat("Load LeftKnee delay", 0, 0, 1, false);
            js_LoadRightFoot_Delay = new JSONStorableFloat("Load RightFoot delay", 0, 0, 1, false);
            js_LoadLeftFoot_Delay = new JSONStorableFloat("Load LeftFoot delay", 0, 0, 1, false);

            manager.RegisterFloat(js_LoadGeneral);

            manager.RegisterBool(js_LoadFullBody);
            manager.RegisterBool(js_LoadTiming);
            manager.RegisterBool(js_LoadActions);
            manager.RegisterBool(js_LoadDance);
            manager.RegisterBool(js_LoadGaze);
            manager.RegisterBool(js_LoadHead);
            manager.RegisterBool(js_LoadChest);
            manager.RegisterBool(js_LoadHips);
            manager.RegisterBool(js_LoadRightShoulder);
            manager.RegisterBool(js_LoadLeftShoulder);
            manager.RegisterBool(js_LoadRightElbow);
            manager.RegisterBool(js_LoadLeftElbow);
            manager.RegisterBool(js_LoadRightHand);
            manager.RegisterBool(js_LoadLeftHand);
            manager.RegisterBool(js_LoadRightKnee);
            manager.RegisterBool(js_LoadLeftKnee);
            manager.RegisterBool(js_LoadRightFoot);
            manager.RegisterBool(js_LoadLeftFoot);

            manager.RegisterFloat(js_LoadFullBody_Duration);
            manager.RegisterFloat(js_LoadTiming_Duration);
            manager.RegisterFloat(js_LoadActions_Duration);
            manager.RegisterFloat(js_LoadDance_Duration);
            manager.RegisterFloat(js_LoadGaze_Duration);
            manager.RegisterFloat(js_LoadHead_Duration);
            manager.RegisterFloat(js_LoadChest_Duration);
            manager.RegisterFloat(js_LoadHips_Duration);
            manager.RegisterFloat(js_LoadRightShoulder_Duration);
            manager.RegisterFloat(js_LoadLeftShoulder_Duration);
            manager.RegisterFloat(js_LoadRightElbow_Duration);
            manager.RegisterFloat(js_LoadLeftElbow_Duration);
            manager.RegisterFloat(js_LoadRightHand_Duration);
            manager.RegisterFloat(js_LoadLeftHand_Duration);
            manager.RegisterFloat(js_LoadRightKnee_Duration);
            manager.RegisterFloat(js_LoadLeftKnee_Duration);
            manager.RegisterFloat(js_LoadRightFoot_Duration);
            manager.RegisterFloat(js_LoadLeftFoot_Duration);

            manager.RegisterFloat(js_LoadFullBody_Delay);
            manager.RegisterFloat(js_LoadTiming_Delay);
            manager.RegisterFloat(js_LoadActions_Delay);
            manager.RegisterFloat(js_LoadDance_Delay);
            manager.RegisterFloat(js_LoadGaze_Delay);
            manager.RegisterFloat(js_LoadHead_Delay);
            manager.RegisterFloat(js_LoadChest_Delay);
            manager.RegisterFloat(js_LoadHips_Delay);
            manager.RegisterFloat(js_LoadRightShoulder_Delay);
            manager.RegisterFloat(js_LoadLeftShoulder_Delay);
            manager.RegisterFloat(js_LoadRightElbow_Delay);
            manager.RegisterFloat(js_LoadLeftElbow_Delay);
            manager.RegisterFloat(js_LoadRightHand_Delay);
            manager.RegisterFloat(js_LoadLeftHand_Delay);
            manager.RegisterFloat(js_LoadRightKnee_Delay);
            manager.RegisterFloat(js_LoadLeftKnee_Delay);
            manager.RegisterFloat(js_LoadRightFoot_Delay);
            manager.RegisterFloat(js_LoadLeftFoot_Delay);
        }

        public void InitStorables_GrabSystem()
        {
            js_UseHandGrabToMoveTarget = new JSONStorableBool("Grab Hand To Move", true);
            js_UseShoulderGrabToAdaptHeight = new JSONStorableBool("Grab Shoulder Adapts Body Height", true);
            js_UseHeadGrabCrawlingToAdaptChest = new JSONStorableBool("Grab Head Crawling Adapts Chest", true);
            js_UseHeadGrabToAdaptBodyYaw = new JSONStorableBool("Rotate Head Adapts Body Yaw", false);
            js_UseHeadGrabToAdaptBodyPitch = new JSONStorableBool("Grab Head Adapts Body Pitch", false);
            js_UseHeadGrabToAdaptBodyRoll = new JSONStorableBool("Grab Head Adapts Body Roll", false);

            js_UseHeadGrabToAdaptPosition = new JSONStorableBool("Grab Head Adapts Position", false);
            js_UseChestGrabToAdaptPosition = new JSONStorableBool("Grab Chest Adapts Position", false);
            js_UseHipsGrabToAdaptPosition = new JSONStorableBool("Grab Hips Adapts Position", false);

            js_UseHandGrabToAdaptPosition = new JSONStorableBool("Grab Hand Adapts Position", false);
            js_UseElbowGrabToAdaptPosition = new JSONStorableBool("Grab Elbow Adapts Position", false);
            js_UseShoulderGrabToAdaptPosition = new JSONStorableBool("Grab Shoulder Adapts Position", false);

            js_UseFootGrabToAdaptPosition = new JSONStorableBool("Grab Foot Adapts Position", false);
            js_UseKneeGrabToAdaptPosition = new JSONStorableBool("Grab Knee Adapts Position", false);

            js_UseHeadGrabToAdaptRotation = new JSONStorableBool("Grab Head Adapts Rotation", false);
            js_UseChestGrabToAdaptRotation = new JSONStorableBool("Grab Chest Adapts Rotation", false);
            js_UseHipsGrabToAdaptRotation = new JSONStorableBool("Grab Hips Adapts Rotation", false);

            js_UseHandGrabToAdaptRotation = new JSONStorableBool("Grab Hand Adapts Rotation", false);
            js_UseFootGrabToAdaptRotation = new JSONStorableBool("Grab Foot Adapts Rotation", false);

            manager.RegisterBool(js_UseHandGrabToMoveTarget);
            manager.RegisterBool(js_UseShoulderGrabToAdaptHeight);           
            manager.RegisterBool(js_UseHeadGrabCrawlingToAdaptChest);
            manager.RegisterBool(js_UseHeadGrabToAdaptBodyYaw);
            manager.RegisterBool(js_UseHeadGrabToAdaptBodyPitch);
            manager.RegisterBool(js_UseHeadGrabToAdaptBodyRoll);

            manager.RegisterBool(js_UseHeadGrabToAdaptPosition);
            manager.RegisterBool(js_UseChestGrabToAdaptPosition);
            manager.RegisterBool(js_UseHipsGrabToAdaptPosition);

            manager.RegisterBool(js_UseHandGrabToAdaptPosition);
            manager.RegisterBool(js_UseElbowGrabToAdaptPosition);
            manager.RegisterBool(js_UseShoulderGrabToAdaptPosition);

            manager.RegisterBool(js_UseFootGrabToAdaptPosition);
            manager.RegisterBool(js_UseKneeGrabToAdaptPosition);

            manager.RegisterBool(js_UseHeadGrabToAdaptRotation);
            manager.RegisterBool(js_UseChestGrabToAdaptRotation);
            manager.RegisterBool(js_UseHipsGrabToAdaptRotation);

            manager.RegisterBool(js_UseHandGrabToAdaptRotation);
            manager.RegisterBool(js_UseFootGrabToAdaptRotation);
        }

        public void InitStorables_Control()
        {
            js_UpdateRootControl = new JSONStorableBool("Update Root Control", false);
            manager.RegisterBool(js_UpdateRootControl);

            /* Body Control Toggles */

            js_UpdateHipControl = new JSONStorableBool("Update Hip", true);
            js_UpdateChestControl = new JSONStorableBool("Update Chest", true);
            js_UpdateHeadControl = new JSONStorableBool("Update Head", true);
            js_UpdateRFootControl = new JSONStorableBool("Update Right Foot", true);
            js_UpdateLFootControl = new JSONStorableBool("Update Left Foot", true);
            js_UpdateRKneeControl = new JSONStorableBool("Update Right Knee", true);
            js_UpdateLKneeControl = new JSONStorableBool("Update Left Knee", true);
            js_UpdateRShoulderControl = new JSONStorableBool("Update Right Shoulder", true);
            js_UpdateLShoulderControl = new JSONStorableBool("Update Left Shoulder", true);
            js_UpdateRHandControl = new JSONStorableBool("Update Right Hand", true);
            js_UpdateLHandControl = new JSONStorableBool("Update Left Hand", true);
            js_UpdateRElbowControl = new JSONStorableBool("Update Right Elbow", true);
            js_UpdateLElbowControl = new JSONStorableBool("Update Left Elbow", true);

            js_UpdateHipControl.setCallbackFunction = Callback_UpdateBodyControlToggles;
            js_UpdateChestControl.setCallbackFunction = Callback_UpdateBodyControlToggles;
            js_UpdateHeadControl.setCallbackFunction = Callback_UpdateBodyControlToggles;
            js_UpdateRFootControl.setCallbackFunction = Callback_UpdateBodyControlToggles;
            js_UpdateLFootControl.setCallbackFunction = Callback_UpdateBodyControlToggles;
            js_UpdateRKneeControl.setCallbackFunction = Callback_UpdateBodyControlToggles;
            js_UpdateLKneeControl.setCallbackFunction = Callback_UpdateBodyControlToggles;
            js_UpdateRShoulderControl.setCallbackFunction = Callback_UpdateBodyControlToggles;
            js_UpdateLShoulderControl.setCallbackFunction = Callback_UpdateBodyControlToggles;
            js_UpdateRHandControl.setCallbackFunction = Callback_UpdateBodyControlToggles;
            js_UpdateLHandControl.setCallbackFunction = Callback_UpdateBodyControlToggles;
            js_UpdateRElbowControl.setCallbackFunction = Callback_UpdateBodyControlToggles;
            js_UpdateLElbowControl.setCallbackFunction = Callback_UpdateBodyControlToggles;

            manager.RegisterBool(js_UpdateHipControl);
            manager.RegisterBool(js_UpdateChestControl);
            manager.RegisterBool(js_UpdateHeadControl);
            manager.RegisterBool(js_UpdateRFootControl);
            manager.RegisterBool(js_UpdateLFootControl);
            manager.RegisterBool(js_UpdateRKneeControl);
            manager.RegisterBool(js_UpdateLKneeControl);
            manager.RegisterBool(js_UpdateRShoulderControl);
            manager.RegisterBool(js_UpdateLShoulderControl);
            manager.RegisterBool(js_UpdateRHandControl);
            manager.RegisterBool(js_UpdateLHandControl);
            manager.RegisterBool(js_UpdateRElbowControl);
            manager.RegisterBool(js_UpdateLElbowControl);
        }

        public void InitStorables_Dance()
        {
            /* Dance */

            js_DanceMode = new JSONStorableBool("DanceMode", false);
            js_DanceAmplitude = new JSONStorableFloat("Dance_Amplitude", 1, 0, 1, false);

            js_DanceMode.setCallbackFunction = Callback_UpdateStepInPlace;
            js_DanceAmplitude.setCallbackFunction += Callback_UpdateStepCycleParameters;

            js_RandomAmplitude = new JSONStorableBool("Dance_RandomAmplitude", false);
            js_RandomAmplitude.setCallbackFunction += Callback_DanceToggleChanged;

            js_DanceAmplitudeDelayMult = new JSONStorableFloat("Dance_RandomAmplitudeChangeDuration", 1, 0, 10);
            js_DanceAmplitudeChange = new JSONStorableFloat("Dance_RandomAmplitudeChange", 0.1f, 0, 10);
            js_DanceAmplitudeChangeLimit = new JSONStorableFloat("Dance_AmplitudeChangeLimit", 0.3f, 0, 10);


            js_AutoRotate = new JSONStorableBool("Dance_AutoRotate", false);
            js_AutoRotate.setCallbackFunction += Callback_UpdateAutoRotate;
            js_AutoRotate.setCallbackFunction += Callback_DanceToggleChanged;

            js_AutoRotAngleChangeMin = new JSONStorableFloat("Dance_AutoRotAngleChangeMin", 5, 0, 180);
            js_AutoRotAngleChangeMax = new JSONStorableFloat("Dance_AutoRotAngleChangeMax", 30, 0, 180);
            js_AutoRotAngleMin = new JSONStorableFloat("Dance_AutoRotAngleLeft", 45, 0, 180);
            js_AutoRotAngleMax = new JSONStorableFloat("Dance_AutoRotAngleRight", 45, 0, 180);
            js_AutoRotDelayMult = new JSONStorableFloat("Dance_AutoRotSpeed", 2, 0, 10);

            js_HipsAutoRotate = new JSONStorableBool("Dance_AutoRotateHips", false);
            js_HipsAutoRotate.setCallbackFunction += Callback_DanceToggleChanged;

            js_HipsAutoRotDelayMult = new JSONStorableFloat("Dance_HipsAutoRotDuration", 1, 0, 10);
            js_HipsAutoRotAngleChangeMin = new JSONStorableFloat("Dance_HipsAutoRotChangeMin", 5, 0, 90);
            js_HipsAutoRotAngleChangeMax = new JSONStorableFloat("Dance_HipsAutoRotChangeMax", 30, 0, 90);
            js_HipsAutoRotAngleMin = new JSONStorableFloat("Dance_HipsAutoRotAngleLeft", 45, 0, 90);
            js_HipsAutoRotAngleMax = new JSONStorableFloat("Dance_HipsAutoRotAngleRight", 45, 0, 90);

            js_ChestAutoRotate = new JSONStorableBool("Dance_AutoRotateChest", false);
            js_ChestAutoRotate.setCallbackFunction += Callback_DanceToggleChanged;

            js_ChestAutoRotDelayMult = new JSONStorableFloat("Dance_ChestAutoRotDuration", 1, 0, 10);
            js_ChestAutoRotAngleChangeMin = new JSONStorableFloat("Dance_ChestAutoRotChangeMin", 5, 0, 90);
            js_ChestAutoRotAngleChangeMax = new JSONStorableFloat("Dance_ChestAutoRotChangeMax", 30, 0, 90);
            js_ChestAutoRotAngleMin = new JSONStorableFloat("Dance_ChestAutoRotAngleLeft", 45, 0, 90);
            js_ChestAutoRotAngleMax = new JSONStorableFloat("Dance_ChestAutoRotAngleRight", 45, 0, 90);

            js_HeadAutoRotate = new JSONStorableBool("Dance_AutoRotateHead", false);
            js_HeadAutoRotate.setCallbackFunction += Callback_DanceToggleChanged;

            js_HeadAutoRotDelayMult = new JSONStorableFloat("Dance_HeadAutoRotDuration", 1, 0, 10);
            js_HeadAutoRotAngleChangeMin = new JSONStorableFloat("Dance_HeadAutoRotChangeMin", 5, 0, 90);
            js_HeadAutoRotAngleChangeMax = new JSONStorableFloat("Dance_HeadAutoRotChangeMax", 30, 0, 90);
            js_HeadAutoRotAngleMin = new JSONStorableFloat("Dance_HeadAutoRotAngleLeft", 45, 0, 90);
            js_HeadAutoRotAngleMax = new JSONStorableFloat("Dance_HeadAutoRotAngleRight", 45, 0, 90);

            manager.RegisterBool(js_DanceMode);
            manager.RegisterFloat(js_DanceAmplitude);

            manager.RegisterBool(js_RandomAmplitude);
            manager.RegisterFloat(js_DanceAmplitudeDelayMult);
            manager.RegisterFloat(js_DanceAmplitudeChange);
            manager.RegisterFloat(js_DanceAmplitudeChangeLimit);

            manager.RegisterBool(js_AutoRotate);
            manager.RegisterFloat(js_AutoRotAngleChangeMin);
            manager.RegisterFloat(js_AutoRotAngleChangeMax);
            manager.RegisterFloat(js_AutoRotAngleMin);
            manager.RegisterFloat(js_AutoRotAngleMax);
            manager.RegisterFloat(js_AutoRotDelayMult);

            manager.RegisterBool(js_HipsAutoRotate);
            manager.RegisterFloat(js_HipsAutoRotDelayMult);
            manager.RegisterFloat(js_HipsAutoRotAngleChangeMin);
            manager.RegisterFloat(js_HipsAutoRotAngleChangeMax);
            manager.RegisterFloat(js_HipsAutoRotAngleMin);
            manager.RegisterFloat(js_HipsAutoRotAngleMax);

            manager.RegisterBool(js_ChestAutoRotate);
            manager.RegisterFloat(js_ChestAutoRotDelayMult);
            manager.RegisterFloat(js_ChestAutoRotAngleChangeMin);
            manager.RegisterFloat(js_ChestAutoRotAngleChangeMax);
            manager.RegisterFloat(js_ChestAutoRotAngleMin);
            manager.RegisterFloat(js_ChestAutoRotAngleMax);

            manager.RegisterBool(js_HeadAutoRotate);
            manager.RegisterFloat(js_HeadAutoRotDelayMult);
            manager.RegisterFloat(js_HeadAutoRotAngleChangeMin);
            manager.RegisterFloat(js_HeadAutoRotAngleChangeMax);
            manager.RegisterFloat(js_HeadAutoRotAngleMin);
            manager.RegisterFloat(js_HeadAutoRotAngleMax);
        }

        public void InitStorables_StepCycle()
        {
            /* Step Cycle */

            js_StepsDelay = new JSONStorableFloat("Steps_Delay", 0f, -1, 1, false);
            js_StepsDuration = new JSONStorableFloat("Steps_Duration", 0.7f, 0.1f, 5f);
            js_StepsXOffset = new JSONStorableFloat("Steps_FeetSpacingMoving", 0.06f, -0.25f, 1f);
            js_StepsXOffsetIdle = new JSONStorableFloat("Steps_FeetSpacingIdle", 0.15f, 0f, 1f);
            js_StepsYOffset = new JSONStorableFloat("Steps_GroundOffset", 0.05f, 0f, 1f, false);

            js_DurationRandom_Min = new JSONStorableFloat("Steps_DurationRandomMin", 0f, -0.5f, 0f);
            js_DurationRandom_Max = new JSONStorableFloat("Steps_DurationRandomMax", 0f, 0, 0.5f);

            js_XOffsetRandom_Min = new JSONStorableFloat("Steps_FeetDistanceRandomMin", 0f, -0.5f, 0f);
            js_XOffsetRandom_Max = new JSONStorableFloat("Steps_FeetDistanceRandomMax", 0f, 0, 0.5f);

            js_Save_CurrentStepHeight = new JSONStorableFloat("Save_CurrentStepHeight", 0, -1000, 1000, false, false);

            
            js_HandsStepZOffsetIdle = new JSONStorableFloat("Steps_HandForwardIdle", 0.25f, 0f, 1f, false);
            js_HandsStepZOffsetMoving = new JSONStorableFloat("Steps_HandForwardMoving", 0.25f, 0f, 1f, false);
            js_HandsStepXOffsetIdle = new JSONStorableFloat("Steps_HandSpacingIdle", 0.2f, 0f, 1f, false);
            js_HandsStepXOffsetMoving = new JSONStorableFloat("Steps_HandSpacingMoving", 0.15f, 0f, 1f, false);

            js_OnAllFourStepDelay = new JSONStorableFloat("OnAllFourStepDelay", 0.05f, 0f, 1f);


            js_OnAllFourStepDelay.setCallbackFunction = Callback_UpdateStepCycleParameters; 

            js_StepsDelay.setCallbackFunction = Callback_UpdateStepCycleParameters;
            js_StepsDuration.setCallbackFunction = Callback_UpdateStepCycleParameters;
            js_StepsXOffset.setCallbackFunction = Callback_UpdateStepCycleParameters;
            js_StepsXOffsetIdle.setCallbackFunction = Callback_UpdateStepCycleParameters;
            js_StepsYOffset.setCallbackFunction = Callback_UpdateStepCycleParameters;

            js_DurationRandom_Min.setCallbackFunction = Callback_UpdateStepCycleParameters;
            js_DurationRandom_Max.setCallbackFunction = Callback_UpdateStepCycleParameters;
            js_XOffsetRandom_Min.setCallbackFunction = Callback_UpdateStepCycleParameters;
            js_XOffsetRandom_Max.setCallbackFunction = Callback_UpdateStepCycleParameters;

            js_HandsStepZOffsetIdle.setCallbackFunction = Callback_UpdateStepCycleParameters;
            js_HandsStepZOffsetMoving.setCallbackFunction = Callback_UpdateStepCycleParameters;
            js_HandsStepXOffsetIdle.setCallbackFunction = Callback_UpdateStepCycleParameters;
            js_HandsStepXOffsetMoving.setCallbackFunction = Callback_UpdateStepCycleParameters;

            manager.RegisterFloat(js_StepsDelay);
            manager.RegisterFloat(js_StepsDuration);
            manager.RegisterFloat(js_StepsXOffset);
            manager.RegisterFloat(js_StepsXOffsetIdle);
            manager.RegisterFloat(js_StepsYOffset);

            manager.RegisterFloat(js_DurationRandom_Min);
            manager.RegisterFloat(js_DurationRandom_Max);
            manager.RegisterFloat(js_XOffsetRandom_Min);
            manager.RegisterFloat(js_XOffsetRandom_Max);

            manager.RegisterFloat(js_Save_CurrentStepHeight);            

            manager.RegisterFloat(js_HandsStepZOffsetIdle);
            manager.RegisterFloat(js_HandsStepZOffsetMoving);
            manager.RegisterFloat(js_HandsStepXOffsetIdle);
            manager.RegisterFloat(js_HandsStepXOffsetMoving);

            manager.RegisterFloat(js_OnAllFourStepDelay);
        }

        public void InitStorables_GazeSystem()
        {
            js_GazeTargetAtom = new JSONStorableStringChooser("Gaze_Atom", manager.GetAtomNames(), "[Player]", "Gaze Atom", Callback_GazeTargetChanged);
            js_GazeTargetAtom.popupOpenCallback += Callback_GazeAtomPopupOpened;
            
            js_GazeTargetAtomController = new JSONStorableStringChooser("Gaze_Controller", manager.GetAtomNames(), "", "Gaze Controller", Callback_GazeTargetControllerChanged);

            js_GazeActive = new JSONStorableBool("Gaze_Active", true);
            js_GazeSpeed = new JSONStorableFloat("Gaze_Speed", 150f, 5f, 360f);
            js_GazeHipsHFollowThreshold = new JSONStorableFloat("Gaze_HipsFollowThresold", 100f, 0f, 170f);
            js_GazeChestHFollowThreshold = new JSONStorableFloat("Gaze_ChestFollowThresold", 75f, 0f, 170f);
            js_GazeMaxHorizontal = new JSONStorableFloat("Gaze_HorizontalAngleMax", 170f, 0f, 179f);
            js_GazeMaxVertical = new JSONStorableFloat("Gaze_VerticalAngleMax", 85f, 0f, 90f);
            js_GazeMinVertical = new JSONStorableFloat("Gaze_VerticalAngleMin", 75f, 0f, 90f);
            js_GazeMaxDistance = new JSONStorableFloat("Gaze_MaxDistance", 5, 0f, 25f);

            manager.RegisterStringChooser(js_GazeTargetAtom);
            manager.RegisterStringChooser(js_GazeTargetAtomController);
            manager.RegisterBool(js_GazeActive);
            manager.RegisterFloat(js_GazeSpeed);
            manager.RegisterFloat(js_GazeHipsHFollowThreshold);
            manager.RegisterFloat(js_GazeChestHFollowThreshold);
            manager.RegisterFloat(js_GazeMaxHorizontal);
            manager.RegisterFloat(js_GazeMaxVertical);
            manager.RegisterFloat(js_GazeMinVertical);
            manager.RegisterFloat(js_GazeMaxDistance);
        }

        public void InitStorables_Feet()
        {
            /* Left Foot */

            js_LFootSide = new JSONStorableFloat("LeftFoot_Side", 0f, -0.5f, 0.5f, false);
            js_LFootUpDown = new JSONStorableFloat("LeftFoot_UpDown", 0f, -0.5f, 0.5f, false);
            js_LFootForward = new JSONStorableFloat("LeftFoot_Forward", 0f, -0.5f, 0.5f, false);

            js_LFootYaw = new JSONStorableFloat("LeftFoot_Yaw", 0f, -360f, 360f);
            js_LFootPitch = new JSONStorableFloat("LeftFoot_Pitch", 25f, -360f, 360f);
            js_LFootRoll = new JSONStorableFloat("LeftFoot_Roll", 0f, -360f, 360f);

            js_LFootStepSide = new JSONStorableFloat("Step_LeftFoot_Side", 0.05f, -0.5f, 0.5f, false);
            js_LFootStepUpDown = new JSONStorableFloat("Step_LeftFoot_UpDown", 0.25f, -0.5f, 0.5f, false);
            js_LFootStepForward = new JSONStorableFloat("Step_LeftFoot_Forward", 0f, -0.5f, 0.5f, false);

            js_LFootStepYaw = new JSONStorableFloat("Step_LeftFoot_Yaw", 0f, -180f, 180f);
            js_LFootStepPitch = new JSONStorableFloat("Step_LeftFoot_Pitch", 25f, -180f, 180f);
            js_LFootStepRoll = new JSONStorableFloat("Step_LeftFoot_Roll", 0f, -180f, 180f);

            js_Step_LFootUpDown_MidPoint = new JSONStorableFloat("LFootHeight_MidPoint", 0.5f, 0.01f, 0.99f);
            js_Step_LFootForward_MidPoint = new JSONStorableFloat("LFootForward_MidPoint", 0.5f, 0.01f, 0.99f);
            js_Step_LFootSide_MidPoint = new JSONStorableFloat("LFootSide_MidPoint", 0.5f, 0.01f, 0.99f);
            js_Step_LFootYaw_MidPoint = new JSONStorableFloat("LFootYaw_MidPoint", 0.5f, 0.01f, 0.99f);
            js_Step_LFootPitch_MidPoint = new JSONStorableFloat("LFootPitch_MidPoint", 0.5f, 0.01f, 0.99f);
            js_Step_LFootRoll_MidPoint = new JSONStorableFloat("LFootRoll_MidPoint", 0.5f, 0.01f, 0.99f);


            manager.RegisterFloat(js_LFootSide);
            manager.RegisterFloat(js_LFootUpDown);
            manager.RegisterFloat(js_LFootForward);
            manager.RegisterFloat(js_LFootYaw);
            manager.RegisterFloat(js_LFootPitch);
            manager.RegisterFloat(js_LFootRoll);

            manager.RegisterFloat(js_LFootStepSide);
            manager.RegisterFloat(js_LFootStepUpDown);
            manager.RegisterFloat(js_LFootStepForward);
            manager.RegisterFloat(js_LFootStepYaw);
            manager.RegisterFloat(js_LFootStepPitch);
            manager.RegisterFloat(js_LFootStepRoll);

            manager.RegisterFloat(js_Step_LFootUpDown_MidPoint);
            manager.RegisterFloat(js_Step_LFootForward_MidPoint);
            manager.RegisterFloat(js_Step_LFootSide_MidPoint);
            manager.RegisterFloat(js_Step_LFootYaw_MidPoint);
            manager.RegisterFloat(js_Step_LFootPitch_MidPoint);
            manager.RegisterFloat(js_Step_LFootRoll_MidPoint);

            /* Right Foot */

            js_RFootSide = new JSONStorableFloat("RightFootSide", 0f, -0.5f, 0.5f, false);
            js_RFootUpDown = new JSONStorableFloat("RightFootUpDown", 0f, -0.5f, 0.5f, false);
            js_RFootForward = new JSONStorableFloat("RightFootForward", 0f, -0.5f, 0.5f, false);

            js_RFootYaw = new JSONStorableFloat("RightFootYaw", 0f, -360f, 360f);
            js_RFootPitch = new JSONStorableFloat("RightFootPitch", 25f, -360f, 360f);
            js_RFootRoll = new JSONStorableFloat("RightFootRoll", 0f, -360f, 360f);

            js_RFootStepSide = new JSONStorableFloat("Step_RightFootSide", 0.05f, -0.5f, 0.5f, false);
            js_RFootStepUpDown = new JSONStorableFloat("Step_RightFootUpDown", 0.25f, -0.5f, 0.5f, false);
            js_RFootStepForward = new JSONStorableFloat("Step_RightFootForward", 0f, -0.5f, 0.5f, false);

            js_RFootStepYaw = new JSONStorableFloat("Step_RightFootYaw", 0, -180f, 180f);
            js_RFootStepPitch = new JSONStorableFloat("Step_RightFootPitch", 25, -180f, 180f);
            js_RFootStepRoll = new JSONStorableFloat("Step_RightFootRoll", 0, -180f, 180f);

            js_Step_RFootUpDown_MidPoint = new JSONStorableFloat("RFootHeight_MidPoint", 0.5f, 0.01f, 0.99f);
            js_Step_RFootForward_MidPoint = new JSONStorableFloat("RFootForward_MidPoint", 0.5f, 0.01f, 0.99f);
            js_Step_RFootSide_MidPoint = new JSONStorableFloat("RFootSide_MidPoint", 0.5f, 0.01f, 0.99f);
            js_Step_RFootYaw_MidPoint = new JSONStorableFloat("RFootYaw_MidPoint", 0.5f, 0.01f, 0.99f);
            js_Step_RFootPitch_MidPoint = new JSONStorableFloat("RFootPitch_MidPoint", 0.5f, 0.01f, 0.99f);
            js_Step_RFootRoll_MidPoint = new JSONStorableFloat("RFootRoll_MidPoint", 0.5f, 0.01f, 0.99f);


            manager.RegisterFloat(js_RFootSide);
            manager.RegisterFloat(js_RFootUpDown);
            manager.RegisterFloat(js_RFootForward);
            manager.RegisterFloat(js_RFootYaw);
            manager.RegisterFloat(js_RFootPitch);
            manager.RegisterFloat(js_RFootRoll);

            manager.RegisterFloat(js_RFootStepSide);
            manager.RegisterFloat(js_RFootStepUpDown);
            manager.RegisterFloat(js_RFootStepForward);
            manager.RegisterFloat(js_RFootStepYaw);
            manager.RegisterFloat(js_RFootStepPitch);
            manager.RegisterFloat(js_RFootStepRoll);

            manager.RegisterFloat(js_Step_RFootUpDown_MidPoint);
            manager.RegisterFloat(js_Step_RFootForward_MidPoint);
            manager.RegisterFloat(js_Step_RFootSide_MidPoint);
            manager.RegisterFloat(js_Step_RFootYaw_MidPoint);
            manager.RegisterFloat(js_Step_RFootPitch_MidPoint);
            manager.RegisterFloat(js_Step_RFootRoll_MidPoint);
        }

        public void InitStorables_Knees()
        {
            /* Left Knee */

            js_LKneeSide = new JSONStorableFloat("LeftKnee_Side", 0.05f, -0.5f, 0.5f, false);
            js_LKneeUpDown = new JSONStorableFloat("LeftKnee_UpDown", 0f, -0.5f, 0.5f, false);
            js_LKneeForward = new JSONStorableFloat("LeftKnee_Forward", 0.07f, -0.5f, 0.5f, false);
            js_LKneeStepSide = new JSONStorableFloat("Step_LeftKnee_Side", -0.02f, -0.5f, 0.5f);
            js_LKneeStepUpDown = new JSONStorableFloat("Step_LeftKnee_UpDown", 0.1f, -0.5f, 0.5f);
            js_LKneeStepForward = new JSONStorableFloat("Step_LeftKnee_Forward", 0.2f, -0.5f, 0.5f);

            js_Step_LKneeUpDown_MidPoint = new JSONStorableFloat("LKneeHeight_MidPoint", 0.5f, 0.01f, 0.99f);
            js_Step_LKneeForward_MidPoint = new JSONStorableFloat("LKneeForward_MidPoint", 0.5f, 0.01f, 0.99f);
            js_Step_LKneeSide_MidPoint = new JSONStorableFloat("LKneeSide_MidPoint", 0.5f, 0.01f, 0.99f);

            manager.RegisterFloat(js_LKneeStepSide);
            manager.RegisterFloat(js_LKneeStepUpDown);
            manager.RegisterFloat(js_LKneeStepForward);
            manager.RegisterFloat(js_LKneeSide);
            manager.RegisterFloat(js_LKneeUpDown);
            manager.RegisterFloat(js_LKneeForward);

            manager.RegisterFloat(js_Step_LKneeUpDown_MidPoint);
            manager.RegisterFloat(js_Step_LKneeForward_MidPoint);
            manager.RegisterFloat(js_Step_LKneeSide_MidPoint);

            /* Right Knee */

            js_RKneeSide = new JSONStorableFloat("RightKneeSide", 0.05f, -0.5f, 0.5f, false);
            js_RKneeUpDown = new JSONStorableFloat("RightKneeUpDown", 0f, -0.5f, 0.5f, false);
            js_RKneeForward = new JSONStorableFloat("RightKneeForward", 0.07f, -0.5f, 0.5f, false);
            js_RKneeStepSide = new JSONStorableFloat("Step_RightKneeSide", -0.02f, -0.5f, 0.5f);
            js_RKneeStepUpDown = new JSONStorableFloat("Step_RightKneeUpDown", 0.1f, -0.5f, 0.5f);
            js_RKneeStepForward = new JSONStorableFloat("Step_RightKneeForward", 0.2f, -0.5f, 0.5f);

            js_Step_RKneeUpDown_MidPoint = new JSONStorableFloat("RKneeHeight_MidPoint", 0.5f, 0.01f, 0.99f);
            js_Step_RKneeForward_MidPoint = new JSONStorableFloat("RKneeForward_MidPoint", 0.5f, 0.01f, 0.99f);
            js_Step_RKneeSide_MidPoint = new JSONStorableFloat("RKneeSide_MidPoint", 0.5f, 0.01f, 0.99f);

            manager.RegisterFloat(js_RKneeSide);
            manager.RegisterFloat(js_RKneeUpDown);
            manager.RegisterFloat(js_RKneeForward);
            manager.RegisterFloat(js_RKneeStepSide);
            manager.RegisterFloat(js_RKneeStepUpDown);
            manager.RegisterFloat(js_RKneeStepForward);

            manager.RegisterFloat(js_Step_RKneeUpDown_MidPoint);
            manager.RegisterFloat(js_Step_RKneeForward_MidPoint);
            manager.RegisterFloat(js_Step_RKneeSide_MidPoint);
        }

        public void InitStorables_Hips()
        {
            /* Hips */

            js_HipsSide = new JSONStorableFloat("Hips_Side", 0, -0.5f, 0.5f, false);
            js_HipsUpDown = new JSONStorableFloat("Hips_UpDown", 0f, -0.5f, 0.5f, false);
            js_HipsForward = new JSONStorableFloat("Hips_Forward", 0, -0.5f, 0.5f, false);
            js_HipsYaw = new JSONStorableFloat("Hips_Yaw", 0f, -360f, 360f);
            js_HipsPitch = new JSONStorableFloat("Hips_Pitch", 0f, -360f, 360f);
            js_HipsRoll = new JSONStorableFloat("Hips_Roll", 0f, -360f, 360f);
            js_HipsStepSide = new JSONStorableFloat("Step_Hips_Side", -0.03f, -0.5f, 0.5f, false);
            js_HipsStepUpDown = new JSONStorableFloat("Step_Hips_UpDown", -0.05f, -0.5f, 0.5f, false);
            js_HipsStepForward = new JSONStorableFloat("Step_Hips_Forward", -0.05f, -0.5f, 0.5f, false);
            js_HipsStepYaw = new JSONStorableFloat("Step_Hips_Yaw", -10f, -180f, 180f);
            js_HipsStepPitch = new JSONStorableFloat("Step_Hips_Pitch", -15f, -180f, 180f);
            js_HipsStepRoll = new JSONStorableFloat("Step_Hips_Roll", -25f, -180f, 180f);

            js_Step_HipsUpDown_MidPoint = new JSONStorableFloat("HipsHeight_MidPoint", 0.5f, 0.01f, 0.99f);
            js_Step_HipsForward_MidPoint = new JSONStorableFloat("HipsForward_MidPoint", 0.5f, 0.01f, 0.99f);
            js_Step_HipsSide_MidPoint = new JSONStorableFloat("HipsSide_MidPoint", 0.5f, 0.01f, 0.99f);
            js_Step_HipsYaw_MidPoint = new JSONStorableFloat("HipsYaw_MidPoint", 0.5f, 0.01f, 0.99f);
            js_Step_HipsPitch_MidPoint = new JSONStorableFloat("HipsPitch_MidPoint", 0.5f, 0.01f, 0.99f);
            js_Step_HipsRoll_MidPoint = new JSONStorableFloat("HipsRoll_MidPoint", 0.5f, 0.01f, 0.99f);

            manager.RegisterFloat(js_HipsSide);
            manager.RegisterFloat(js_HipsUpDown);
            manager.RegisterFloat(js_HipsForward);
            manager.RegisterFloat(js_HipsYaw);
            manager.RegisterFloat(js_HipsPitch);
            manager.RegisterFloat(js_HipsRoll);
            manager.RegisterFloat(js_HipsStepSide);
            manager.RegisterFloat(js_HipsStepUpDown);
            manager.RegisterFloat(js_HipsStepForward);
            manager.RegisterFloat(js_HipsStepYaw);
            manager.RegisterFloat(js_HipsStepPitch);
            manager.RegisterFloat(js_HipsStepRoll);

            manager.RegisterFloat(js_Step_HipsUpDown_MidPoint);
            manager.RegisterFloat(js_Step_HipsForward_MidPoint);
            manager.RegisterFloat(js_Step_HipsSide_MidPoint);
            manager.RegisterFloat(js_Step_HipsYaw_MidPoint);
            manager.RegisterFloat(js_Step_HipsPitch_MidPoint);
            manager.RegisterFloat(js_Step_HipsRoll_MidPoint);
        }

        public void InitStorables_Chest()
        {
            /* Chest */

            js_ChestSide = new JSONStorableFloat("Chest_Side", 0f, -0.5f, 0.5f, false);
            js_ChestUpDown = new JSONStorableFloat("Chest_UpDown", 0f, -0.5f, 0.5f, false);
            js_ChestForward = new JSONStorableFloat("Chest_Forward", 0.05f, -0.5f, 0.5f, false);
            js_ChestYaw = new JSONStorableFloat("Chest_Yaw", 0, -360f, 360f);
            js_ChestPitch = new JSONStorableFloat("Chest_Pitch", 0, -360f, 360f);
            js_ChestRoll = new JSONStorableFloat("Chest_Roll", 0, -360f, 360f);
            js_ChestStepSide = new JSONStorableFloat("Step_Chest_Side", 0.05f, -0.5f, 0.5f, false);
            js_ChestStepUpDown = new JSONStorableFloat("Step_Chest_UpDown", -0.02f, -0.5f, 0.5f, false);
            js_ChestStepForward = new JSONStorableFloat("Step_Chest_Forward", 0f, -0.5f, 0.5f, false);
            js_ChestStepYaw = new JSONStorableFloat("Step_Chest_Yaw", 15f, -180f, 180f);
            js_ChestStepPitch = new JSONStorableFloat("Step_Chest_Pitch", 0f, -180f, 180f);
            js_ChestStepRoll = new JSONStorableFloat("Step_Chest_Roll", 15f, -180f, 180f);

            js_Step_ChestUpDown_MidPoint = new JSONStorableFloat("ChestHeight_MidPoint", 0.5f, 0.01f, 0.99f);
            js_Step_ChestForward_MidPoint = new JSONStorableFloat("ChestForward_MidPoint", 0.5f, 0.01f, 0.99f);
            js_Step_ChestSide_MidPoint = new JSONStorableFloat("ChestSide_MidPoint", 0.5f, 0.01f, 0.99f);
            js_Step_ChestYaw_MidPoint = new JSONStorableFloat("ChestYaw_MidPoint", 0.5f, 0.01f, 0.99f);
            js_Step_ChestPitch_MidPoint = new JSONStorableFloat("ChestPitch_MidPoint", 0.5f, 0.01f, 0.99f);
            js_Step_ChestRoll_MidPoint = new JSONStorableFloat("ChestRoll_MidPoint", 0.5f, 0.01f, 0.99f);

            manager.RegisterFloat(js_ChestSide);
            manager.RegisterFloat(js_ChestUpDown);
            manager.RegisterFloat(js_ChestForward);
            manager.RegisterFloat(js_ChestYaw);
            manager.RegisterFloat(js_ChestPitch);
            manager.RegisterFloat(js_ChestRoll);
            manager.RegisterFloat(js_ChestStepSide);
            manager.RegisterFloat(js_ChestStepUpDown);
            manager.RegisterFloat(js_ChestStepForward);
            manager.RegisterFloat(js_ChestForward);
            manager.RegisterFloat(js_ChestStepYaw);
            manager.RegisterFloat(js_ChestStepPitch);
            manager.RegisterFloat(js_ChestStepRoll);

            manager.RegisterFloat(js_Step_ChestUpDown_MidPoint);
            manager.RegisterFloat(js_Step_ChestForward_MidPoint);
            manager.RegisterFloat(js_Step_ChestSide_MidPoint);
            manager.RegisterFloat(js_Step_ChestYaw_MidPoint);
            manager.RegisterFloat(js_Step_ChestPitch_MidPoint);
            manager.RegisterFloat(js_Step_ChestRoll_MidPoint);
        }

        public void InitStorables_Head()
        {
            /* Head */

            js_HeadSide = new JSONStorableFloat("Head_Side", 0f, -0.5f, 0.5f, false);
            js_HeadUpDown = new JSONStorableFloat("Head_UpDown", -0.05f, -0.5f, 0.5f, false);
            js_HeadForward = new JSONStorableFloat("Head_Forward", 0.08f, -0.5f, 0.5f, false);
            js_HeadYaw = new JSONStorableFloat("Head_Yaw", 0f, -360f, 360f);
            js_HeadPitch = new JSONStorableFloat("Head_Pitch", 0f, -360f, 360f);
            js_HeadRoll = new JSONStorableFloat("Head_Roll", 0f, -360f, 360f);
            js_HeadStepSide = new JSONStorableFloat("Step_Head_Side", 0f, -0.5f, 0.5f, false);
            js_HeadStepUpDown = new JSONStorableFloat("Step_Head_UpDown", -0.05f, -0.3f, 0.3f, false);
            js_HeadStepForward = new JSONStorableFloat("Step_Head_Forward", 0f, -0.5f, 0.5f, false);
            js_HeadStepYaw = new JSONStorableFloat("Step_Head_Yaw", 0f, -180f, 180f);
            js_HeadStepPitch = new JSONStorableFloat("Step_Head_Pitch", 0f, -180f, 180f);
            js_HeadStepRoll = new JSONStorableFloat("Step_Head_Roll", 0f, -180f, 180f);

            js_Step_HeadUpDown_MidPoint = new JSONStorableFloat("HeadHeight_MidPoint", 0.5f, 0.01f, 0.99f);
            js_Step_HeadForward_MidPoint = new JSONStorableFloat("HeadForward_MidPoint", 0.5f, 0.01f, 0.99f);
            js_Step_HeadSide_MidPoint = new JSONStorableFloat("HeadSide_MidPoint", 0.5f, 0.01f, 0.99f);
            js_Step_HeadYaw_MidPoint = new JSONStorableFloat("HeadYaw_MidPoint", 0.5f, 0.01f, 0.99f);
            js_Step_HeadPitch_MidPoint = new JSONStorableFloat("HeadPitch_MidPoint", 0.5f, 0.01f, 0.99f);
            js_Step_HeadRoll_MidPoint = new JSONStorableFloat("HeadRoll_MidPoint", 0.5f, 0.01f, 0.99f);

            manager.RegisterFloat(js_HeadSide);
            manager.RegisterFloat(js_HeadUpDown);
            manager.RegisterFloat(js_HeadForward);
            manager.RegisterFloat(js_HeadYaw);
            manager.RegisterFloat(js_HeadPitch);
            manager.RegisterFloat(js_HeadRoll);
            manager.RegisterFloat(js_HeadStepSide);
            manager.RegisterFloat(js_HeadStepUpDown);
            manager.RegisterFloat(js_HeadStepForward);
            manager.RegisterFloat(js_HeadForward);
            manager.RegisterFloat(js_HeadStepYaw);
            manager.RegisterFloat(js_HeadStepPitch);
            manager.RegisterFloat(js_HeadStepRoll);

            manager.RegisterFloat(js_Step_HeadUpDown_MidPoint);
            manager.RegisterFloat(js_Step_HeadForward_MidPoint);
            manager.RegisterFloat(js_Step_HeadSide_MidPoint);
            manager.RegisterFloat(js_Step_HeadYaw_MidPoint);
            manager.RegisterFloat(js_Step_HeadPitch_MidPoint);
            manager.RegisterFloat(js_Step_HeadRoll_MidPoint);
        }

        public void InitStorables_Arms()
        {
            /* Left Arm */

            js_LShoulderSide = new JSONStorableFloat("LeftShoulder_Side", 0.13f, -0.5f, 0.5f);
            js_LShoulderUpDown = new JSONStorableFloat("LeftShoulder_UpDown", 0.1f, -0.5f, 0.5f);
            js_LShoulderForward = new JSONStorableFloat("LeftShoulder_Forward", -0.04f, -0.5f, 0.5f);

            js_LHandSide = new JSONStorableFloat("LeftHand_Side", 0.18f, -1f, 1f);
            js_LHandUpDown = new JSONStorableFloat("LeftHand_UpDown", -0.3f, -1f, 1f);
            js_LHandForward = new JSONStorableFloat("LeftHand_Forward", -0.05f, -1f, 1f);       
            js_LHandYaw = new JSONStorableFloat("LeftHand_Yaw", 0f, -360f, 360f);
            js_LHandPitch = new JSONStorableFloat("LeftHand_Pitch", -20f, -360f, 360f);
            js_LHandRoll = new JSONStorableFloat("LeftHand_Roll", 100f, -360f, 360f);

            js_LElbowSide = new JSONStorableFloat("LeftElbow_Side", -0.06f, -0.5f, 0.5f);
            js_LElbowUpDown = new JSONStorableFloat("LeftElbow_UpDown", -0.03f, -0.5f, 0.5f);
            js_LElbowForward = new JSONStorableFloat("LeftElbow_Forward", -0.05f, -0.5f, 0.5f);


            js_LShoulderStepSide = new JSONStorableFloat("Step_LeftShoulder_Side", 0.05f, -0.5f, 0.5f);
            js_LShoulderStepUpDown = new JSONStorableFloat("Step_LeftShoulder_UpDown", 0.03f, -0.5f, 0.5f);
            js_LShoulderStepForward = new JSONStorableFloat("Step_LeftShoulder_Forward", 0f, -0.5f, 0.5f);

            js_LHandStepSide = new JSONStorableFloat("Step_LeftHand_Side", 0.03f, -1f, 1f);
            js_LHandStepUpDown = new JSONStorableFloat("Step_LeftHand_UpDown", 0f, -1f, 1f);
            js_LHandStepForward = new JSONStorableFloat("Step_LeftHand_Forward", -0.10f, -1f, 1f);
            js_LHandStepYaw = new JSONStorableFloat("Step_LeftHand_Yaw", 15f, -180f, 180f);
            js_LHandStepPitch = new JSONStorableFloat("Step_LeftHand_Pitch", 0f, -180f, 180f);
            js_LHandStepRoll = new JSONStorableFloat("Step_LeftHand_Roll", 0f, -180f, 180f);

            js_LElbowStepSide = new JSONStorableFloat("Step_LeftElbow_Side", 0, -0.5f, 0.5f);
            js_LElbowStepUpDown = new JSONStorableFloat("Step_LeftElbow_UpDown", 0, -0.5f, 0.5f);
            js_LElbowStepForward = new JSONStorableFloat("Step_LeftElbow_Forward", 0, -0.5f, 0.5f);

            js_Step_RShoulderUpDown_MidPoint = new JSONStorableFloat("RShoulderHeight_MidPoint", 0.5f, 0.01f, 0.99f);
            js_Step_RShoulderForward_MidPoint = new JSONStorableFloat("RShoulderForward_MidPoint", 0.5f, 0.01f, 0.99f);
            js_Step_RShoulderSide_MidPoint = new JSONStorableFloat("RShoulderSide_MidPoint", 0.5f, 0.01f, 0.99f);

            js_Step_RElbowUpDown_MidPoint = new JSONStorableFloat("RElbowHeight_MidPoint", 0.5f, 0.01f, 0.99f);
            js_Step_RElbowForward_MidPoint = new JSONStorableFloat("RElbowForward_MidPoint", 0.5f, 0.01f, 0.99f);
            js_Step_RElbowSide_MidPoint = new JSONStorableFloat("RElbowSide_MidPoint", 0.5f, 0.01f, 0.99f);

            js_Step_RHandUpDown_MidPoint = new JSONStorableFloat("RHandHeight_MidPoint", 0.5f, 0.01f, 0.99f);
            js_Step_RHandForward_MidPoint = new JSONStorableFloat("RHandForward_MidPoint", 0.5f, 0.01f, 0.99f);
            js_Step_RHandSide_MidPoint = new JSONStorableFloat("RHandSide_MidPoint", 0.5f, 0.01f, 0.99f);
            js_Step_RHandYaw_MidPoint = new JSONStorableFloat("RHandYaw_MidPoint", 0.5f, 0.01f, 0.99f);
            js_Step_RHandPitch_MidPoint = new JSONStorableFloat("RHandPitch_MidPoint", 0.5f, 0.01f, 0.99f);
            js_Step_RHandRoll_MidPoint = new JSONStorableFloat("RHandRoll_MidPoint", 0.5f, 0.01f, 0.99f);

            js_LArmFollowBody = new JSONStorableFloat("LeftArm_FollowBody", 1f, 0.0f, 1f);


            manager.RegisterFloat(js_LShoulderSide);
            manager.RegisterFloat(js_LShoulderUpDown);
            manager.RegisterFloat(js_LShoulderForward);
            manager.RegisterFloat(js_LHandSide);
            manager.RegisterFloat(js_LHandUpDown);
            manager.RegisterFloat(js_LHandForward);
            manager.RegisterFloat(js_LHandYaw);
            manager.RegisterFloat(js_LHandPitch);
            manager.RegisterFloat(js_LHandRoll);
            manager.RegisterFloat(js_LElbowSide);
            manager.RegisterFloat(js_LElbowUpDown);
            manager.RegisterFloat(js_LElbowForward);
            manager.RegisterFloat(js_LShoulderStepSide);
            manager.RegisterFloat(js_LShoulderStepUpDown);
            manager.RegisterFloat(js_LShoulderStepForward);
            manager.RegisterFloat(js_LHandStepSide);
            manager.RegisterFloat(js_LHandStepUpDown);
            manager.RegisterFloat(js_LHandStepForward);
            manager.RegisterFloat(js_LHandStepYaw);
            manager.RegisterFloat(js_LHandStepPitch);
            manager.RegisterFloat(js_LHandStepRoll);
            manager.RegisterFloat(js_LElbowStepSide);
            manager.RegisterFloat(js_LElbowStepUpDown);
            manager.RegisterFloat(js_LElbowStepForward);
            manager.RegisterFloat(js_LArmFollowBody);

            manager.RegisterFloat(js_Step_RShoulderUpDown_MidPoint);
            manager.RegisterFloat(js_Step_RShoulderForward_MidPoint);
            manager.RegisterFloat(js_Step_RShoulderSide_MidPoint);

            manager.RegisterFloat(js_Step_RElbowUpDown_MidPoint);
            manager.RegisterFloat(js_Step_RElbowForward_MidPoint);
            manager.RegisterFloat(js_Step_RElbowSide_MidPoint);

            manager.RegisterFloat(js_Step_RHandUpDown_MidPoint);
            manager.RegisterFloat(js_Step_RHandForward_MidPoint);
            manager.RegisterFloat(js_Step_RHandSide_MidPoint);
            manager.RegisterFloat(js_Step_RHandYaw_MidPoint);
            manager.RegisterFloat(js_Step_RHandPitch_MidPoint);
            manager.RegisterFloat(js_Step_RHandRoll_MidPoint);

            /* Right Arm */

            js_RShoulderSide = new JSONStorableFloat("RightShoulder_Side", 0.13f, -0.5f, 0.5f);
            js_RShoulderUpDown = new JSONStorableFloat("RightShoulder_UpDown", 0.1f, -0.5f, 0.5f);
            js_RShoulderForward = new JSONStorableFloat("RightShoulder_Forward", -0.04f, -0.5f, 0.5f);
            js_RHandSide = new JSONStorableFloat("RightHand_Side", 0.18f, -1f, 1f);
            js_RHandUpDown = new JSONStorableFloat("RightHand_UpDown", -0.3f, -1f, 1f);
            js_RHandForward = new JSONStorableFloat("RightHand_Forward", -0.05f, -1f, 1f);
            js_RHandYaw = new JSONStorableFloat("RightHand_Yaw", 0f, -360f, 360f);
            js_RHandPitch = new JSONStorableFloat("RightHand_Pitch", -20f, -360f, 360f);
            js_RHandRoll = new JSONStorableFloat("RightHand_Roll", 100f, -360f, 360f);
            js_RElbowSide = new JSONStorableFloat("RightElbow_Side", -0.06f, -0.5f, 0.5f);
            js_RElbowUpDown = new JSONStorableFloat("RightElbow_UpDown", -0.03f, -0.5f, 0.5f);
            js_RElbowForward = new JSONStorableFloat("RightElbow_Forward", -0.05f, -0.5f, 0.5f);
            js_RShoulderStepSide = new JSONStorableFloat("Step_RightShoulder_Side", 0.05f, -0.5f, 0.5f);
            js_RShoulderStepUpDown = new JSONStorableFloat("Step_RightShoulder_UpDown", -0.03f, -0.5f, 0.5f);
            js_RShoulderStepForward = new JSONStorableFloat("Step_RightShoulder_Forward", 0f, -0.5f, 0.5f);
            js_RHandStepSide = new JSONStorableFloat("Step_RightHand_Side", -0.03f, -1f, 1f);
            js_RHandStepUpDown = new JSONStorableFloat("Step_RightHand_UpDown", 0f, -1f, 1f);
            js_RHandStepForward = new JSONStorableFloat("Step_RightHand_Forward", 0.1f, -1f, 1f);
            js_RHandStepYaw = new JSONStorableFloat("Step_RightHand_Yaw", -15f, -180f, 180f);
            js_RHandStepPitch = new JSONStorableFloat("Step_RightHand_Pitch", 0f, -180f, 180f);
            js_RHandStepRoll = new JSONStorableFloat("Step_RightHand_Roll", 0f, -180f, 180f);
            js_RElbowStepSide = new JSONStorableFloat("Step_RightElbow_Side", 0, -0.5f, 0.5f);
            js_RElbowStepUpDown = new JSONStorableFloat("Step_RightElbow_UpDown", 0, -0.5f, 0.5f);
            js_RElbowStepForward = new JSONStorableFloat("Step_RightElbow_Forward", 0, -0.5f, 0.5f);

            js_Step_LShoulderUpDown_MidPoint = new JSONStorableFloat("LShoulderHeight_MidPoint", 0.5f, 0.01f, 0.99f);
            js_Step_LShoulderForward_MidPoint = new JSONStorableFloat("LShoulderForward_MidPoint", 0.5f, 0.01f, 0.99f);
            js_Step_LShoulderSide_MidPoint = new JSONStorableFloat("LShoulderSide_MidPoint", 0.5f, 0.01f, 0.99f);
                    
            js_Step_LElbowUpDown_MidPoint = new JSONStorableFloat("LElbowHeight_MidPoint", 0.5f, 0.01f, 0.99f);
            js_Step_LElbowForward_MidPoint = new JSONStorableFloat("LElbowForward_MidPoint", 0.5f, 0.01f, 0.99f);
            js_Step_LElbowSide_MidPoint = new JSONStorableFloat("LElbowSide_MidPoint", 0.5f, 0.01f, 0.99f);
                    
            js_Step_LHandUpDown_MidPoint = new JSONStorableFloat("LHandHeight_MidPoint", 0.5f, 0.01f, 0.99f);
            js_Step_LHandForward_MidPoint = new JSONStorableFloat("LHandForward_MidPoint", 0.5f, 0.01f, 0.99f);
            js_Step_LHandSide_MidPoint = new JSONStorableFloat("LHandSide_MidPoint", 0.5f, 0.01f, 0.99f);
            js_Step_LHandYaw_MidPoint = new JSONStorableFloat("LHandYaw_MidPoint", 0.5f, 0.01f, 0.99f);
            js_Step_LHandPitch_MidPoint = new JSONStorableFloat("LHandPitch_MidPoint", 0.5f, 0.01f, 0.99f);
            js_Step_LHandRoll_MidPoint = new JSONStorableFloat("LHandRoll_MidPoint", 0.5f, 0.01f, 0.99f);

            js_RArmFollowBody = new JSONStorableFloat("RightArm_FollowBody", 1f, 0.0f, 1f);


            manager.RegisterFloat(js_RShoulderSide);
            manager.RegisterFloat(js_RShoulderUpDown);
            manager.RegisterFloat(js_RShoulderForward);
            manager.RegisterFloat(js_RHandSide);
            manager.RegisterFloat(js_RHandUpDown);
            manager.RegisterFloat(js_RHandForward);
            manager.RegisterFloat(js_RHandYaw);
            manager.RegisterFloat(js_RHandPitch);
            manager.RegisterFloat(js_RHandRoll);
            manager.RegisterFloat(js_RElbowSide);
            manager.RegisterFloat(js_RElbowUpDown);
            manager.RegisterFloat(js_RElbowForward);
            manager.RegisterFloat(js_RShoulderStepSide);
            manager.RegisterFloat(js_RShoulderStepUpDown);
            manager.RegisterFloat(js_RShoulderStepForward);
            manager.RegisterFloat(js_RHandStepSide);
            manager.RegisterFloat(js_RHandStepUpDown);
            manager.RegisterFloat(js_RHandStepForward);
            manager.RegisterFloat(js_RHandStepYaw);
            manager.RegisterFloat(js_RHandStepPitch);
            manager.RegisterFloat(js_RHandStepRoll);
            manager.RegisterFloat(js_RElbowStepSide);
            manager.RegisterFloat(js_RElbowStepUpDown);
            manager.RegisterFloat(js_RElbowStepForward);
            manager.RegisterFloat(js_RArmFollowBody);

            manager.RegisterFloat(js_Step_LShoulderUpDown_MidPoint);
            manager.RegisterFloat(js_Step_LShoulderForward_MidPoint);
            manager.RegisterFloat(js_Step_LShoulderSide_MidPoint);
                                          
            manager.RegisterFloat(js_Step_LElbowUpDown_MidPoint);
            manager.RegisterFloat(js_Step_LElbowForward_MidPoint);
            manager.RegisterFloat(js_Step_LElbowSide_MidPoint);
                                          
            manager.RegisterFloat(js_Step_LHandUpDown_MidPoint);
            manager.RegisterFloat(js_Step_LHandForward_MidPoint);
            manager.RegisterFloat(js_Step_LHandSide_MidPoint);
            manager.RegisterFloat(js_Step_LHandYaw_MidPoint);
            manager.RegisterFloat(js_Step_LHandPitch_MidPoint);
            manager.RegisterFloat(js_Step_LHandRoll_MidPoint);
        }

        #endregion

        #region BodyController Base

        private Vector3 mainControlPos;

        public BodyController_Complete(CLS _manager) : base(_manager)
        {
            InitStorables();
            CreateJSONStorableLists();
            CreateStepCycle();

            transitionCurve = new AnimationCurve();
            transitionCurve.AddKey(0, 0);
            transitionCurve.keys[0].outTangent = 0f;
            transitionCurve.AddKey(1, 1);
            transitionCurve.keys[1].inTangent = 90f;


            /* Events callbacks*/

            stepCycle.idleStateDelegate += Event_StartStepIdle;

            headControl.onGrabStartHandlers += Callback_OnHeadGrab;
            headControl.onGrabEndHandlers += Callback_OnHeadRelease;

            chestControl.onGrabStartHandlers += Callback_OnChestGrab;
            chestControl.onGrabEndHandlers += Callback_OnChestRelease;

            hipControl.onGrabStartHandlers += Callback_OnHipsGrab;
            hipControl.onGrabEndHandlers += Callback_OnHipsRelease;

            lShoulderControl.onGrabStartHandlers += Callback_OnShoulderGrab;
            lShoulderControl.onGrabEndHandlers += Callback_OnShoulderRelease;

            rShoulderControl.onGrabStartHandlers += Callback_OnShoulderGrab;
            rShoulderControl.onGrabEndHandlers += Callback_OnShoulderRelease;

            lElbowControl.onGrabStartHandlers += Callback_OnElbowGrab;
            lElbowControl.onGrabEndHandlers += Callback_OnElbowRelease;

            rElbowControl.onGrabStartHandlers += Callback_OnElbowGrab;
            rElbowControl.onGrabEndHandlers += Callback_OnElbowRelease;

            lHandControl.onGrabStartHandlers += Callback_OnHandGrab;
            lHandControl.onGrabEndHandlers += Callback_OnHandRelease;
             
            rHandControl.onGrabStartHandlers += Callback_OnHandGrab;
            rHandControl.onGrabEndHandlers += Callback_OnHandRelease;

            lKneeControl.onGrabStartHandlers += Callback_OnKneeGrab;
            lKneeControl.onGrabEndHandlers += Callback_OnKneeRelease;

            rKneeControl.onGrabStartHandlers += Callback_OnKneeGrab;
            rKneeControl.onGrabEndHandlers += Callback_OnKneeRelease;

            lFootControl.onGrabStartHandlers += Callback_OnFootGrab;
            lFootControl.onGrabEndHandlers += Callback_OnFootRelease;
             
            rFootControl.onGrabStartHandlers += Callback_OnFootGrab;
            rFootControl.onGrabEndHandlers += Callback_OnFootRelease;
        }

        public override void Update()
        {
            js_Save_CurrentStepHeight.val = Mathf.Lerp(stepCycle.GetStep(1).TargetPos.y, stepCycle.GetStep(3).TargetPos.y, 0.5f);
            manager.CurrentYPos = js_Save_CurrentStepHeight.val;

            base.Update();

            try
            {
                UpdatePresetTransition();               
            }
            catch (Exception e)
            {
                SuperController.LogError("Exception caught: " + e);
            }
        }

        public override void OnDestroy()
        {
            base.OnDestroy();

            headControl.onGrabStartHandlers -= Callback_OnHeadGrab;
            headControl.onGrabEndHandlers -= Callback_OnHeadRelease;

            chestControl.onGrabStartHandlers -= Callback_OnChestGrab;
            chestControl.onGrabEndHandlers -= Callback_OnChestRelease;

            hipControl.onGrabStartHandlers -= Callback_OnHipsGrab;
            hipControl.onGrabEndHandlers -= Callback_OnHipsRelease;

            lShoulderControl.onGrabStartHandlers -= Callback_OnShoulderGrab;
            lShoulderControl.onGrabEndHandlers -= Callback_OnShoulderRelease;

            rShoulderControl.onGrabStartHandlers -= Callback_OnShoulderGrab;
            rShoulderControl.onGrabEndHandlers -= Callback_OnShoulderRelease;

            lElbowControl.onGrabStartHandlers -= Callback_OnElbowGrab;
            lElbowControl.onGrabEndHandlers -= Callback_OnElbowRelease;

            rElbowControl.onGrabStartHandlers -= Callback_OnElbowGrab;
            rElbowControl.onGrabEndHandlers -= Callback_OnElbowRelease;

            lHandControl.onGrabStartHandlers -= Callback_OnHandGrab;
            lHandControl.onGrabEndHandlers -= Callback_OnHandRelease;

            rHandControl.onGrabStartHandlers -= Callback_OnHandGrab;
            rHandControl.onGrabEndHandlers -= Callback_OnHandRelease;

            lKneeControl.onGrabStartHandlers -= Callback_OnKneeGrab;
            lKneeControl.onGrabEndHandlers -= Callback_OnKneeRelease;

            rKneeControl.onGrabStartHandlers -= Callback_OnKneeGrab;
            rKneeControl.onGrabEndHandlers -= Callback_OnKneeRelease;

            lFootControl.onGrabStartHandlers -= Callback_OnFootGrab;
            lFootControl.onGrabEndHandlers -= Callback_OnFootRelease;

            rFootControl.onGrabStartHandlers -= Callback_OnFootGrab;
            rFootControl.onGrabEndHandlers -= Callback_OnFootRelease;
        }

        public override void Start()
        {
            stepCycle.Init(js_Save_CurrentStepHeight.val);
            manager.CurrentYPos = js_Save_CurrentStepHeight.val;
            Callback_GazeTargetChanged(js_GazeTargetAtom.val);

            if (js_UseHandsToMove.val)
            {
                rightHandTransitionTime = 1;
                rightHandState = 1;

                leftHandTransitionTime = 1;
                leftHandState = 1;
            }

            if (js_UseKneesToMove.val)
            {
                rightLegTransitionTime = 1;
                rightLegState = 1;

                leftLegTransitionTime = 1;
                leftLegState = 1;
            }

            isActive = true;
        }

        protected void CreateStepCycle()
        {
            /* Back Step Cycle */

            stepCycle = new StepCycle(manager);

            List<Step> _steps = new List<Step>();

            _steps.Add(new Step(stepCycle, js_StepsDuration.val, js_StepsDelay.val, false, true));
            _steps.Add(new Step(stepCycle, js_StepsDuration.val, js_StepsDelay.val, true));
            _steps.Add(new Step(stepCycle, js_StepsDuration.val, js_StepsDelay.val, true, true));
            _steps.Add(new Step(stepCycle, js_StepsDuration.val, js_StepsDelay.val, false));

            stepCycle.SetSteps(_steps);

            Callback_UpdateStepCycleParameters(0);
        }


        #endregion 

        #region Body Control System

        /* Control Target Functions */

        private Vector3 baseBodyPos;
        private Vector3 baseChestPos;
        private Vector3 baseChestPos_Move;
        private Quaternion baseRot;
        private Quaternion baseHeadRot;
        private Quaternion baseHeadRot_Move;
        private Quaternion baseChestRot;
        private Quaternion baseChestRot_Move;
        private Quaternion baseBodyRot;
        private Quaternion baseLeftArmRot;
        private Quaternion baseRightArmRot;
        private Quaternion baseLeftFootRot;
        private Quaternion baseRightFootRot;
        private Quaternion baseLeftFootRot_Kneeling;
        private Quaternion baseRightFootRot_Kneeling;
        private float kneesBodyHeightFactor;
        private float shinLength;
        private float thighLength;
        private float armLength;
        private float forearmLength;

        private float rStepUpDownStr;
        private float lStepUpDownStr;
        private float rStepSideStr;
        private float lStepSideStr;
        private float rStepForwardStr;
        private float lStepForwardStr;
        private float rStepYawStr;
        private float lStepYawStr;
        private float rStepPitchStr;
        private float lStepPitchStr;
        private float rStepRollStr;
        private float lStepRollStr;

        private float rightLegState = 0;
        private float rightLegTransitionTime = 0;
        private float leftLegState = 0;
        private float leftLegTransitionTime = 0;

        private float rightHandState = 0;
        private float leftHandState = 0;
        private float rightHandTransitionTime = 0;
        private float leftHandTransitionTime = 0;

        private float chestTransitionState = 0;
        private float headTransitionState = 0;

        protected override void UpdateTargets()
        {
            if (!isActive)
                return;

           
            if (js_UpdateRootControl.val)
            {
                mainControlPos = manager.TargetTransform.position;
                mainControlPos.y = js_Save_CurrentStepHeight.val;
                mainControl.transform.position = mainControlPos;
                mainControl.transform.rotation = manager.TargetTransform.rotation;
            }

            kneesBodyHeightFactor = Mathf.Clamp01(1 - js_BodyHeight.val) * 0.5f;

            armLength = (rShoulderForceReceiver.transform.position - rElbowForceReceiver.transform.position).magnitude;
            forearmLength = (rElbowForceReceiver.transform.position - rHandForceReceiver.transform.position).magnitude;
            shinLength = (rKneeForceReceiver.transform.position - rFootForceReceiver.transform.position).magnitude;
            thighLength = (rThighForceReceiver.transform.position - rKneeForceReceiver.transform.position).magnitude;

            try
            {
                UpdateBodyTarget();
                UpdateLegsTargets();
                UpdateHipsTarget();
                UpdateChestTarget();
                UpdateHeadTarget();
                UpdateDanceMode();

                UpdateGazeSystem();

                if (js_UseHandsToMove.val)
                    baseLeftArmRot = baseRot;
                else
                    baseLeftArmRot = Quaternion.Lerp(baseRot, baseBodyRot, js_LArmFollowBody.val);

                UpdateLeftShoulderTarget();                
                UpdateLeftElbowTarget();

                if (js_UseHandsToMove.val)
                    baseRightArmRot = baseRot;
                else
                    baseRightArmRot = Quaternion.Lerp(baseRot, baseBodyRot, js_RArmFollowBody.val);

                UpdateRightShoulderTarget();
                UpdateRightElbowTarget();

                UpdateHandsTargets();

                UpdateGrabSystem();
            }
            catch (Exception e)
            {
                SuperController.LogError("Exception caught: " + e);
            }
        }

        protected void UpdateBodyTarget()
        {
            baseRot = Quaternion.Lerp(stepCycle.GetStep(1).TargetRot, stepCycle.GetStep(3).TargetRot, 0.5f);

            baseBodyPos = ComputeFullbodyPos_PrimaryPose();
            baseBodyRot = ComputeFullbodyRot_PrimaryPose();
        }

        protected void UpdateLegsTargets()
        {          
            if(js_UseKneesToMove.val)
            {
                if(rightLegTransitionTime < js_LegsTransitionDuration.val)
                {
                    rightLegTransitionTime = Mathf.Clamp(rightLegTransitionTime + Time.deltaTime, 0, js_LegsTransitionDuration.val);
                    rightLegState = rightLegTransitionTime / js_LegsTransitionDuration.val;
                }
                else if(leftLegTransitionTime < js_LegsTransitionDuration.val)
                {
                    leftLegTransitionTime = Mathf.Clamp(leftLegTransitionTime + Time.deltaTime, 0, js_LegsTransitionDuration.val);
                    leftLegState = leftLegTransitionTime / js_LegsTransitionDuration.val;
                }
            }
            else
            {
                if (rightLegTransitionTime > 0)
                {
                    rightLegTransitionTime = Mathf.Clamp(rightLegTransitionTime - Time.deltaTime, 0, js_LegsTransitionDuration.val);
                    rightLegState = rightLegTransitionTime / js_LegsTransitionDuration.val;
                }
                else if (leftLegTransitionTime > 0)
                {
                    leftLegTransitionTime = Mathf.Clamp(leftLegTransitionTime - Time.deltaTime, 0, js_LegsTransitionDuration.val);
                    leftLegState = leftLegTransitionTime / js_LegsTransitionDuration.val;
                }
            }

            lFootTargetPos = Vector3.Lerp(ComputeLFootPos_Standing(), ComputeLFootPos_Kneeling(), leftLegState);
            lFootTargetRot = Quaternion.Lerp(ComputeLFootRot_Standing(), ComputeLFootRot_Kneeling(), leftLegState);
                                            
            rFootTargetPos = Vector3.Lerp(ComputeRFootPos_Standing(), ComputeRFootPos_Kneeling(), rightLegState);
            rFootTargetRot = Quaternion.Lerp(ComputeRFootRot_Standing(), ComputeRFootRot_Kneeling(), rightLegState);
                                            
            lKneeTargetPos = Vector3.Lerp(ComputeLKneePos_Standing(), ComputeLKneePos_Kneeling(), leftLegState);
            rKneeTargetPos = Vector3.Lerp(ComputeRKneePos_Standing(), ComputeRKneePos_Kneeling(), rightLegState);
        }

        protected void UpdateHipsTarget()
        {
            /* Position */

            rStepUpDownStr = stepCycle.GetStep(1).GetStepStrength(js_Step_HipsUpDown_MidPoint.val);
            lStepUpDownStr = stepCycle.GetStep(3).GetStepStrength(js_Step_HipsUpDown_MidPoint.val);
            rStepSideStr = stepCycle.GetStep(1).GetStepStrength(js_Step_HipsSide_MidPoint.val);
            lStepSideStr = stepCycle.GetStep(3).GetStepStrength(js_Step_HipsSide_MidPoint.val);
            rStepForwardStr = stepCycle.GetStep(1).GetStepStrength(js_Step_HipsForward_MidPoint.val);
            lStepForwardStr = stepCycle.GetStep(3).GetStepStrength(js_Step_HipsForward_MidPoint.val);           

            hipTargetPos = baseBodyPos;

            hipTargetPos += manager.TargetTransform.rotation * new Vector3(js_HipsSide.val, js_HipsUpDown.val, js_HipsForward.val - Mathf.Clamp01(1 - js_BodyHeight.val / 1) * 0.5f);

            hipTargetPos += manager.TargetTransform.rotation * new Vector3(js_HipsStepSide.val * rStepSideStr, js_HipsStepUpDown.val * rStepUpDownStr, js_HipsStepForward.val * rStepForwardStr);
            hipTargetPos += manager.TargetTransform.rotation * new Vector3(-js_HipsStepSide.val * lStepSideStr, js_HipsStepUpDown.val * lStepUpDownStr, js_HipsStepForward.val * lStepForwardStr);

            /* Rotation */

            rStepYawStr = stepCycle.GetStep(1).GetStepStrength(js_Step_HipsYaw_MidPoint.val);
            lStepYawStr = stepCycle.GetStep(3).GetStepStrength(js_Step_HipsYaw_MidPoint.val);
            rStepPitchStr = stepCycle.GetStep(1).GetStepStrength(js_Step_HipsPitch_MidPoint.val);
            lStepPitchStr = stepCycle.GetStep(3).GetStepStrength(js_Step_HipsPitch_MidPoint.val);
            rStepRollStr = stepCycle.GetStep(1).GetStepStrength(js_Step_HipsRoll_MidPoint.val);
            lStepRollStr = stepCycle.GetStep(3).GetStepStrength(js_Step_HipsRoll_MidPoint.val);

            hipTargetRot = baseBodyRot;

            hipTargetRot *= Quaternion.Euler(js_HipsPitch.val, js_HipsYaw.val, js_HipsRoll.val);

            hipTargetRot *= Quaternion.Euler(js_HipsStepPitch.val * rStepPitchStr, js_HipsStepYaw.val * rStepYawStr, js_HipsStepRoll.val * rStepRollStr);
            hipTargetRot *= Quaternion.Euler(js_HipsStepPitch.val * lStepPitchStr, -js_HipsStepYaw.val * lStepYawStr, -js_HipsStepRoll.val * lStepRollStr);
        }

        protected void UpdateChestTarget()
        {
            chestTransitionState = (rightHandTransitionTime + leftHandTransitionTime) / (js_HandsTransitionDuration.val * 2);

            chestTargetPos = Vector3.Lerp(ComputeChestPos_Free(), ComputeChestPos_Move(), chestTransitionState);
            chestTargetRot = Quaternion.Lerp(ComputeChestRot_Free(), ComputeChestRot_Move(), chestTransitionState);

            baseChestPos = Vector3.Lerp(baseChestPos, baseChestPos_Move, chestTransitionState);
            baseChestRot = Quaternion.Lerp(baseChestRot, baseChestRot_Move, chestTransitionState);
        }

        protected void UpdateHeadTarget()
        {
            headTransitionState = (rightHandTransitionTime + leftHandTransitionTime) / (js_HandsTransitionDuration.val * 2);

            headTargetPos = Vector3.Lerp(ComputeHeadPos_Free(), ComputeHeadPos_Move(), headTransitionState);
            headTargetRot = Quaternion.Lerp(ComputeHeadRot_Free(), ComputeHeadRot_Move(), headTransitionState);

            baseHeadRot = Quaternion.Lerp(baseHeadRot, baseHeadRot_Move, headTransitionState);
        }

        protected void UpdateLeftShoulderTarget()
        {
            /* Left Shoulder */

            rStepUpDownStr = stepCycle.GetStep(1).GetStepStrength(js_Step_LShoulderUpDown_MidPoint.val);
            lStepUpDownStr = stepCycle.GetStep(3).GetStepStrength(js_Step_LShoulderUpDown_MidPoint.val);
            rStepSideStr = stepCycle.GetStep(1).GetStepStrength(js_Step_LShoulderSide_MidPoint.val);
            lStepSideStr = stepCycle.GetStep(3).GetStepStrength(js_Step_LShoulderSide_MidPoint.val);
            rStepForwardStr = stepCycle.GetStep(1).GetStepStrength(js_Step_LShoulderForward_MidPoint.val);
            lStepForwardStr = stepCycle.GetStep(3).GetStepStrength(js_Step_LShoulderForward_MidPoint.val);

            lShoulderTargetPos = baseChestPos + (baseChestRot * new Vector3(-js_LShoulderSide.val, js_LShoulderUpDown.val, js_LShoulderForward.val));
            lShoulderTargetPos += baseChestRot * new Vector3(js_LShoulderStepSide.val * lStepSideStr, -js_LShoulderStepUpDown.val * lStepUpDownStr, js_LShoulderStepForward.val * lStepForwardStr);
            lShoulderTargetPos += baseChestRot * new Vector3(-js_LShoulderStepSide.val * rStepSideStr, js_LShoulderStepUpDown.val * rStepUpDownStr, -js_LShoulderStepForward.val * rStepForwardStr);
        }

        protected void UpdateRightShoulderTarget()
        {
            /* Right Shoulder */

            rStepUpDownStr = stepCycle.GetStep(1).GetStepStrength(js_Step_RShoulderUpDown_MidPoint.val);
            lStepUpDownStr = stepCycle.GetStep(3).GetStepStrength(js_Step_RShoulderUpDown_MidPoint.val);
            rStepSideStr = stepCycle.GetStep(1).GetStepStrength(js_Step_RShoulderSide_MidPoint.val);
            lStepSideStr = stepCycle.GetStep(3).GetStepStrength(js_Step_RShoulderSide_MidPoint.val);
            rStepForwardStr = stepCycle.GetStep(1).GetStepStrength(js_Step_RShoulderForward_MidPoint.val);
            lStepForwardStr = stepCycle.GetStep(3).GetStepStrength(js_Step_RShoulderForward_MidPoint.val);

            rShoulderTargetPos = baseChestPos + (baseChestRot * new Vector3(js_RShoulderSide.val, js_RShoulderUpDown.val, js_RShoulderForward.val));
            rShoulderTargetPos += baseChestRot * new Vector3(js_RShoulderStepSide.val * lStepSideStr, js_RShoulderStepUpDown.val * lStepUpDownStr, js_RShoulderStepForward.val * rStepForwardStr);
            rShoulderTargetPos += baseChestRot * new Vector3(-js_RShoulderStepSide.val * rStepSideStr, -js_RShoulderStepUpDown.val * rStepUpDownStr, -js_RShoulderStepForward.val * lStepForwardStr);
        }

        protected void UpdateLeftElbowTarget()
        {
            /* Left Elbow */

            rStepUpDownStr = stepCycle.GetStep(1).GetStepStrength(js_Step_LElbowUpDown_MidPoint.val);
            lStepUpDownStr = stepCycle.GetStep(3).GetStepStrength(js_Step_LElbowUpDown_MidPoint.val);
            rStepSideStr = stepCycle.GetStep(1).GetStepStrength(js_Step_LElbowSide_MidPoint.val);
            lStepSideStr = stepCycle.GetStep(3).GetStepStrength(js_Step_LElbowSide_MidPoint.val);
            rStepForwardStr = stepCycle.GetStep(1).GetStepStrength(js_Step_LElbowForward_MidPoint.val);
            lStepForwardStr = stepCycle.GetStep(3).GetStepStrength(js_Step_LElbowForward_MidPoint.val);

            lElbowTargetPos = Vector3.Lerp(lShoulderControl.transform.position, lHandControl.transform.position, 0.5f);
            lElbowTargetPos += baseLeftArmRot * new Vector3(-js_LElbowSide.val, js_LElbowUpDown.val, js_LElbowForward.val);
            lElbowTargetPos += baseLeftArmRot * new Vector3(-js_LElbowStepSide.val * lStepSideStr, -js_LElbowStepUpDown.val * lStepUpDownStr, -js_LElbowStepForward.val * rStepForwardStr);
            lElbowTargetPos += baseLeftArmRot * new Vector3(js_LElbowStepSide.val * rStepSideStr, js_LElbowStepUpDown.val * rStepUpDownStr, js_LElbowStepForward.val * lStepForwardStr);
        }

        protected void UpdateRightElbowTarget()
        {
            /* Right Elbow */

            rStepUpDownStr = stepCycle.GetStep(1).GetStepStrength(js_Step_RElbowUpDown_MidPoint.val);
            lStepUpDownStr = stepCycle.GetStep(3).GetStepStrength(js_Step_RElbowUpDown_MidPoint.val);
            rStepSideStr = stepCycle.GetStep(1).GetStepStrength(js_Step_RElbowSide_MidPoint.val);
            lStepSideStr = stepCycle.GetStep(3).GetStepStrength(js_Step_RElbowSide_MidPoint.val);
            rStepForwardStr = stepCycle.GetStep(1).GetStepStrength(js_Step_RElbowForward_MidPoint.val);
            lStepForwardStr = stepCycle.GetStep(3).GetStepStrength(js_Step_RElbowForward_MidPoint.val);

            rElbowTargetPos = Vector3.Lerp(rShoulderControl.transform.position, rHandControl.transform.position, 0.5f);
            rElbowTargetPos += baseLeftArmRot * new Vector3(js_RElbowSide.val, js_RElbowUpDown.val, js_RElbowForward.val);
            rElbowTargetPos += baseLeftArmRot * new Vector3(-js_RElbowStepSide.val * lStepSideStr, js_RElbowStepUpDown.val * lStepUpDownStr, js_RElbowStepForward.val * rStepForwardStr);
            rElbowTargetPos += baseLeftArmRot * new Vector3(js_RElbowStepSide.val * rStepSideStr, -js_RElbowStepUpDown.val * rStepUpDownStr, -js_RElbowStepForward.val * lStepForwardStr);
        }

        protected void UpdateHandsTargets()
        {
            if (js_UseHandsToMove.val)
            {
                if (rightHandTransitionTime < js_HandsTransitionDuration.val)
                {
                    rightHandTransitionTime = Mathf.Clamp(rightHandTransitionTime + Time.deltaTime, 0, js_HandsTransitionDuration.val);
                    rightHandState = rightHandTransitionTime / js_HandsTransitionDuration.val;
                }
                else if (leftHandTransitionTime < js_HandsTransitionDuration.val)
                {
                    leftHandTransitionTime = Mathf.Clamp(leftHandTransitionTime + Time.deltaTime, 0, js_HandsTransitionDuration.val);
                    leftHandState = leftHandTransitionTime / js_HandsTransitionDuration.val;
                }
            }
            else
            {
                if (rightHandTransitionTime > 0)
                {        
                    rightHandTransitionTime = Mathf.Clamp(rightHandTransitionTime - Time.deltaTime, 0, js_HandsTransitionDuration.val);
                    rightHandState = rightHandTransitionTime / js_HandsTransitionDuration.val;
                }
                else if (leftHandTransitionTime > 0)
                {
                    leftHandTransitionTime = Mathf.Clamp(leftHandTransitionTime - Time.deltaTime, 0, js_HandsTransitionDuration.val);
                    leftHandState = leftHandTransitionTime / js_HandsTransitionDuration.val;
                }
            }

            lHandTargetPos = Vector3.Lerp(ComputeLHandPos_Free(), ComputeLHandPos_Move(), leftHandState);
            lHandTargetRot = Quaternion.Lerp(ComputeLHandRot_Free(), ComputeLHandRot_Move(), leftHandState);

            rHandTargetPos = Vector3.Lerp(ComputeRHandPos_Free(), ComputeRHandPos_Move(), rightHandState);
            rHandTargetRot = Quaternion.Lerp(ComputeRHandRot_Free(), ComputeRHandRot_Move(), rightHandState);
        }

        /* FullBody sub functions */

        protected Vector3 tmpTargetPos;
        protected Quaternion tmpTargetRot;

        protected Vector3 ComputeFullbodyPos_PrimaryPose()
        {
            rStepUpDownStr = stepCycle.GetStep(1).GetStepStrength(js_Step_BodyHeight_MidPoint.val);
            lStepUpDownStr = stepCycle.GetStep(3).GetStepStrength(js_Step_BodyHeight_MidPoint.val);
            rStepSideStr = stepCycle.GetStep(1).GetStepStrength(js_Step_BodySide_MidPoint.val);
            lStepSideStr = stepCycle.GetStep(3).GetStepStrength(js_Step_BodySide_MidPoint.val);
            rStepForwardStr = stepCycle.GetStep(1).GetStepStrength(js_Step_BodyForward_MidPoint.val);
            lStepForwardStr = stepCycle.GetStep(3).GetStepStrength(js_Step_BodyForward_MidPoint.val);

            /* Position */

            tmpTargetPos = Vector3.Lerp(stepCycle.GetStep(1).TargetPos, stepCycle.GetStep(3).TargetPos, 0.5f);

            if (js_UseHandsToMove.val)
            {
                tmpTargetPos.y = Mathf.Lerp(Mathf.Lerp(stepCycle.GetStep(1).TargetPos.y, stepCycle.GetStep(3).TargetPos.y, 0.5f), Mathf.Lerp(stepCycle.GetStep(0).TargetPos.y, stepCycle.GetStep(2).TargetPos.y, 0.5f), 0.5f);
            }
            else
                tmpTargetPos.y = Mathf.Lerp(stepCycle.GetStep(1).TargetPos.y, stepCycle.GetStep(3).TargetPos.y, 0.5f);

            tmpTargetPos += baseRot * new Vector3(js_BodySide.val, js_BodyHeight.val, js_BodyForward.val);

            tmpTargetPos += baseRot * new Vector3(js_Step_BodySide.val * rStepSideStr, js_Step_BodyHeight.val * rStepUpDownStr, js_Step_BodyForward.val * rStepForwardStr); 
            tmpTargetPos += baseRot * new Vector3(-js_Step_BodySide.val * lStepSideStr, js_Step_BodyHeight.val * lStepUpDownStr, js_Step_BodyForward.val * lStepForwardStr);

            return tmpTargetPos;
        }

        protected Quaternion ComputeFullbodyRot_PrimaryPose()
        {
            rStepYawStr = stepCycle.GetStep(1).GetStepStrength(js_Step_BodyYaw_MidPoint.val);
            lStepYawStr = stepCycle.GetStep(3).GetStepStrength(js_Step_BodyYaw_MidPoint.val);
            rStepPitchStr = stepCycle.GetStep(1).GetStepStrength(js_Step_BodyPitch_MidPoint.val);
            lStepPitchStr = stepCycle.GetStep(3).GetStepStrength(js_Step_BodyPitch_MidPoint.val);
            rStepRollStr = stepCycle.GetStep(1).GetStepStrength(js_Step_BodyRoll_MidPoint.val);
            lStepRollStr = stepCycle.GetStep(3).GetStepStrength(js_Step_BodyRoll_MidPoint.val);

            /* Rotation */

            tmpTargetRot = baseRot;

            tmpTargetRot *= Quaternion.AngleAxis(js_BodyPitch.val, Vector3.right);
            tmpTargetRot *= Quaternion.AngleAxis(js_BodyYaw.val, Vector3.up);
            tmpTargetRot *= Quaternion.AngleAxis(js_BodyRoll.val, Vector3.forward);

            tmpTargetRot *= Quaternion.AngleAxis(js_Step_BodyPitch.val * rStepPitchStr, Vector3.right);
            tmpTargetRot *= Quaternion.AngleAxis(js_Step_BodyYaw.val * rStepYawStr, Vector3.up);
            tmpTargetRot *= Quaternion.AngleAxis(js_Step_BodyRoll.val * rStepRollStr, Vector3.forward);

            tmpTargetRot *= Quaternion.AngleAxis(js_Step_BodyPitch.val * lStepPitchStr, Vector3.right);
            tmpTargetRot *= Quaternion.AngleAxis(-js_Step_BodyYaw.val * lStepYawStr, Vector3.up);
            tmpTargetRot *= Quaternion.AngleAxis(-js_Step_BodyRoll.val * lStepRollStr, Vector3.forward);

            tmpTargetRot *= Quaternion.AngleAxis(hipsAutoRotCurrent, Vector3.up); //Dance Mode auto Rot

            return tmpTargetRot;
        }

        /* Chest sub functions */

        protected Vector3 ComputeChestPos_Free()
        {
            /* Position */

            rStepUpDownStr = stepCycle.GetStep(1).GetStepStrength(js_Step_ChestUpDown_MidPoint.val);
            lStepUpDownStr = stepCycle.GetStep(3).GetStepStrength(js_Step_ChestUpDown_MidPoint.val);
            rStepSideStr = stepCycle.GetStep(1).GetStepStrength(js_Step_ChestSide_MidPoint.val);
            lStepSideStr = stepCycle.GetStep(3).GetStepStrength(js_Step_ChestSide_MidPoint.val);
            rStepForwardStr = stepCycle.GetStep(1).GetStepStrength(js_Step_ChestForward_MidPoint.val);
            lStepForwardStr = stepCycle.GetStep(3).GetStepStrength(js_Step_ChestForward_MidPoint.val);

            tmpTargetPos = baseBodyPos;
            tmpTargetPos += baseBodyRot * Vector3.up * 0.3f;

            baseChestPos = tmpTargetPos;

            tmpTargetPos += baseBodyRot * new Vector3(js_ChestSide.val, js_ChestUpDown.val, js_ChestForward.val);

            tmpTargetPos += baseBodyRot * new Vector3(js_ChestStepSide.val * rStepSideStr, js_ChestStepUpDown.val * rStepUpDownStr, js_ChestStepForward.val * rStepForwardStr);
            tmpTargetPos += baseBodyRot * new Vector3(-js_ChestStepSide.val * lStepSideStr, js_ChestStepUpDown.val * lStepUpDownStr, js_ChestStepForward.val * lStepForwardStr);

            return tmpTargetPos;
        }

        protected Vector3 ComputeChestPos_Move()
        {
            /* Position */

            rStepUpDownStr = stepCycle.GetStep(0).GetStepStrength(js_Step_ChestUpDown_MidPoint.val);
            lStepUpDownStr = stepCycle.GetStep(2).GetStepStrength(js_Step_ChestUpDown_MidPoint.val);
            rStepSideStr = stepCycle.GetStep(0).GetStepStrength(js_Step_ChestSide_MidPoint.val);
            lStepSideStr = stepCycle.GetStep(2).GetStepStrength(js_Step_ChestSide_MidPoint.val);
            rStepForwardStr = stepCycle.GetStep(0).GetStepStrength(js_Step_ChestForward_MidPoint.val);
            lStepForwardStr = stepCycle.GetStep(2).GetStepStrength(js_Step_ChestForward_MidPoint.val);

            tmpTargetPos = Vector3.Lerp(stepCycle.GetStep(0).TargetPos, stepCycle.GetStep(2).TargetPos, 0.5f);
            tmpTargetRot = Quaternion.Lerp(stepCycle.GetStep(0).TargetRot, stepCycle.GetStep(2).TargetRot, 0.5f);

            tmpTargetPos += tmpTargetRot * Vector3.up * 0.45f;           

            tmpTargetPos += tmpTargetRot * new Vector3(js_ChestSide.val, js_ChestUpDown.val, js_ChestForward.val);

            baseChestPos_Move = tmpTargetPos;

            tmpTargetPos += tmpTargetRot * new Vector3(js_ChestStepSide.val * rStepSideStr, js_ChestStepUpDown.val * rStepUpDownStr, js_ChestStepForward.val * rStepForwardStr);
            tmpTargetPos += tmpTargetRot * new Vector3(-js_ChestStepSide.val * lStepSideStr, js_ChestStepUpDown.val * lStepUpDownStr, js_ChestStepForward.val * lStepForwardStr);

            return tmpTargetPos;
        }

        protected Quaternion ComputeChestRot_Free()
        {
            /* Rotation */

            rStepYawStr = stepCycle.GetStep(1).GetStepStrength(js_Step_ChestYaw_MidPoint.val);
            lStepYawStr = stepCycle.GetStep(3).GetStepStrength(js_Step_ChestYaw_MidPoint.val);
            rStepPitchStr = stepCycle.GetStep(1).GetStepStrength(js_Step_ChestPitch_MidPoint.val);
            lStepPitchStr = stepCycle.GetStep(3).GetStepStrength(js_Step_ChestPitch_MidPoint.val);
            rStepRollStr = stepCycle.GetStep(1).GetStepStrength(js_Step_ChestRoll_MidPoint.val);
            lStepRollStr = stepCycle.GetStep(3).GetStepStrength(js_Step_ChestRoll_MidPoint.val);

            tmpTargetRot = baseBodyRot;

            baseChestRot = tmpTargetRot;

            tmpTargetRot *= Quaternion.Euler(js_ChestPitch.val, js_ChestYaw.val, js_ChestRoll.val);

            tmpTargetRot *= Quaternion.AngleAxis(chestAutoRotCurrent, Vector3.up);

            tmpTargetRot *= Quaternion.Euler(js_ChestStepPitch.val * rStepPitchStr, js_ChestStepYaw.val * rStepYawStr, js_ChestStepRoll.val * rStepRollStr);
            tmpTargetRot *= Quaternion.Euler(js_ChestStepPitch.val * lStepPitchStr, -js_ChestStepYaw.val * lStepYawStr, -js_ChestStepRoll.val * lStepRollStr);

            return tmpTargetRot;
        }

        protected Quaternion ComputeChestRot_Move()
        {
            /* Rotation */

            rStepYawStr = stepCycle.GetStep(0).GetStepStrength(js_Step_ChestYaw_MidPoint.val);
            lStepYawStr = stepCycle.GetStep(2).GetStepStrength(js_Step_ChestYaw_MidPoint.val);
            rStepPitchStr = stepCycle.GetStep(0).GetStepStrength(js_Step_ChestPitch_MidPoint.val);
            lStepPitchStr = stepCycle.GetStep(2).GetStepStrength(js_Step_ChestPitch_MidPoint.val);
            rStepRollStr = stepCycle.GetStep(0).GetStepStrength(js_Step_ChestRoll_MidPoint.val);
            lStepRollStr = stepCycle.GetStep(2).GetStepStrength(js_Step_ChestRoll_MidPoint.val);

            tmpTargetRot = Quaternion.Lerp(stepCycle.GetStep(0).TargetRot, stepCycle.GetStep(2).TargetRot, 0.5f);

            baseChestRot_Move = tmpTargetRot;

            tmpTargetRot *= Quaternion.Euler(js_ChestPitch.val + 90, js_ChestYaw.val, js_ChestRoll.val);

            tmpTargetRot *= Quaternion.AngleAxis(chestAutoRotCurrent, Vector3.forward);

            tmpTargetRot *= Quaternion.Euler(js_ChestStepPitch.val * rStepPitchStr, js_ChestStepYaw.val * rStepYawStr, js_ChestStepRoll.val * rStepRollStr);
            tmpTargetRot *= Quaternion.Euler(js_ChestStepPitch.val * lStepPitchStr, -js_ChestStepYaw.val * lStepYawStr, -js_ChestStepRoll.val * lStepRollStr);

            return tmpTargetRot;
        }


        /* Head sub functions */

        protected Vector3 ComputeHeadPos_Free()
        {
            /* Position */

            rStepUpDownStr = stepCycle.GetStep(1).GetStepStrength(js_Step_HeadUpDown_MidPoint.val);
            lStepUpDownStr = stepCycle.GetStep(3).GetStepStrength(js_Step_HeadUpDown_MidPoint.val);
            rStepSideStr = stepCycle.GetStep(1).GetStepStrength(js_Step_HeadSide_MidPoint.val);
            lStepSideStr = stepCycle.GetStep(3).GetStepStrength(js_Step_HeadSide_MidPoint.val);
            rStepForwardStr = stepCycle.GetStep(1).GetStepStrength(js_Step_HeadForward_MidPoint.val);
            lStepForwardStr = stepCycle.GetStep(3).GetStepStrength(js_Step_HeadForward_MidPoint.val);

            tmpTargetPos = baseChestPos;
            tmpTargetPos += baseChestRot * new Vector3(js_HeadSide.val, js_HeadUpDown.val + 0.25f, js_HeadForward.val - 0.05f);

            tmpTargetPos += baseChestRot * new Vector3(js_HeadStepSide.val * rStepSideStr, js_HeadStepUpDown.val * rStepUpDownStr, js_HeadStepForward.val * rStepForwardStr);
            tmpTargetPos += baseChestRot * new Vector3(-js_HeadStepSide.val * lStepSideStr, js_HeadStepUpDown.val * lStepUpDownStr, js_HeadStepForward.val * lStepForwardStr);

            return tmpTargetPos;
        }

        protected Vector3 ComputeHeadPos_Move()
        {
            /* Position */

            rStepUpDownStr = stepCycle.GetStep(0).GetStepStrength(js_Step_HeadUpDown_MidPoint.val);
            lStepUpDownStr = stepCycle.GetStep(2).GetStepStrength(js_Step_HeadUpDown_MidPoint.val);
            rStepSideStr = stepCycle.GetStep(0).GetStepStrength(js_Step_HeadSide_MidPoint.val);
            lStepSideStr = stepCycle.GetStep(2).GetStepStrength(js_Step_HeadSide_MidPoint.val);
            rStepForwardStr = stepCycle.GetStep(0).GetStepStrength(js_Step_HeadForward_MidPoint.val);
            lStepForwardStr = stepCycle.GetStep(2).GetStepStrength(js_Step_HeadForward_MidPoint.val);

            tmpTargetPos = baseChestPos;
            tmpTargetPos += baseChestRot * new Vector3(js_HeadSide.val, js_HeadUpDown.val + 0.25f, js_HeadForward.val - 0.05f);

            tmpTargetPos += baseChestRot * new Vector3(js_HeadStepSide.val * rStepSideStr, js_HeadStepUpDown.val * rStepUpDownStr, js_HeadStepForward.val * rStepForwardStr);
            tmpTargetPos += baseChestRot * new Vector3(-js_HeadStepSide.val * lStepSideStr, js_HeadStepUpDown.val * lStepUpDownStr, js_HeadStepForward.val * lStepForwardStr);

            return tmpTargetPos;
        }

        protected Quaternion ComputeHeadRot_Free()
        {
            /* Rotation */

            rStepYawStr = stepCycle.GetStep(1).GetStepStrength(js_Step_HeadYaw_MidPoint.val);
            lStepYawStr = stepCycle.GetStep(3).GetStepStrength(js_Step_HeadYaw_MidPoint.val);
            rStepPitchStr = stepCycle.GetStep(1).GetStepStrength(js_Step_HeadPitch_MidPoint.val);
            lStepPitchStr = stepCycle.GetStep(3).GetStepStrength(js_Step_HeadPitch_MidPoint.val);
            rStepRollStr = stepCycle.GetStep(1).GetStepStrength(js_Step_HeadRoll_MidPoint.val);
            lStepRollStr = stepCycle.GetStep(3).GetStepStrength(js_Step_HeadRoll_MidPoint.val);

            tmpTargetRot = baseChestRot;

            tmpTargetRot *= Quaternion.Euler(js_HeadPitch.val, js_HeadYaw.val, js_HeadRoll.val);
            tmpTargetRot *= Quaternion.AngleAxis(headAutoRotCurrent, Vector3.up);

            baseHeadRot = tmpTargetRot;

            tmpTargetRot *= Quaternion.Euler(js_HeadStepPitch.val * rStepPitchStr, js_HeadStepYaw.val * rStepYawStr, js_HeadStepRoll.val * rStepRollStr);
            tmpTargetRot *= Quaternion.Euler(js_HeadStepPitch.val * lStepPitchStr, -js_HeadStepYaw.val * lStepYawStr, -js_HeadStepRoll.val * lStepRollStr);

            return tmpTargetRot;
        }

        protected Quaternion ComputeHeadRot_Move()
        {
            /* Rotation */

            rStepYawStr = stepCycle.GetStep(0).GetStepStrength(js_Step_HeadYaw_MidPoint.val);
            lStepYawStr = stepCycle.GetStep(2).GetStepStrength(js_Step_HeadYaw_MidPoint.val);
            rStepPitchStr = stepCycle.GetStep(0).GetStepStrength(js_Step_HeadPitch_MidPoint.val);
            lStepPitchStr = stepCycle.GetStep(2).GetStepStrength(js_Step_HeadPitch_MidPoint.val);
            rStepRollStr = stepCycle.GetStep(0).GetStepStrength(js_Step_HeadRoll_MidPoint.val);
            lStepRollStr = stepCycle.GetStep(2).GetStepStrength(js_Step_HeadRoll_MidPoint.val);

            tmpTargetRot = baseChestRot;

            tmpTargetRot *= Quaternion.Euler(js_HeadPitch.val, js_HeadYaw.val, js_HeadRoll.val);
            tmpTargetRot *= Quaternion.AngleAxis(headAutoRotCurrent, Vector3.up);

            baseHeadRot_Move = tmpTargetRot;

            tmpTargetRot *= Quaternion.Euler(js_HeadStepPitch.val * rStepPitchStr, js_HeadStepYaw.val * rStepYawStr, js_HeadStepRoll.val * rStepRollStr);
            tmpTargetRot *= Quaternion.Euler(js_HeadStepPitch.val * lStepPitchStr, -js_HeadStepYaw.val * lStepYawStr, -js_HeadStepRoll.val * lStepRollStr);

            return tmpTargetRot;
        }

        /* Legs sub functions */


        protected float stepHeightAdaptation;
        protected float stepHeightAdaptation_Down = 0.6f;
        protected float stepHeightAdaptation_Up = 0.9f;

        protected float stepHeightAdaptation_Down_Kneeling = 0.1f;
        protected float stepHeightAdaptation_Up_Kneeling = 0.6f;

        protected float stepHeightAdaptation_Down_Crawling = 0.2f;
        protected float stepHeightAdaptation_Up_Crawling = 0.6f;

        protected Vector3 ComputeRFootPos_Standing()
        {
            rStepUpDownStr = stepCycle.GetStep(1).GetStepStrength(js_Step_RFootUpDown_MidPoint.val);
            lStepUpDownStr = stepCycle.GetStep(3).GetStepStrength(js_Step_RFootUpDown_MidPoint.val);
            rStepSideStr = stepCycle.GetStep(1).GetStepStrength(js_Step_RFootSide_MidPoint.val);
            lStepSideStr = stepCycle.GetStep(3).GetStepStrength(js_Step_RFootSide_MidPoint.val);
            rStepForwardStr = stepCycle.GetStep(1).GetStepStrength(js_Step_RFootForward_MidPoint.val);
            lStepForwardStr = stepCycle.GetStep(3).GetStepStrength(js_Step_RFootForward_MidPoint.val);

            stepHeightAdaptation = stepCycle.GetStep(1).StepHeightDelta >= 0 ? stepHeightAdaptation_Up : stepHeightAdaptation_Down;

            tmpTargetPos = stepCycle.GetStep(1).TargetPos;
            tmpTargetPos += stepCycle.GetStep(1).TargetRot * new Vector3(js_RFootSide.val, js_RFootUpDown.val, js_RFootForward.val);

            tmpTargetPos += stepCycle.GetStep(1).TargetRot * new Vector3(js_RFootStepSide.val * rStepSideStr, js_RFootStepUpDown.val * rStepUpDownStr, js_RFootStepForward.val * rStepForwardStr);
            tmpTargetPos += stepCycle.GetStep(3).TargetRot * new Vector3(js_RFootStepSide.val * lStepSideStr, js_RFootStepUpDown.val * lStepUpDownStr, js_RFootStepForward.val * lStepForwardStr) * js_MoveBothFeetsEachStepFactor.val;

            tmpTargetPos.y += Mathf.Abs(stepCycle.GetStep(1).StepHeightDelta) * stepHeightAdaptation * stepCycle.GetStep(1).GetStepStrength(js_Step_RFootUpDown_MidPoint.val, false);

            return tmpTargetPos;
        }

        protected Vector3 ComputeLFootPos_Standing()
        {
            rStepUpDownStr = stepCycle.GetStep(1).GetStepStrength(js_Step_LFootUpDown_MidPoint.val);
            lStepUpDownStr = stepCycle.GetStep(3).GetStepStrength(js_Step_LFootUpDown_MidPoint.val);
            rStepSideStr = stepCycle.GetStep(1).GetStepStrength(js_Step_LFootSide_MidPoint.val);
            lStepSideStr = stepCycle.GetStep(3).GetStepStrength(js_Step_LFootSide_MidPoint.val);
            rStepForwardStr = stepCycle.GetStep(1).GetStepStrength(js_Step_LFootForward_MidPoint.val);
            lStepForwardStr = stepCycle.GetStep(3).GetStepStrength(js_Step_LFootForward_MidPoint.val);

            stepHeightAdaptation = stepCycle.GetStep(3).StepHeightDelta >= 0 ? stepHeightAdaptation_Up : stepHeightAdaptation_Down;

            tmpTargetPos = stepCycle.GetStep(3).TargetPos;
            tmpTargetPos += stepCycle.GetStep(3).TargetRot * new Vector3(-js_LFootSide.val, js_LFootUpDown.val, js_LFootForward.val);

            tmpTargetPos += stepCycle.GetStep(3).TargetRot * new Vector3(-js_LFootStepSide.val * lStepSideStr, js_LFootStepUpDown.val * lStepUpDownStr, js_LFootStepForward.val * lStepForwardStr);
            tmpTargetPos += stepCycle.GetStep(1).TargetRot * new Vector3(-js_LFootStepSide.val * rStepSideStr, js_LFootStepUpDown.val * rStepUpDownStr, js_LFootStepForward.val * rStepForwardStr) * js_MoveBothFeetsEachStepFactor.val;

            tmpTargetPos.y += Mathf.Abs(stepCycle.GetStep(3).StepHeightDelta) * stepHeightAdaptation * stepCycle.GetStep(3).GetStepStrength(js_Step_LFootUpDown_MidPoint.val, false);

            return tmpTargetPos;
        }

        protected Quaternion ComputeRFootRot_Standing()
        {
            rStepYawStr = stepCycle.GetStep(1).GetStepStrength(js_Step_RFootYaw_MidPoint.val);
            lStepYawStr = stepCycle.GetStep(3).GetStepStrength(js_Step_RFootYaw_MidPoint.val) * js_MoveBothFeetsEachStepFactor.val;
            rStepPitchStr = stepCycle.GetStep(1).GetStepStrength(js_Step_RFootPitch_MidPoint.val);
            lStepPitchStr = stepCycle.GetStep(3).GetStepStrength(js_Step_RFootPitch_MidPoint.val) * js_MoveBothFeetsEachStepFactor.val;
            rStepRollStr = stepCycle.GetStep(1).GetStepStrength(js_Step_RFootRoll_MidPoint.val);
            lStepRollStr = stepCycle.GetStep(3).GetStepStrength(js_Step_RFootRoll_MidPoint.val) * js_MoveBothFeetsEachStepFactor.val;

            tmpTargetRot = stepCycle.GetStep(1).TargetRot;

            tmpTargetRot *= Quaternion.Euler(js_RFootPitch.val, js_RFootYaw.val, js_RFootRoll.val);
            tmpTargetRot *= Quaternion.Euler(js_RFootStepPitch.val * rStepPitchStr, js_RFootStepYaw.val * rStepYawStr, js_RFootStepRoll.val * rStepRollStr);
            tmpTargetRot *= Quaternion.Euler(js_RFootStepPitch.val * lStepPitchStr, js_RFootStepYaw.val * lStepYawStr, js_RFootStepRoll.val * lStepRollStr);


            return tmpTargetRot;
        }

        protected Quaternion ComputeLFootRot_Standing()
        {
            rStepYawStr = stepCycle.GetStep(1).GetStepStrength(js_Step_LFootYaw_MidPoint.val) * js_MoveBothFeetsEachStepFactor.val;
            lStepYawStr = stepCycle.GetStep(3).GetStepStrength(js_Step_LFootYaw_MidPoint.val);
            rStepPitchStr = stepCycle.GetStep(1).GetStepStrength(js_Step_LFootPitch_MidPoint.val) * js_MoveBothFeetsEachStepFactor.val;
            lStepPitchStr = stepCycle.GetStep(3).GetStepStrength(js_Step_LFootPitch_MidPoint.val);
            rStepRollStr = stepCycle.GetStep(1).GetStepStrength(js_Step_LFootRoll_MidPoint.val) * js_MoveBothFeetsEachStepFactor.val;
            lStepRollStr = stepCycle.GetStep(3).GetStepStrength(js_Step_LFootRoll_MidPoint.val);

            tmpTargetRot = stepCycle.GetStep(3).TargetRot;

            tmpTargetRot *= Quaternion.Euler(js_LFootPitch.val, js_LFootYaw.val, js_LFootRoll.val);
            tmpTargetRot *= Quaternion.Euler(js_LFootStepPitch.val * rStepPitchStr, js_LFootStepYaw.val * rStepYawStr, js_LFootStepRoll.val * rStepRollStr);
            tmpTargetRot *= Quaternion.Euler(js_LFootStepPitch.val * lStepPitchStr, js_LFootStepYaw.val * lStepYawStr, js_LFootStepRoll.val * lStepRollStr);

            return tmpTargetRot;
        }

        protected Vector3 ComputeRKneePos_Standing()
        {
            rStepUpDownStr = stepCycle.GetStep(1).GetStepStrength(js_Step_RKneeUpDown_MidPoint.val);
            lStepUpDownStr = stepCycle.GetStep(3).GetStepStrength(js_Step_RKneeUpDown_MidPoint.val);
            rStepSideStr = stepCycle.GetStep(1).GetStepStrength(js_Step_RKneeSide_MidPoint.val);
            lStepSideStr = stepCycle.GetStep(3).GetStepStrength(js_Step_RKneeSide_MidPoint.val);
            rStepForwardStr = stepCycle.GetStep(1).GetStepStrength(js_Step_RKneeForward_MidPoint.val);
            lStepForwardStr = stepCycle.GetStep(3).GetStepStrength(js_Step_RKneeForward_MidPoint.val);

            tmpTargetPos = Vector3.Lerp(hipForceReceiver.transform.position, rFootForceReceiver.transform.position, 0.5f);
            tmpTargetPos += stepCycle.GetStep(1).TargetRot * new Vector3(js_RKneeSide.val, js_RKneeUpDown.val, js_RKneeForward.val + kneesBodyHeightFactor);

            tmpTargetPos += stepCycle.GetStep(1).TargetRot * new Vector3(js_RKneeStepSide.val * rStepSideStr, js_RKneeStepUpDown.val * rStepUpDownStr, js_RKneeStepForward.val * rStepForwardStr);
            tmpTargetPos += stepCycle.GetStep(3).TargetRot * new Vector3(js_RKneeStepSide.val * lStepSideStr, js_RKneeStepUpDown.val * lStepUpDownStr, js_RKneeStepForward.val * lStepForwardStr) * js_MoveBothKneesEachStepFactor.val;

            return tmpTargetPos;
        }

        protected Vector3 ComputeLKneePos_Standing()
        {
            rStepUpDownStr = stepCycle.GetStep(1).GetStepStrength(js_Step_LKneeUpDown_MidPoint.val);
            lStepUpDownStr = stepCycle.GetStep(3).GetStepStrength(js_Step_LKneeUpDown_MidPoint.val);
            rStepSideStr = stepCycle.GetStep(1).GetStepStrength(js_Step_LKneeSide_MidPoint.val);
            lStepSideStr = stepCycle.GetStep(3).GetStepStrength(js_Step_LKneeSide_MidPoint.val);
            rStepForwardStr = stepCycle.GetStep(1).GetStepStrength(js_Step_LKneeForward_MidPoint.val);
            lStepForwardStr = stepCycle.GetStep(3).GetStepStrength(js_Step_LKneeForward_MidPoint.val);

            tmpTargetPos = Vector3.Lerp(hipForceReceiver.transform.position, lFootForceReceiver.transform.position, 0.5f);
            tmpTargetPos += stepCycle.GetStep(3).TargetRot * new Vector3(-js_LKneeSide.val, js_LKneeUpDown.val, js_LKneeForward.val + kneesBodyHeightFactor);

            tmpTargetPos += stepCycle.GetStep(3).TargetRot * new Vector3(-js_LKneeStepSide.val * lStepSideStr, js_LKneeStepUpDown.val * lStepUpDownStr, js_LKneeStepForward.val * lStepForwardStr);
            tmpTargetPos += stepCycle.GetStep(1).TargetRot * new Vector3(-js_LKneeStepSide.val * rStepSideStr, js_LKneeStepUpDown.val * rStepUpDownStr, js_LKneeStepForward.val * rStepForwardStr) * js_MoveBothKneesEachStepFactor.val;

            return tmpTargetPos;
        }


        protected Vector3 ComputeRFootPos_Kneeling()
        {
            rStepUpDownStr = stepCycle.GetStep(1).GetStepStrength(js_Step_RFootUpDown_MidPoint.val);
            lStepUpDownStr = stepCycle.GetStep(3).GetStepStrength(js_Step_RFootUpDown_MidPoint.val);
            rStepSideStr = stepCycle.GetStep(1).GetStepStrength(js_Step_RFootSide_MidPoint.val);
            lStepSideStr = stepCycle.GetStep(3).GetStepStrength(js_Step_RFootSide_MidPoint.val);
            rStepForwardStr = stepCycle.GetStep(1).GetStepStrength(js_Step_RFootForward_MidPoint.val);
            lStepForwardStr = stepCycle.GetStep(3).GetStepStrength(js_Step_RFootForward_MidPoint.val);

            stepHeightAdaptation = stepCycle.GetStep(1).StepHeightDelta >= 0 ? stepHeightAdaptation_Up_Kneeling : stepHeightAdaptation_Down_Kneeling;

            tmpTargetPos = stepCycle.GetStep(1).TargetPos;
            tmpTargetPos += stepCycle.GetStep(1).TargetRot * Vector3.back * shinLength;
            tmpTargetPos += stepCycle.GetStep(1).TargetRot * new Vector3(js_RFootSide.val, js_RFootUpDown.val, js_RFootForward.val);

            tmpTargetPos += stepCycle.GetStep(1).TargetRot * new Vector3(js_RFootStepSide.val * rStepSideStr, js_RFootStepUpDown.val * rStepUpDownStr, js_RFootStepForward.val * rStepForwardStr);
            tmpTargetPos += stepCycle.GetStep(3).TargetRot * new Vector3(js_RFootStepSide.val * lStepSideStr, js_RFootStepUpDown.val * lStepUpDownStr, js_RFootStepForward.val * lStepForwardStr) * js_MoveBothFeetsEachStepFactor.val;

            tmpTargetPos.y += Mathf.Abs(stepCycle.GetStep(1).StepHeightDelta) * stepHeightAdaptation * stepCycle.GetStep(1).GetStepStrength(js_Step_RFootUpDown_MidPoint.val, false);

            return tmpTargetPos;
        }

        protected Vector3 ComputeLFootPos_Kneeling()
        {
            rStepUpDownStr = stepCycle.GetStep(1).GetStepStrength(js_Step_LFootUpDown_MidPoint.val);
            lStepUpDownStr = stepCycle.GetStep(3).GetStepStrength(js_Step_LFootUpDown_MidPoint.val);
            rStepSideStr = stepCycle.GetStep(1).GetStepStrength(js_Step_LFootSide_MidPoint.val);
            lStepSideStr = stepCycle.GetStep(3).GetStepStrength(js_Step_LFootSide_MidPoint.val);
            rStepForwardStr = stepCycle.GetStep(1).GetStepStrength(js_Step_LFootForward_MidPoint.val);
            lStepForwardStr = stepCycle.GetStep(3).GetStepStrength(js_Step_LFootForward_MidPoint.val);

            stepHeightAdaptation = stepCycle.GetStep(3).StepHeightDelta >= 0 ? stepHeightAdaptation_Up_Kneeling : stepHeightAdaptation_Down_Kneeling;

            tmpTargetPos = stepCycle.GetStep(3).TargetPos;
            tmpTargetPos += stepCycle.GetStep(3).TargetRot * Vector3.back * shinLength;
            tmpTargetPos += stepCycle.GetStep(3).TargetRot * new Vector3(-js_LFootSide.val, js_LFootUpDown.val, js_LFootForward.val);

            tmpTargetPos += stepCycle.GetStep(3).TargetRot * new Vector3(-js_LFootStepSide.val * lStepSideStr, js_LFootStepUpDown.val * lStepUpDownStr, js_LFootStepForward.val * lStepForwardStr);
            tmpTargetPos += stepCycle.GetStep(1).TargetRot * new Vector3(-js_LFootStepSide.val * rStepSideStr, js_LFootStepUpDown.val * rStepUpDownStr, js_LFootStepForward.val * rStepForwardStr) * js_MoveBothFeetsEachStepFactor.val;

            tmpTargetPos.y += Mathf.Abs(stepCycle.GetStep(3).StepHeightDelta) * stepHeightAdaptation * stepCycle.GetStep(3).GetStepStrength(js_Step_LFootUpDown_MidPoint.val, false);

            return tmpTargetPos;
        }

        protected Quaternion ComputeRFootRot_Kneeling()
        {
            rStepYawStr = stepCycle.GetStep(1).GetStepStrength(js_Step_RFootYaw_MidPoint.val);
            lStepYawStr = stepCycle.GetStep(3).GetStepStrength(js_Step_RFootYaw_MidPoint.val) * js_MoveBothFeetsEachStepFactor.val;
            rStepPitchStr = stepCycle.GetStep(1).GetStepStrength(js_Step_RFootPitch_MidPoint.val);
            lStepPitchStr = stepCycle.GetStep(3).GetStepStrength(js_Step_RFootPitch_MidPoint.val) * js_MoveBothFeetsEachStepFactor.val;
            rStepRollStr = stepCycle.GetStep(1).GetStepStrength(js_Step_RFootRoll_MidPoint.val);
            lStepRollStr = stepCycle.GetStep(3).GetStepStrength(js_Step_RFootRoll_MidPoint.val) * js_MoveBothFeetsEachStepFactor.val;

            tmpTargetRot = stepCycle.GetStep(1).TargetRot;

            tmpTargetRot *= Quaternion.Euler(js_RFootPitch.val, js_RFootYaw.val, js_RFootRoll.val);
            tmpTargetRot *= Quaternion.Euler(js_RFootStepPitch.val * rStepPitchStr, js_RFootStepYaw.val * rStepYawStr, js_RFootStepRoll.val * rStepRollStr);
            tmpTargetRot *= Quaternion.Euler(js_RFootStepPitch.val * lStepPitchStr, js_RFootStepYaw.val * lStepYawStr, js_RFootStepRoll.val * lStepRollStr);


            return tmpTargetRot;
        }

        protected Quaternion ComputeLFootRot_Kneeling()
        {
            rStepYawStr = stepCycle.GetStep(1).GetStepStrength(js_Step_LFootYaw_MidPoint.val) * js_MoveBothFeetsEachStepFactor.val;
            lStepYawStr = stepCycle.GetStep(3).GetStepStrength(js_Step_LFootYaw_MidPoint.val);
            rStepPitchStr = stepCycle.GetStep(1).GetStepStrength(js_Step_LFootPitch_MidPoint.val) * js_MoveBothFeetsEachStepFactor.val;
            lStepPitchStr = stepCycle.GetStep(3).GetStepStrength(js_Step_LFootPitch_MidPoint.val);
            rStepRollStr = stepCycle.GetStep(1).GetStepStrength(js_Step_LFootRoll_MidPoint.val) * js_MoveBothFeetsEachStepFactor.val;
            lStepRollStr = stepCycle.GetStep(3).GetStepStrength(js_Step_LFootRoll_MidPoint.val);

            tmpTargetRot = stepCycle.GetStep(3).TargetRot;

            tmpTargetRot *= Quaternion.Euler(js_LFootPitch.val, js_LFootYaw.val, js_LFootRoll.val);
            tmpTargetRot *= Quaternion.Euler(js_LFootStepPitch.val * rStepPitchStr, js_LFootStepYaw.val * rStepYawStr, js_LFootStepRoll.val * rStepRollStr);
            tmpTargetRot *= Quaternion.Euler(js_LFootStepPitch.val * lStepPitchStr, js_LFootStepYaw.val * lStepYawStr, js_LFootStepRoll.val * lStepRollStr);

            return tmpTargetRot;
        }

        protected Vector3 ComputeRKneePos_Kneeling()
        {
            rStepUpDownStr = stepCycle.GetStep(1).GetStepStrength(js_Step_RKneeUpDown_MidPoint.val);
            lStepUpDownStr = stepCycle.GetStep(3).GetStepStrength(js_Step_RKneeUpDown_MidPoint.val);
            rStepSideStr = stepCycle.GetStep(1).GetStepStrength(js_Step_RKneeSide_MidPoint.val);
            lStepSideStr = stepCycle.GetStep(3).GetStepStrength(js_Step_RKneeSide_MidPoint.val);
            rStepForwardStr = stepCycle.GetStep(1).GetStepStrength(js_Step_RKneeForward_MidPoint.val);
            lStepForwardStr = stepCycle.GetStep(3).GetStepStrength(js_Step_RKneeForward_MidPoint.val);

            stepHeightAdaptation = stepCycle.GetStep(1).StepHeightDelta >= 0 ? stepHeightAdaptation_Up_Kneeling : stepHeightAdaptation_Down_Kneeling;

            tmpTargetPos = stepCycle.GetStep(1).TargetPos;
            tmpTargetPos += stepCycle.GetStep(1).TargetRot * new Vector3(js_RKneeSide.val, js_RKneeUpDown.val, js_RKneeForward.val);

            tmpTargetPos += stepCycle.GetStep(1).TargetRot * new Vector3(js_RKneeStepSide.val * rStepSideStr, js_RKneeStepUpDown.val * rStepUpDownStr, js_RKneeStepForward.val * rStepForwardStr);
            tmpTargetPos += stepCycle.GetStep(3).TargetRot * new Vector3(js_RKneeStepSide.val * lStepSideStr, js_RKneeStepUpDown.val * lStepUpDownStr, js_RKneeStepForward.val * lStepForwardStr) * js_MoveBothFeetsEachStepFactor.val;

            tmpTargetPos.y += Mathf.Abs(stepCycle.GetStep(1).StepHeightDelta) * stepHeightAdaptation * stepCycle.GetStep(1).GetStepStrength(js_Step_RKneeUpDown_MidPoint.val, false);

            return tmpTargetPos;
        }

        protected Vector3 ComputeLKneePos_Kneeling()
        {
            rStepUpDownStr = stepCycle.GetStep(1).GetStepStrength(js_Step_RKneeUpDown_MidPoint.val);
            lStepUpDownStr = stepCycle.GetStep(3).GetStepStrength(js_Step_RKneeUpDown_MidPoint.val);
            rStepSideStr = stepCycle.GetStep(1).GetStepStrength(js_Step_RKneeSide_MidPoint.val);
            lStepSideStr = stepCycle.GetStep(3).GetStepStrength(js_Step_RKneeSide_MidPoint.val);
            rStepForwardStr = stepCycle.GetStep(1).GetStepStrength(js_Step_RKneeForward_MidPoint.val);
            lStepForwardStr = stepCycle.GetStep(3).GetStepStrength(js_Step_RKneeForward_MidPoint.val);

            stepHeightAdaptation = stepCycle.GetStep(3).StepHeightDelta >= 0 ? stepHeightAdaptation_Up_Kneeling : stepHeightAdaptation_Down_Kneeling;

            tmpTargetPos = stepCycle.GetStep(3).TargetPos;
            tmpTargetPos += stepCycle.GetStep(3).TargetRot * new Vector3(-js_LKneeSide.val, js_LKneeUpDown.val, js_LKneeForward.val);

            tmpTargetPos += stepCycle.GetStep(3).TargetRot * new Vector3(js_LKneeStepSide.val * rStepSideStr, js_LKneeStepUpDown.val * rStepUpDownStr, js_LKneeStepForward.val * rStepForwardStr) * js_MoveBothFeetsEachStepFactor.val;
            tmpTargetPos += stepCycle.GetStep(1).TargetRot * new Vector3(js_LKneeStepSide.val * lStepSideStr, js_LKneeStepUpDown.val * lStepUpDownStr, js_LKneeStepForward.val * lStepForwardStr);

            tmpTargetPos.y += Mathf.Abs(stepCycle.GetStep(3).StepHeightDelta) * stepHeightAdaptation * stepCycle.GetStep(3).GetStepStrength(js_Step_LKneeUpDown_MidPoint.val, false);

            return tmpTargetPos;
        }

        /* Hands sub functions */

        protected Vector3 ComputeRHandPos_Free()
        {
            /* Right Hand Pos*/

            rStepUpDownStr = stepCycle.GetStep(1).GetStepStrength(js_Step_RHandUpDown_MidPoint.val);
            lStepUpDownStr = stepCycle.GetStep(3).GetStepStrength(js_Step_RHandUpDown_MidPoint.val);
            rStepSideStr = stepCycle.GetStep(1).GetStepStrength(js_Step_RHandSide_MidPoint.val);
            lStepSideStr = stepCycle.GetStep(3).GetStepStrength(js_Step_RHandSide_MidPoint.val);
            rStepForwardStr = stepCycle.GetStep(1).GetStepStrength(js_Step_RHandForward_MidPoint.val);
            lStepForwardStr = stepCycle.GetStep(3).GetStepStrength(js_Step_RHandForward_MidPoint.val);

            tmpTargetPos = baseChestPos + (baseRightArmRot * new Vector3(js_RHandSide.val, js_RHandUpDown.val, js_RHandForward.val));
            tmpTargetPos += baseRightArmRot * new Vector3(js_RHandStepSide.val * rStepSideStr, js_RHandStepUpDown.val * rStepUpDownStr, js_RHandStepForward.val * rStepForwardStr);
            tmpTargetPos += baseRightArmRot * new Vector3(-js_RHandStepSide.val * lStepSideStr, -js_RHandStepUpDown.val * lStepUpDownStr, -js_RHandStepForward.val * lStepForwardStr);

            return tmpTargetPos;
        }

        protected Vector3 ComputeLHandPos_Free()
        {
            /* Left Hand Pos*/

            rStepUpDownStr = stepCycle.GetStep(1).GetStepStrength(js_Step_LHandUpDown_MidPoint.val);
            lStepUpDownStr = stepCycle.GetStep(3).GetStepStrength(js_Step_LHandUpDown_MidPoint.val);
            rStepSideStr = stepCycle.GetStep(1).GetStepStrength(js_Step_LHandSide_MidPoint.val);
            lStepSideStr = stepCycle.GetStep(3).GetStepStrength(js_Step_LHandSide_MidPoint.val);
            rStepForwardStr = stepCycle.GetStep(1).GetStepStrength(js_Step_LHandForward_MidPoint.val);
            lStepForwardStr = stepCycle.GetStep(3).GetStepStrength(js_Step_LHandForward_MidPoint.val);

            tmpTargetPos = baseChestPos + (baseLeftArmRot * new Vector3(-js_LHandSide.val, js_LHandUpDown.val, js_LHandForward.val));
            tmpTargetPos += baseLeftArmRot * new Vector3(-js_LHandStepSide.val * lStepSideStr, js_LHandStepUpDown.val * lStepUpDownStr, js_LHandStepForward.val * lStepForwardStr);
            tmpTargetPos += baseLeftArmRot * new Vector3(js_LHandStepSide.val * rStepSideStr, -js_LHandStepUpDown.val * rStepUpDownStr, -js_LHandStepForward.val * rStepForwardStr);

            return tmpTargetPos;
        }

        protected Quaternion ComputeRHandRot_Free()
        {
            /* Right Hand Rot */

            rStepYawStr = stepCycle.GetStep(1).GetStepStrength(js_Step_RHandYaw_MidPoint.val);
            lStepYawStr = stepCycle.GetStep(3).GetStepStrength(js_Step_RHandYaw_MidPoint.val);
            rStepPitchStr = stepCycle.GetStep(1).GetStepStrength(js_Step_RHandPitch_MidPoint.val);
            lStepPitchStr = stepCycle.GetStep(3).GetStepStrength(js_Step_RHandPitch_MidPoint.val);
            rStepRollStr = stepCycle.GetStep(1).GetStepStrength(js_Step_RHandRoll_MidPoint.val);
            lStepRollStr = stepCycle.GetStep(3).GetStepStrength(js_Step_RHandRoll_MidPoint.val);

            tmpTargetRot = baseRightArmRot;

            tmpTargetRot *= Quaternion.Euler(js_RHandPitch.val, js_RHandYaw.val, -js_RHandRoll.val);
            tmpTargetRot *= Quaternion.Euler(js_RHandStepPitch.val * rStepPitchStr, js_RHandStepYaw.val * rStepYawStr, js_RHandStepRoll.val * rStepRollStr);
            tmpTargetRot *= Quaternion.Euler(-js_RHandStepPitch.val * lStepPitchStr, -js_RHandStepYaw.val * lStepYawStr, -js_RHandStepRoll.val * lStepRollStr);


            return tmpTargetRot;
        }

        protected Quaternion ComputeLHandRot_Free()
        {
            /* Left Hand Rot */

            rStepYawStr = stepCycle.GetStep(1).GetStepStrength(js_Step_LHandYaw_MidPoint.val);
            lStepYawStr = stepCycle.GetStep(3).GetStepStrength(js_Step_LHandYaw_MidPoint.val);
            rStepPitchStr = stepCycle.GetStep(1).GetStepStrength(js_Step_LHandPitch_MidPoint.val);
            lStepPitchStr = stepCycle.GetStep(3).GetStepStrength(js_Step_LHandPitch_MidPoint.val);
            rStepRollStr = stepCycle.GetStep(1).GetStepStrength(js_Step_LHandRoll_MidPoint.val);
            lStepRollStr = stepCycle.GetStep(3).GetStepStrength(js_Step_LHandRoll_MidPoint.val);

            tmpTargetRot = baseLeftArmRot;

            tmpTargetRot *= Quaternion.Euler(js_LHandPitch.val, -js_LHandYaw.val, js_LHandRoll.val);
            tmpTargetRot *= Quaternion.Euler(-js_LHandStepPitch.val * rStepPitchStr, js_LHandStepYaw.val * rStepYawStr, js_LHandStepRoll.val * rStepRollStr);
            tmpTargetRot *= Quaternion.Euler(js_LHandStepPitch.val * lStepPitchStr, -js_LHandStepYaw.val * lStepYawStr, -js_LHandStepRoll.val * lStepRollStr);

            return tmpTargetRot;
        }


        protected Vector3 ComputeRHandPos_Move()
        {
            /* Right Hand Pos*/

            rStepUpDownStr = stepCycle.GetStep(2).GetStepStrength(js_Step_RHandUpDown_MidPoint.val);
            rStepSideStr = stepCycle.GetStep(2).GetStepStrength(js_Step_RHandSide_MidPoint.val);
            rStepForwardStr = stepCycle.GetStep(2).GetStepStrength(js_Step_RHandForward_MidPoint.val);

            stepHeightAdaptation = stepCycle.GetStep(2).StepHeightDelta >= 0 ? stepHeightAdaptation_Up_Crawling : stepHeightAdaptation_Down_Crawling;

            tmpTargetPos = stepCycle.GetStep(2).TargetPos;

            tmpTargetPos += stepCycle.GetStep(2).TargetRot * new Vector3(js_RHandSide.val, js_RHandUpDown.val, js_RHandForward.val);
            tmpTargetPos += stepCycle.GetStep(2).TargetRot * new Vector3(js_RHandStepSide.val * rStepSideStr, js_RHandStepUpDown.val * rStepUpDownStr, js_RHandStepForward.val * rStepForwardStr);

            tmpTargetPos.y += Mathf.Abs(stepCycle.GetStep(2).StepHeightDelta) * stepHeightAdaptation * stepCycle.GetStep(2).GetStepStrength(js_Step_RHandUpDown_MidPoint.val, false);

            return tmpTargetPos;
        }

        protected Vector3 ComputeLHandPos_Move()
        {
            /* Left Hand Pos*/

            lStepUpDownStr = stepCycle.GetStep(0).GetStepStrength(js_Step_LHandUpDown_MidPoint.val);
            lStepSideStr = stepCycle.GetStep(0).GetStepStrength(js_Step_LHandSide_MidPoint.val);
            lStepForwardStr = stepCycle.GetStep(0).GetStepStrength(js_Step_LHandForward_MidPoint.val);

            stepHeightAdaptation = stepCycle.GetStep(0).StepHeightDelta >= 0 ? stepHeightAdaptation_Up_Crawling : stepHeightAdaptation_Down_Crawling;

            tmpTargetPos = stepCycle.GetStep(0).TargetPos;

            tmpTargetPos += stepCycle.GetStep(0).TargetRot * new Vector3(-js_LHandSide.val, js_LHandUpDown.val, js_LHandForward.val);
            tmpTargetPos += stepCycle.GetStep(0).TargetRot * new Vector3(-js_LHandStepSide.val * lStepSideStr, js_LHandStepUpDown.val * lStepUpDownStr, js_LHandStepForward.val * lStepForwardStr);

            tmpTargetPos.y += Mathf.Abs(stepCycle.GetStep(0).StepHeightDelta) * stepHeightAdaptation * stepCycle.GetStep(0).GetStepStrength(js_Step_LHandUpDown_MidPoint.val, false);

            return tmpTargetPos;
        }

        protected Quaternion ComputeRHandRot_Move()
        {
            /* Right Hand Rot */

            rStepYawStr = stepCycle.GetStep(2).GetStepStrength(js_Step_RHandYaw_MidPoint.val);
            rStepPitchStr = stepCycle.GetStep(2).GetStepStrength(js_Step_RHandPitch_MidPoint.val);
            rStepRollStr = stepCycle.GetStep(2).GetStepStrength(js_Step_RHandRoll_MidPoint.val);

            tmpTargetRot = baseRightArmRot;

            tmpTargetRot *= Quaternion.Euler(js_RHandPitch.val, -js_RHandYaw.val, -js_RHandRoll.val);
            tmpTargetRot *= Quaternion.Euler(js_RHandStepPitch.val * rStepPitchStr, -js_RHandStepYaw.val * rStepYawStr, -js_RHandStepRoll.val * rStepRollStr);

            return tmpTargetRot;
        }

        protected Quaternion ComputeLHandRot_Move()
        {
            /* Left Hand Rot */

            lStepYawStr = stepCycle.GetStep(0).GetStepStrength(js_Step_LHandYaw_MidPoint.val);
            lStepPitchStr = stepCycle.GetStep(0).GetStepStrength(js_Step_LHandPitch_MidPoint.val);
            lStepRollStr = stepCycle.GetStep(0).GetStepStrength(js_Step_LHandRoll_MidPoint.val);

            tmpTargetRot = baseLeftArmRot;

            tmpTargetRot *= Quaternion.Euler(js_LHandPitch.val, js_LHandYaw.val, js_LHandRoll.val);
            tmpTargetRot *= Quaternion.Euler(js_LHandStepPitch.val * lStepPitchStr, js_LHandStepYaw.val * lStepYawStr, js_LHandStepRoll.val * lStepRollStr);

            return tmpTargetRot;
        }

        /* Actions Callbacks */

        protected void Action_IncrementStepDuration()
        {
            js_StepsDuration.val = Mathf.Clamp(js_StepsDuration.val + js_Action_StepDurationChange.val, 0.1f, 2f);
        }

        protected void Action_DecrementStepDuration()
        {
            js_StepsDuration.val = Mathf.Clamp(js_StepsDuration.val - js_Action_StepDurationChange.val, 0.1f, 2f);
        }

        protected void Action_IncrementDanceAmplitude()
        {
            js_DanceAmplitude.val = Mathf.Clamp(js_DanceAmplitude.val + js_Action_DanceAmplitudeChange.val, 0.1f, 2f);
        }

        protected void Action_DecrementDanceAmplitude()
        {
            js_DanceAmplitude.val = Mathf.Clamp(js_DanceAmplitude.val - js_Action_DanceAmplitudeChange.val, 0.1f, 2f);
        }

        protected void Action_IncrementRotationOffset()
        {
            float newRot = manager.RotationOffset + js_Action_RotationOffsetChange.val;

            if (newRot > 180f)
            {
                newRot = -180f + (newRot - 180f);
            }

            manager.RotationOffset = newRot;
        }

        protected void Action_DecrementRotationOffset()
        {
            float newRot = manager.RotationOffset - js_Action_RotationOffsetChange.val;

            if (newRot < -180f)
            {
                newRot = 180f + (newRot + 180f);
            }

            manager.RotationOffset = newRot;
        }


        float lastBeatSyncTime = -1f;
        float lastBeatInterval = 0f;

        protected void Action_SyncBeat()
        {
            if (Time.time - lastBeatSyncTime > 1f)
                lastBeatSyncTime = -1f;

            if (lastBeatInterval == 0)
                lastBeatInterval = js_StepsDuration.val;

            if (lastBeatSyncTime > 0)
                lastBeatInterval = (lastBeatInterval + Time.time - lastBeatSyncTime) / 2;
               
            lastBeatSyncTime = Time.time;

            js_StepsDuration.val = lastBeatInterval;
        }

        /* Global Callbacks */

        public void Callback_ResetSteps()
        {
            stepCycle.ResetSteps();
        }

        protected void Callback_UpdateStepCycleParameters(float _val)
        {
            /* Back Step Cycle */

            stepCycle.StepInPlaceAmplitude = js_DanceAmplitude.val;
            stepCycle.StepInPlace = js_DanceMode.val;
            stepCycle.StepSpacingIdle = js_StepsXOffsetIdle.val;
            stepCycle.StepSpacingMoving = js_StepsXOffset.val;
            stepCycle.GroundOffset = js_StepsYOffset.val;

            stepCycle.StepDurationRandom_Min = js_DurationRandom_Min.val;
            stepCycle.StepDurationRandom_Max = js_DurationRandom_Max.val;
            stepCycle.StepSpacingRandom_Min = js_XOffsetRandom_Min.val;
            stepCycle.StepSpacingRandom_Max = js_XOffsetRandom_Max.val;

            stepCycle.SetAllStepsDurations(js_StepsDuration.val);
            stepCycle.SetAllStepsDelays(js_StepsDelay.val);

            stepCycle.SecondaryStepSpacingIdle = js_HandsStepXOffsetIdle.val;
            stepCycle.SecondaryStepSpacingMoving = js_HandsStepXOffsetMoving.val;
            stepCycle.StepForwardOffsetIdle = js_HandsStepZOffsetIdle.val;
            stepCycle.StepForwardOffsetMoving = js_HandsStepZOffsetMoving.val;

            stepCycle.SecondaryStepTimingOffset = js_OnAllFourStepDelay.val;
        }

        protected void Callback_UpdateUseHands(bool _val)
        {
            stepCycle.UseStepForwardOffset = js_UseHandsToMove.val;
        }

        protected void Callback_UpdateStepInPlace(bool _newVal)
        {
            stepCycle.StepInPlace = _newVal;

            manager.TempRotationOffset = 0;
        }

        protected void Callback_UpdateAutoRotate(bool _newVal)
        {
            manager.TempRotationOffset = 0;
        }

        protected void Event_StartStepIdle(bool _newState)
        {
            manager.trigger_OnStepIdleStart.Trigger();
        }

        protected void Callback_UpdateBodyControlToggles(bool _newVal)
        {
            updateHipTarget = js_UpdateHipControl.val;
            updateChestTarget = js_UpdateChestControl.val;
            updateHeadTarget = js_UpdateHeadControl.val;

            updateRFootTarget = js_UpdateRFootControl.val;
            updateLFootTarget = js_UpdateLFootControl.val;
            updateRKneeTarget = js_UpdateRKneeControl.val;
            updateLkneeTarget = js_UpdateLKneeControl.val;

            updateRShoulderTarget = js_UpdateRShoulderControl.val;
            updateLShoulderTarget = js_UpdateLShoulderControl.val;
            updateRHandTarget = js_UpdateRHandControl.val;
            updateLHandTarget = js_UpdateLHandControl.val;
            updateRElbowTarget = js_UpdateRElbowControl.val;
            updateLElbowTarget = js_UpdateLElbowControl.val;
        }

        protected void Callback_ZeroAllStepParameters()
        {
            js_Step_BodyHeight.val = 0;

            js_Step_BodyYaw.val = 0;
            js_Step_BodyPitch.val = 0;
            js_Step_BodyRoll.val = 0;

            js_HipsStepSide.val = 0;
            js_HipsStepUpDown.val = 0;
            js_HipsStepForward.val = 0;

            js_HipsStepYaw.val = 0;
            js_HipsStepPitch.val = 0;
            js_HipsStepRoll.val = 0;

            js_ChestStepSide.val = 0;
            js_ChestStepUpDown.val = 0;
            js_ChestStepForward.val = 0;

            js_ChestStepYaw.val = 0;
            js_ChestStepPitch.val = 0;
            js_ChestStepRoll.val = 0;

            js_HeadStepSide.val = 0;
            js_HeadStepUpDown.val = 0;
            js_HeadStepForward.val = 0;

            js_HeadStepYaw.val = 0;
            js_HeadStepPitch.val = 0;
            js_HeadStepRoll.val = 0;

            js_RShoulderStepSide.val = 0;
            js_RShoulderStepUpDown.val = 0;
            js_RShoulderStepForward.val = 0;

            js_RElbowStepSide.val = 0;
            js_RElbowStepUpDown.val = 0;
            js_RElbowStepForward.val = 0;

            js_RHandStepSide.val = 0;
            js_RHandStepUpDown.val = 0;
            js_RHandStepForward.val = 0;

            js_RHandStepYaw.val = 0;
            js_RHandStepPitch.val = 0;
            js_RHandStepRoll.val = 0;

            js_LShoulderStepSide.val = 0;
            js_LShoulderStepUpDown.val = 0;
            js_LShoulderStepForward.val = 0;

            js_LElbowStepSide.val = 0;
            js_LElbowStepUpDown.val = 0;
            js_LElbowStepForward.val = 0;

            js_LHandStepSide.val = 0;
            js_LHandStepUpDown.val = 0;
            js_LHandStepForward.val = 0;

            js_LHandStepYaw.val = 0;
            js_LHandStepPitch.val = 0;
            js_LHandStepRoll.val = 0;

            js_RKneeStepSide.val = 0;
            js_RKneeStepUpDown.val = 0;
            js_RKneeStepForward.val = 0;

            js_RFootStepSide.val = 0;
            js_RFootStepUpDown.val = 0;
            js_RFootStepForward.val = 0;

            js_RFootStepYaw.val = 0;
            js_RFootStepPitch.val = 0;
            js_RFootStepRoll.val = 0;

            js_LKneeStepSide.val = 0;
            js_LKneeStepUpDown.val = 0;
            js_LKneeStepForward.val = 0;

            js_LFootStepSide.val = 0;
            js_LFootStepUpDown.val = 0;
            js_LFootStepForward.val = 0;

            js_LFootStepYaw.val = 0;
            js_LFootStepPitch.val = 0;
            js_LFootStepRoll.val = 0;
        }

        protected void Callback_GazeTargetChanged(string _s)
        {
            List<Atom> atoms = manager.GetSceneAtoms();

            try
            {
                if (_s == "None")
                {
                    gazeTargetAtom = null;
                    gazeTargetTransform = null;

                    js_GazeTargetAtomController.choices = new List<string>();
                    js_GazeTargetAtomController.val = "";
                }
                else if (_s == "[Player]")
                {
                    gazeTargetAtom = null;
                    gazeTargetTransform = CameraTarget.centerTarget.transform;

                    js_GazeTargetAtomController.choices = new List<string>();
                    js_GazeTargetAtomController.val = "";
                }
                else
                {
                    foreach (Atom a in atoms)
                    {
                        if (a.name == _s)
                        {
                            gazeTargetAtom = a;

                            gazeTargetTransform = gazeTargetAtom.mainController.transform;

                            List<string> _subChoices = new List<string>();

                            foreach (FreeControllerV3 _controller in gazeTargetAtom.freeControllers)
                            {
                                _subChoices.Add(_controller.name);
                            }

                            _subChoices.Sort();

                            js_GazeTargetAtomController.choices = _subChoices;
                            js_GazeTargetAtomController.val = _subChoices[0];
                        }
                    }
                }
            }
            catch (Exception e)
            {
                SuperController.LogError("Exception caught: " + e);
            }

            
        }

        protected void Callback_GazeTargetControllerChanged(string _s)
        {
            if (gazeTargetAtom == null)
                return;

            foreach (FreeControllerV3 _controller in gazeTargetAtom.freeControllers)
            {
                if (_controller.name == _s)
                {
                    gazeTargetTransform = _controller.transform;
                }
            }
        }

        public void Callback_GazeAtomPopupOpened()
        {
            List<string> _choices = manager.GetAtomNames();

            js_GazeTargetAtom.choices = _choices;
        }

        /* Arms Callbacks */


        public void Callback_CopyArm_LeftRight()
        {
            js_RShoulderSide.val = js_LShoulderSide.val;
            js_RShoulderUpDown.val = js_LShoulderUpDown.val;
            js_RShoulderForward.val = js_LShoulderForward.val;
            js_RHandSide.val = js_LHandSide.val;
            js_RHandUpDown.val = js_LHandUpDown.val;
            js_RHandForward.val = js_LHandForward.val;
            js_RHandYaw.val = js_LHandYaw.val;
            js_RHandPitch.val = js_LHandPitch.val;
            js_RHandRoll.val = js_LHandRoll.val;
            js_RElbowSide.val = js_LElbowSide.val;
            js_RElbowUpDown.val = js_LElbowUpDown.val;
            js_RElbowForward.val = js_LElbowForward.val;
            js_RElbowStepUpDown.val = js_LElbowStepUpDown.val;

            js_RShoulderStepSide.val = js_LShoulderStepSide.val;
            js_RShoulderStepUpDown.val = js_LShoulderStepUpDown.val;
            js_RShoulderStepForward.val = js_LShoulderStepForward.val;
            js_RHandStepSide.val = js_LHandStepSide.val;
            js_RHandStepUpDown.val = js_LHandStepUpDown.val;
            js_RHandStepForward.val = js_LHandStepForward.val;
            js_RHandStepYaw.val = js_LHandStepYaw.val;
            js_RHandStepPitch.val = js_LHandStepPitch.val;
            js_RHandStepRoll.val = js_LHandStepRoll.val;
            js_RElbowStepForward.val = js_LElbowStepForward.val;
            js_RElbowStepSide.val = js_LElbowStepSide.val;

            js_Step_RHandForward_MidPoint.val = js_Step_LHandForward_MidPoint.val;
            js_Step_RHandUpDown_MidPoint.val = js_Step_LHandUpDown_MidPoint.val;
            js_Step_RHandSide_MidPoint.val = js_Step_LHandSide_MidPoint.val;
            js_Step_RHandYaw_MidPoint.val = js_Step_LHandYaw_MidPoint.val;
            js_Step_RHandPitch_MidPoint.val = js_Step_LHandPitch_MidPoint.val;
            js_Step_RHandRoll_MidPoint.val = js_Step_LHandRoll_MidPoint.val;

            js_Step_RElbowForward_MidPoint.val = js_Step_LElbowForward_MidPoint.val;
            js_Step_RElbowUpDown_MidPoint.val = js_Step_LElbowUpDown_MidPoint.val;
            js_Step_RElbowSide_MidPoint.val = js_Step_LElbowSide_MidPoint.val;

            js_Step_RShoulderForward_MidPoint.val = js_Step_LShoulderForward_MidPoint.val;
            js_Step_RShoulderUpDown_MidPoint.val = js_Step_LShoulderUpDown_MidPoint.val;
            js_Step_RShoulderSide_MidPoint.val = js_Step_LShoulderSide_MidPoint.val;

            js_RArmFollowBody.val = js_LArmFollowBody.val;
        }

        public void Callback_CopyArm_RightLeft()
        {
            js_LShoulderSide.val = js_RShoulderSide.val;
            js_LShoulderUpDown.val = js_RShoulderUpDown.val;
            js_LShoulderForward.val = js_RShoulderForward.val;
            js_LHandSide.val = js_RHandSide.val;
            js_LHandUpDown.val = js_RHandUpDown.val;
            js_LHandForward.val = js_RHandForward.val;
            js_LHandYaw.val = js_RHandYaw.val;
            js_LHandPitch.val = js_RHandPitch.val;
            js_LHandRoll.val = js_RHandRoll.val;
            js_LElbowSide.val = js_RElbowSide.val;
            js_LElbowUpDown.val = js_RElbowUpDown.val;
            js_LElbowForward.val = js_RElbowForward.val;
            js_LElbowStepUpDown.val = js_RElbowStepUpDown.val;

            js_LShoulderStepSide.val = js_RShoulderStepSide.val;
            js_LShoulderStepUpDown.val = js_RShoulderStepUpDown.val;
            js_LShoulderStepForward.val = js_RShoulderStepForward.val;
            js_LHandStepSide.val = js_RHandStepSide.val;
            js_LHandStepUpDown.val = js_RHandStepUpDown.val;
            js_LHandStepForward.val = js_RHandStepForward.val;
            js_LHandStepYaw.val = js_RHandStepYaw.val;
            js_LHandStepPitch.val = js_RHandStepPitch.val;
            js_LHandStepRoll.val = js_RHandStepRoll.val;
            js_LElbowStepForward.val = js_RElbowStepForward.val;
            js_LElbowStepSide.val = js_RElbowStepSide.val;

            js_Step_LHandForward_MidPoint.val = js_Step_RHandForward_MidPoint.val;
            js_Step_LHandUpDown_MidPoint.val = js_Step_RHandUpDown_MidPoint.val;
            js_Step_LHandSide_MidPoint.val = js_Step_RHandSide_MidPoint.val;
            js_Step_LHandYaw_MidPoint.val = js_Step_RHandYaw_MidPoint.val;
            js_Step_LHandPitch_MidPoint.val = js_Step_RHandPitch_MidPoint.val;
            js_Step_LHandRoll_MidPoint.val = js_Step_RHandRoll_MidPoint.val;
                    
            js_Step_LElbowForward_MidPoint.val = js_Step_RElbowForward_MidPoint.val;
            js_Step_LElbowUpDown_MidPoint.val = js_Step_RElbowUpDown_MidPoint.val;
            js_Step_LElbowSide_MidPoint.val = js_Step_RElbowSide_MidPoint.val;
                    
            js_Step_LShoulderForward_MidPoint.val = js_Step_RShoulderForward_MidPoint.val;
            js_Step_LShoulderUpDown_MidPoint.val = js_Step_RShoulderUpDown_MidPoint.val;
            js_Step_LShoulderSide_MidPoint.val = js_Step_RShoulderSide_MidPoint.val;

            js_LArmFollowBody.val = js_RArmFollowBody.val;
        }

        /* Legs Callbacks */

        public void Callback_CopyLeg_LeftRight()
        {
            js_RFootSide.val = js_LFootSide.val;
            js_RFootUpDown.val = js_LFootUpDown.val;
            js_RFootForward.val = js_LFootForward.val;

            js_RFootStepSide.val = js_LFootStepSide.val;
            js_RFootStepUpDown.val = js_LFootStepUpDown.val;
            js_RFootStepForward.val = js_LFootStepForward.val;

            js_RFootYaw.val = -js_LFootYaw.val;
            js_RFootPitch.val = js_LFootPitch.val;
            js_RFootRoll.val = -js_LFootRoll.val;

            js_RFootStepYaw.val = -js_LFootStepYaw.val;
            js_RFootStepPitch.val = js_LFootStepPitch.val;
            js_RFootStepRoll.val = -js_LFootStepRoll.val;

            js_RKneeSide.val = js_LKneeSide.val;
            js_RKneeUpDown.val = js_LKneeUpDown.val;
            js_RKneeForward.val = js_LKneeForward.val;

            js_RKneeStepSide.val = js_LKneeStepSide.val;
            js_RKneeStepUpDown.val = js_LKneeStepUpDown.val;
            js_RKneeStepForward.val = js_LKneeStepForward.val;

            js_Step_RFootForward_MidPoint.val = js_Step_LFootForward_MidPoint.val;
            js_Step_RFootUpDown_MidPoint.val = js_Step_LFootUpDown_MidPoint.val;
            js_Step_RFootSide_MidPoint.val = js_Step_LFootSide_MidPoint.val;
            js_Step_RFootYaw_MidPoint.val = js_Step_LFootYaw_MidPoint.val;
            js_Step_RFootPitch_MidPoint.val = js_Step_LFootPitch_MidPoint.val;
            js_Step_RFootRoll_MidPoint.val = js_Step_LFootRoll_MidPoint.val;

            js_Step_RKneeForward_MidPoint.val = js_Step_LKneeForward_MidPoint.val;
            js_Step_RKneeUpDown_MidPoint.val = js_Step_LKneeUpDown_MidPoint.val;
            js_Step_RKneeSide_MidPoint.val = js_Step_LKneeSide_MidPoint.val;
        }

        public void Callback_CopyLeg_RightLeft()
        {
            js_LFootSide.val = js_RFootSide.val;
            js_LFootUpDown.val = js_RFootUpDown.val;
            js_LFootForward.val = js_RFootForward.val;

            js_LFootStepSide.val = js_RFootStepSide.val;
            js_LFootStepUpDown.val = js_RFootStepUpDown.val;
            js_LFootStepForward.val = js_RFootStepForward.val;

            js_LFootYaw.val = -js_RFootYaw.val;
            js_LFootPitch.val = js_RFootPitch.val;
            js_LFootRoll.val = -js_RFootRoll.val;

            js_LFootStepYaw.val = -js_RFootStepYaw.val;
            js_LFootStepPitch.val = js_RFootStepPitch.val;
            js_LFootStepRoll.val = -js_RFootStepRoll.val;

            js_LKneeSide.val = js_RKneeSide.val;
            js_LKneeUpDown.val = js_RKneeUpDown.val;
            js_LKneeForward.val = js_RKneeForward.val;

            js_LKneeStepSide.val = js_RKneeStepSide.val;
            js_LKneeStepUpDown.val = js_RKneeStepUpDown.val;
            js_LKneeStepForward.val = js_RKneeStepForward.val;

            js_Step_LFootForward_MidPoint.val = js_Step_RFootForward_MidPoint.val;
            js_Step_LFootUpDown_MidPoint.val = js_Step_RFootUpDown_MidPoint.val;
            js_Step_LFootSide_MidPoint.val = js_Step_RFootSide_MidPoint.val;
            js_Step_LFootYaw_MidPoint.val = js_Step_RFootYaw_MidPoint.val;
            js_Step_LFootPitch_MidPoint.val = js_Step_RFootPitch_MidPoint.val;
            js_Step_LFootRoll_MidPoint.val = js_Step_RFootRoll_MidPoint.val;
                    
            js_Step_LKneeForward_MidPoint.val = js_Step_RKneeForward_MidPoint.val;
            js_Step_LKneeUpDown_MidPoint.val = js_Step_RKneeUpDown_MidPoint.val;
            js_Step_LKneeSide_MidPoint.val = js_Step_RKneeSide_MidPoint.val;
        }

        #endregion

        #region Gaze System

        /* Gaze System sub functions */


        protected Atom gazeTargetAtom;
        protected Transform gazeTargetTransform;

        private Vector3 gaze_Direction;
        private Vector3 gaze_DirectionFlatten;
        private float gaze_Speed = 0;
        float gaze_Rot = 0;
        bool gaze_Active = true;

        private float gaze_CurrentHipsYaw;
        private float gaze_CurrentChestYaw;
        private float gaze_CurrentHeadYaw;
        private float gaze_CurrentHeadPitch;

        protected void UpdateGazeSystem()
        {
            gaze_Active = true;

            if (js_GazeActive.val && gazeTargetTransform != null)
            {
                Gaze_UpdateHeadYaw();
                Gaze_UpdateChestYaw();
                Gaze_UpdateHipsYaw();

                Gaze_UpdateHeadPitch();
            }
            else
            {
                gaze_CurrentHeadPitch = 0;
                gaze_CurrentHeadYaw = 0;
                gaze_CurrentHipsYaw = 0;
                gaze_CurrentChestYaw = 0;
            }
        }

        protected void Gaze_UpdateHeadYaw()
        {
            gaze_Speed = js_GazeSpeed.val * Time.deltaTime;

            gaze_Direction = (gazeTargetTransform.position - headTargetPos).normalized;      
            gaze_DirectionFlatten = gaze_Direction - (Vector3.Dot(gaze_Direction, baseHeadRot * Vector3.up) * (baseHeadRot * Vector3.up));
            gaze_DirectionFlatten.Normalize();

            gaze_Rot = Vector3.SignedAngle(baseHeadRot * Vector3.forward, gaze_DirectionFlatten, baseHeadRot * Vector3.up);

            if (Mathf.Abs(gaze_Rot) > js_GazeMaxHorizontal.val || (gazeTargetTransform.position - headTargetPos).magnitude > js_GazeMaxDistance.val)
            {
                gaze_Rot = 0;
                gaze_Active = false;
            }

            gaze_Rot += js_HeadYaw.val;

            if (gaze_CurrentHeadYaw + gaze_Speed < gaze_Rot)
                gaze_CurrentHeadYaw += gaze_Speed;
            else if (gaze_CurrentHeadYaw - gaze_Speed > gaze_Rot)
                gaze_CurrentHeadYaw -= gaze_Speed;

            gaze_CurrentHeadYaw = Mathf.Clamp(gaze_CurrentHeadYaw, -js_GazeMaxHorizontal.val, js_GazeMaxHorizontal.val);

            headTargetRot *= Quaternion.AngleAxis(gaze_CurrentHeadYaw, Vector3.up);
            baseHeadRot *= Quaternion.AngleAxis(gaze_CurrentHeadYaw, Vector3.up);
        }

        protected void Gaze_UpdateChestYaw()
        {
            if (gaze_Active)
            {
                gaze_Speed = js_GazeSpeed.val * Time.deltaTime * 0.5f;

                gaze_Direction = (gazeTargetTransform.position - chestTargetPos).normalized;
                gaze_DirectionFlatten = gaze_Direction - (Vector3.Dot(gaze_Direction, baseChestRot * Vector3.up) * (baseChestRot * Vector3.up));
                gaze_DirectionFlatten.Normalize();

                gaze_Rot = Vector3.SignedAngle(baseChestRot * Vector3.forward, gaze_DirectionFlatten, baseChestRot * Vector3.up);

                if (Mathf.Abs(gaze_Rot) > js_GazeMaxHorizontal.val)
                    gaze_Rot = 0;

                if ((gazeTargetTransform.position - headTargetPos).magnitude > js_GazeMaxDistance.val)
                    gaze_Rot = 0;

                gaze_Rot += js_ChestYaw.val;

                gaze_Rot = Mathf.Clamp(gaze_Rot, -js_GazeMaxHorizontal.val, js_GazeMaxHorizontal.val);

                if (gaze_Rot > 0)
                    gaze_Rot = Mathf.Clamp(gaze_Rot - js_GazeChestHFollowThreshold.val, 0, gaze_Rot);
                else
                    gaze_Rot = Mathf.Clamp(gaze_Rot + js_GazeChestHFollowThreshold.val, gaze_Rot, 0);

                if (gaze_CurrentChestYaw + gaze_Speed < gaze_Rot)
                    gaze_CurrentChestYaw += gaze_Speed;
                else if (gaze_CurrentChestYaw - gaze_Speed > gaze_Rot)
                    gaze_CurrentChestYaw -= gaze_Speed;
            }
            else
            {
                gaze_CurrentChestYaw = js_ChestYaw.val;
            }

            chestTargetRot *= Quaternion.AngleAxis(gaze_CurrentChestYaw, Vector3.up);
            baseChestRot *= Quaternion.AngleAxis(gaze_CurrentChestYaw, Vector3.up);
        }

        protected void Gaze_UpdateHipsYaw()
        {
            if (gaze_Active)
            {
                gaze_Speed = js_GazeSpeed.val * Time.deltaTime * 0.5f;

                gaze_Direction = (gazeTargetTransform.position - hipTargetPos).normalized;
                gaze_DirectionFlatten = gaze_Direction - (Vector3.Dot(gaze_Direction, baseBodyRot * Vector3.up) * (baseBodyRot * Vector3.up));
                gaze_DirectionFlatten.Normalize();

                gaze_Rot = Vector3.SignedAngle(baseBodyRot * Vector3.forward, gaze_DirectionFlatten, baseBodyRot * Vector3.up);

                if (Mathf.Abs(gaze_Rot) > js_GazeMaxHorizontal.val)
                    gaze_Rot = 0;

                if ((gazeTargetTransform.position - headTargetPos).magnitude > js_GazeMaxDistance.val)
                    gaze_Rot = 0;

                gaze_Rot += js_HipsYaw.val;

                gaze_Rot = Mathf.Clamp(gaze_Rot, -js_GazeMaxHorizontal.val, js_GazeMaxHorizontal.val);

                if (gaze_Rot > 0)
                    gaze_Rot = Mathf.Clamp(gaze_Rot - js_GazeHipsHFollowThreshold.val, 0, gaze_Rot);
                else
                    gaze_Rot = Mathf.Clamp(gaze_Rot + js_GazeHipsHFollowThreshold.val, gaze_Rot, 0);

                if (gaze_CurrentHipsYaw + gaze_Speed < gaze_Rot)
                    gaze_CurrentHipsYaw += gaze_Speed;
                else if (gaze_CurrentHipsYaw - gaze_Speed > gaze_Rot)
                    gaze_CurrentHipsYaw -= gaze_Speed;
            }
            else
            {
                gaze_CurrentHipsYaw = js_HipsYaw.val;
            }

            hipTargetRot *= Quaternion.AngleAxis(gaze_CurrentHipsYaw, Vector3.up);
        }

        protected void Gaze_UpdateHeadPitch()
        {
            if (gaze_Active)
            {
                gaze_Speed = js_GazeSpeed.val * Time.deltaTime;

                gaze_Direction = (gazeTargetTransform.position - headTargetPos).normalized;
                gaze_DirectionFlatten = gaze_Direction - (Vector3.Dot(gaze_Direction, baseHeadRot * Vector3.up) * (baseHeadRot * Vector3.up));
                gaze_DirectionFlatten.Normalize();

                gaze_Rot = Vector3.Angle(gaze_DirectionFlatten, gaze_Direction);

                if (Vector3.Dot(gaze_Direction, baseHeadRot * Vector3.up) > 0)
                    gaze_Rot *= -1;

                if (gaze_Rot < -js_GazeMaxVertical.val || gaze_Rot > js_GazeMinVertical.val)
                    gaze_Rot = 0;

                if ((gazeTargetTransform.position - headTargetPos).magnitude > js_GazeMaxDistance.val)
                    gaze_Rot = 0;

                gaze_Rot += js_HeadPitch.val;

                if (gaze_CurrentHeadPitch + gaze_Speed < gaze_Rot)
                    gaze_CurrentHeadPitch += gaze_Speed;
                else if (gaze_CurrentHeadPitch - gaze_Speed > gaze_Rot)
                    gaze_CurrentHeadPitch -= gaze_Speed;

                gaze_CurrentHeadPitch = Mathf.Clamp(gaze_CurrentHeadPitch, -js_GazeMaxVertical.val, js_GazeMinVertical.val);

            }
            else
            {
                gaze_CurrentHeadPitch = js_HeadPitch.val;
            }

            headTargetRot *= Quaternion.AngleAxis(gaze_CurrentHeadPitch, Vector3.right);
            
        }

        #endregion

        #region Auto Control System
             
        private Vector3 grabbedControllerStartPos;
        private Transform grabbedController;


        private bool headGrabbed = false;
        private bool hipsGrabbed = false;
        private bool chestGrabbed = false;
        private bool kneeGrabbed = false;
        private bool footGrabbed = false;
        private bool handGrabbed = false;
        private bool elbowGrabbed = false;
        private bool shoulderGrabbed = false;

        private float grabStartHeight = 0;
        private float grabStartSide = 0;
        private float grabStartForward = 0;

        private float grabStartPitch;
        private float grabStartRoll;
        private float grabStartYaw;

        private Vector3 grabStartDir;
        private Vector3 grabCurrentDir;
        private Vector3 grabStartDirYZ;
        private Vector3 grabStartDirXY;
        private Vector3 grabDirYZ;
        private Vector3 grabDirXY;
        private Quaternion grabStartBodyRot;
        private Quaternion grabControllerStartRot;
        private Quaternion currentGrabRot;
        private float grabCurrentAngle;

        private Vector3 grabDelta;
        private Vector3 grabTargetStartPos;
        private Vector3 grabPosTransformStartPos;
        private Vector3 grabDir;
        private Vector3 grabPositionTarget;
        private float grabMagnitude;


        protected void UpdateGrabSystem()
        {            
            UpdateHeadGrab();
            UpdateChestGrab();
            UpdateHipsGrab();
            UpdateHandGrab();
            UpdateElbowGrab();
            UpdateShoulderGrab();
            UpdateFootGrab();
            UpdateKneeGrab();
        }   

        
        protected void UpdateHeadGrab()
        {
            if (headGrabbed)
            {
                if (js_UseHandsToMove.val && js_UseHeadGrabCrawlingToAdaptChest.val)
                {
                    grabDelta = grabbedController.position - grabbedControllerStartPos;
                    grabDelta = Quaternion.Inverse(baseRot) * grabDelta;

                    js_ChestUpDown.val = grabStartHeight + grabDelta.y;
                    js_ChestSide.val = grabStartSide + grabDelta.x;
                    js_ChestForward.val = grabStartForward + grabDelta.z;

                }
                else if((js_UseHeadGrabToAdaptBodyPitch.val || js_UseHeadGrabToAdaptBodyRoll.val || js_UseHeadGrabToAdaptBodyYaw.val))
                {

                    grabCurrentDir = (grabbedController.position - baseBodyPos).normalized;

                    grabDirYZ = (grabCurrentDir - (Vector3.Dot(grabCurrentDir, grabStartBodyRot * Vector3.right) * (grabStartBodyRot * Vector3.right))).normalized;
                    grabDirXY = (grabCurrentDir - (Vector3.Dot(grabCurrentDir, grabStartBodyRot * Vector3.forward) * (grabStartBodyRot * Vector3.forward))).normalized;

                    if (js_UseHeadGrabToAdaptBodyPitch.val)
                    {
                        grabCurrentAngle = Vector3.Angle(grabDirYZ, grabStartDirYZ);

                        if (Vector3.Dot(grabDirYZ - grabStartDirYZ, baseBodyRot * Vector3.forward) < 0)
                            grabCurrentAngle *= -1;

                        js_BodyPitch.val = Mathf.Clamp(grabStartPitch + grabCurrentAngle, -45f, 175f);
                    }

                    if (js_UseHeadGrabToAdaptBodyRoll.val)
                    {
                        grabCurrentAngle = Vector3.Angle(grabDirXY, grabStartDirXY);

                        if (Vector3.Dot(grabDirXY - grabStartDirXY, baseBodyRot * Vector3.right) > 0)
                            grabCurrentAngle *= -1;

                        js_BodyRoll.val = Mathf.Clamp(grabStartRoll + grabCurrentAngle, -85f, 85f);
                    }

                    if (js_UseHeadGrabToAdaptBodyYaw.val)
                    {
                        grabCurrentAngle = Mathf.DeltaAngle(grabControllerStartRot.eulerAngles.y, headControl.transform.rotation.eulerAngles.y);

                        js_BodyYaw.val = Mathf.Clamp(grabStartYaw + grabCurrentAngle, -85f, 85f);
                    }
                }
                else if (js_UseHeadGrabToAdaptPosition.val || js_UseHeadGrabToAdaptRotation.val)
                {
                    if (js_UseHeadGrabToAdaptPosition.val)
                    {
                        grabDelta = grabbedController.position - grabbedControllerStartPos;
                        grabDelta = Quaternion.Inverse(baseRot) * grabDelta;

                        js_HeadUpDown.val = grabStartHeight + grabDelta.y;
                        js_HeadSide.val = grabStartSide + grabDelta.x;
                        js_HeadForward.val = grabStartForward + grabDelta.z;
                    }

                    if(js_UseHeadGrabToAdaptRotation.val)
                    {
                        currentGrabRot = Quaternion.Inverse(baseChestRot) * grabbedController.rotation;

                        js_HeadYaw.val = grabStartYaw + Mathf.DeltaAngle(grabControllerStartRot.eulerAngles.y, currentGrabRot.eulerAngles.y);
                        js_HeadPitch.val = grabStartPitch + Mathf.DeltaAngle(grabControllerStartRot.eulerAngles.x, currentGrabRot.eulerAngles.x);
                        js_HeadRoll.val = grabStartRoll + Mathf.DeltaAngle(grabControllerStartRot.eulerAngles.z, currentGrabRot.eulerAngles.z);
                    }
                }
            }
        }

        protected void UpdateHipsGrab()
        {
            if (hipsGrabbed)
            {
                if (js_UseHipsGrabToAdaptPosition.val)
                {
                    grabDelta = grabbedController.position - grabbedControllerStartPos;
                    grabDelta = Quaternion.Inverse(baseRot) * grabDelta;

                    js_HipsUpDown.val = grabStartHeight + grabDelta.y;
                    js_HipsSide.val = grabStartSide + grabDelta.x;
                    js_HipsForward.val = grabStartForward + grabDelta.z;
                }
                
                if(js_UseHipsGrabToAdaptRotation.val)
                {
                    currentGrabRot = Quaternion.Inverse(baseBodyRot) * grabbedController.rotation;

                    js_HipsYaw.val = grabStartYaw + Mathf.DeltaAngle(grabControllerStartRot.eulerAngles.y, currentGrabRot.eulerAngles.y);
                    js_HipsPitch.val = grabStartPitch + Mathf.DeltaAngle(grabControllerStartRot.eulerAngles.x, currentGrabRot.eulerAngles.x);
                    js_HipsRoll.val = grabStartRoll + Mathf.DeltaAngle(grabControllerStartRot.eulerAngles.z, currentGrabRot.eulerAngles.z);
                }
            }
        }

        protected void UpdateChestGrab()
        {
            if (chestGrabbed)
            {
                if (js_UseChestGrabToAdaptPosition.val)
                {
                    grabDelta = grabbedController.position - grabbedControllerStartPos;
                    grabDelta = Quaternion.Inverse(baseRot) * grabDelta;

                    js_ChestUpDown.val = grabStartHeight + grabDelta.y;
                    js_ChestSide.val = grabStartSide + grabDelta.x;
                    js_ChestForward.val = grabStartForward + grabDelta.z;
                }

                if (js_UseChestGrabToAdaptRotation.val)
                {
                    currentGrabRot = Quaternion.Inverse(baseChestRot) * grabbedController.rotation;

                    js_ChestYaw.val = grabStartYaw + Mathf.DeltaAngle(grabControllerStartRot.eulerAngles.y, currentGrabRot.eulerAngles.y);
                    js_ChestPitch.val = grabStartPitch + Mathf.DeltaAngle(grabControllerStartRot.eulerAngles.x, currentGrabRot.eulerAngles.x);
                    js_ChestRoll.val = grabStartRoll + Mathf.DeltaAngle(grabControllerStartRot.eulerAngles.z, currentGrabRot.eulerAngles.z);
                }
            }
        }

        protected void UpdateHandGrab()
        {
            if (handGrabbed)
            {
                if (js_UseHandGrabToMoveTarget.val)
                {
                    grabDelta = grabbedController.position - grabbedControllerStartPos;
                    grabDir = grabDelta.normalized;
                    grabMagnitude = grabDelta.magnitude;

                    grabMagnitude = Mathf.Clamp(grabMagnitude - 0.15f, 0, grabMagnitude);

                    if (manager.PositionTargetTransform != null)
                    {
                        grabPositionTarget = grabPosTransformStartPos + grabDelta;
                        grabPositionTarget.y = manager.PositionTargetTransform.position.y;

                        manager.PositionTargetTransform.position = grabPositionTarget;
                    }
                    else
                    {
                        manager.TargetTransform.position = grabTargetStartPos + (grabDir * grabMagnitude);
                    }
                }
                else if(js_UseHandGrabToAdaptPosition.val || js_UseHandGrabToAdaptRotation.val)
                {
                    if (js_UseHandGrabToAdaptPosition.val)
                    {
                        grabDelta = grabbedController.position - grabbedControllerStartPos;
                        grabDelta = Quaternion.Inverse(baseRot) * grabDelta;

                        if (grabbedController == lHandControl.transform)
                        {
                            js_LHandUpDown.val = grabStartHeight + grabDelta.y;
                            js_LHandSide.val = grabStartSide - grabDelta.x;
                            js_LHandForward.val = grabStartForward + grabDelta.z;
                        }
                        else
                        {
                            js_RHandUpDown.val = grabStartHeight + grabDelta.y;
                            js_RHandSide.val = grabStartSide + grabDelta.x;
                            js_RHandForward.val = grabStartForward + grabDelta.z;
                        }
                    }

                    if (js_UseHandGrabToAdaptRotation.val)
                    {
                        if (grabbedController == lHandControl.transform)
                        {
                            currentGrabRot = Quaternion.Inverse(baseLeftArmRot) * grabbedController.rotation;

                            js_LHandYaw.val = grabStartYaw + Mathf.DeltaAngle(grabControllerStartRot.eulerAngles.y, currentGrabRot.eulerAngles.y);
                            js_LHandPitch.val = grabStartPitch + Mathf.DeltaAngle(grabControllerStartRot.eulerAngles.x, currentGrabRot.eulerAngles.x);
                            js_LHandRoll.val = grabStartRoll + Mathf.DeltaAngle(grabControllerStartRot.eulerAngles.z, currentGrabRot.eulerAngles.z);
                        }
                        else
                        {
                            currentGrabRot = Quaternion.Inverse(baseRightArmRot) * grabbedController.rotation;

                            js_RHandYaw.val = grabStartYaw - Mathf.DeltaAngle(grabControllerStartRot.eulerAngles.y, currentGrabRot.eulerAngles.y);
                            js_RHandPitch.val = grabStartPitch + Mathf.DeltaAngle(grabControllerStartRot.eulerAngles.x, currentGrabRot.eulerAngles.x);
                            js_RHandRoll.val = grabStartRoll - Mathf.DeltaAngle(grabControllerStartRot.eulerAngles.z, currentGrabRot.eulerAngles.z);
                        } 
                    }
                }
            }
        }

        protected void UpdateElbowGrab()
        {
            if (elbowGrabbed)
            {
                if (js_UseElbowGrabToAdaptPosition.val)
                {
                    grabDelta = grabbedController.position - grabbedControllerStartPos;
                    grabDelta = Quaternion.Inverse(baseRot) * grabDelta;

                    if (grabbedController == lElbowControl.transform)
                    {
                        js_LElbowUpDown.val = grabStartHeight + grabDelta.y;
                        js_LElbowSide.val = grabStartSide - grabDelta.x;
                        js_LElbowForward.val = grabStartForward + grabDelta.z;
                    }
                    else
                    {
                        js_RElbowUpDown.val = grabStartHeight + grabDelta.y;
                        js_RElbowSide.val = grabStartSide + grabDelta.x;
                        js_RElbowForward.val = grabStartForward + grabDelta.z;
                    }
                }
            }
        }

        protected void UpdateShoulderGrab()
        {
            if (shoulderGrabbed)
            {
                if (js_UseShoulderGrabToAdaptHeight.val)
                {
                    js_BodyHeight.val = Mathf.Clamp01(grabStartHeight + (grabbedController.position.y - grabbedControllerStartPos.y));
                }
                else if (js_UseShoulderGrabToAdaptPosition.val)
                {
                    grabDelta = grabbedController.position - grabbedControllerStartPos;
                    grabDelta = Quaternion.Inverse(baseRot) * grabDelta;

                    if (grabbedController == lShoulderControl.transform)
                    {
                        js_LShoulderUpDown.val = grabStartHeight + grabDelta.y;
                        js_LShoulderSide.val = grabStartSide - grabDelta.x;
                        js_LShoulderForward.val = grabStartForward + grabDelta.z;
                    }
                    else
                    {
                        js_RShoulderUpDown.val = grabStartHeight + grabDelta.y;
                        js_RShoulderSide.val = grabStartSide + grabDelta.x;
                        js_RShoulderForward.val = grabStartForward + grabDelta.z;
                    }
                }
            }
        }

        protected void UpdateKneeGrab()
        {
            if(kneeGrabbed)
            {
                if (js_UseKneeGrabToAdaptPosition.val)
                {
                    grabDelta = grabbedController.position - grabbedControllerStartPos;
                    grabDelta = Quaternion.Inverse(baseRot) * grabDelta;

                    if (grabbedController == lKneeControl.transform)
                    {
                        js_LKneeUpDown.val = grabStartHeight + grabDelta.y;
                        js_LKneeSide.val = grabStartSide - grabDelta.x;
                        js_LKneeForward.val = grabStartForward + grabDelta.z;
                    }
                    else
                    {
                        js_RKneeUpDown.val = grabStartHeight + grabDelta.y;
                        js_RKneeSide.val = grabStartSide + grabDelta.x;
                        js_RKneeForward.val = grabStartForward + grabDelta.z;
                    }
                }
            }
        }

        protected void UpdateFootGrab()
        {
            if (footGrabbed)
            {
                if (js_UseFootGrabToAdaptPosition.val)
                {
                    grabDelta = grabbedController.position - grabbedControllerStartPos;
                    grabDelta = Quaternion.Inverse(baseRot) * grabDelta;

                    if (grabbedController == lFootControl.transform)
                    {
                        js_LFootUpDown.val = grabStartHeight + grabDelta.y;
                        js_LFootSide.val = grabStartSide - grabDelta.x;
                        js_LFootForward.val = grabStartForward + grabDelta.z;
                    }
                    else
                    {
                        js_RFootUpDown.val = grabStartHeight + grabDelta.y;
                        js_RFootSide.val = grabStartSide + grabDelta.x;
                        js_RFootForward.val = grabStartForward + grabDelta.z;
                    }
                }

                if (js_UseFootGrabToAdaptRotation.val)
                {
                    if (grabbedController == lFootControl.transform)
                    {
                        currentGrabRot = Quaternion.Inverse(stepCycle.GetStep(3).TargetRot) * grabbedController.rotation;

                        js_LFootYaw.val = grabStartYaw + Mathf.DeltaAngle(grabControllerStartRot.eulerAngles.y, currentGrabRot.eulerAngles.y);
                        js_LFootPitch.val = grabStartPitch + Mathf.DeltaAngle(grabControllerStartRot.eulerAngles.x, currentGrabRot.eulerAngles.x);
                        js_LFootRoll.val = grabStartRoll + Mathf.DeltaAngle(grabControllerStartRot.eulerAngles.z, currentGrabRot.eulerAngles.z);
                    }
                    else
                    {
                        currentGrabRot = Quaternion.Inverse(stepCycle.GetStep(1).TargetRot) * grabbedController.rotation;

                        js_RFootYaw.val = grabStartYaw + Mathf.DeltaAngle(grabControllerStartRot.eulerAngles.y, currentGrabRot.eulerAngles.y);
                        js_RFootPitch.val = grabStartPitch + Mathf.DeltaAngle(grabControllerStartRot.eulerAngles.x, currentGrabRot.eulerAngles.x);
                        js_RFootRoll.val = grabStartRoll + Mathf.DeltaAngle(grabControllerStartRot.eulerAngles.z, currentGrabRot.eulerAngles.z);
                    }
                }
            }
        }



        /* Control Grab Callbacks */

        protected void Callback_OnHeadGrab(FreeControllerV3 fcv3)
        {
            if (grabbedController != null)
                return;

            headGrabbed = true;
            grabbedControllerStartPos = fcv3.transform.position;
            grabbedController = fcv3.transform;

            if (js_UseHandsToMove.val && js_UseHeadGrabCrawlingToAdaptChest.val)
            {
                grabStartHeight = js_ChestUpDown.val;
                grabStartSide = js_ChestSide.val;
                grabStartForward = js_ChestForward.val;
            }
            else if ((js_UseHeadGrabToAdaptBodyPitch.val || js_UseHeadGrabToAdaptBodyRoll.val || js_UseHeadGrabToAdaptBodyYaw.val))
            {
                grabStartBodyRot = baseBodyRot;
                
                grabStartDir = (grabbedControllerStartPos - baseBodyPos).normalized;
                grabStartDirYZ = (grabStartDir - (Vector3.Dot(grabStartDir, grabStartBodyRot * Vector3.right) * (grabStartBodyRot * Vector3.right))).normalized;
                grabStartDirXY = (grabStartDir - (Vector3.Dot(grabStartDir, grabStartBodyRot * Vector3.forward) * (grabStartBodyRot * Vector3.forward))).normalized;
                
                grabStartPitch = js_BodyPitch.val;
                grabStartRoll = js_BodyRoll.val;
                grabStartYaw = js_BodyYaw.val;
                
                grabControllerStartRot = headControl.transform.rotation;
            }
            else if(js_UseHeadGrabToAdaptPosition.val || js_UseHeadGrabToAdaptRotation.val)
            {
                grabStartHeight = js_HeadUpDown.val;
                grabStartSide = js_HeadSide.val;
                grabStartForward = js_HeadForward.val;

                grabControllerStartRot = Quaternion.Inverse(baseChestRot) * fcv3.transform.rotation;

                grabStartYaw = js_HeadYaw.val;
                grabStartPitch = js_HeadPitch.val;
                grabStartRoll = js_HeadRoll.val;
            }
        }

        protected void Callback_OnHeadRelease(FreeControllerV3 fcv3)
        {
            if (grabbedController == fcv3.transform)
            {
                grabbedController = null;
                headGrabbed = false;
            }
        }


        protected void Callback_OnHipsGrab(FreeControllerV3 fcv3)
        {
            if (grabbedController != null)
                return;

            hipsGrabbed = true;
            grabbedControllerStartPos = fcv3.transform.position;
            grabbedController = fcv3.transform;

            if (js_UseHipsGrabToAdaptPosition.val || js_UseHipsGrabToAdaptRotation.val)
            {
                grabStartHeight = js_HipsUpDown.val;
                grabStartSide = js_HipsSide.val;
                grabStartForward = js_HipsForward.val;

                grabControllerStartRot = Quaternion.Inverse(baseBodyRot) * fcv3.transform.rotation;

                grabStartYaw = js_HipsYaw.val;
                grabStartPitch = js_HipsPitch.val;
                grabStartRoll = js_HipsRoll.val;
            }
        }

        protected void Callback_OnHipsRelease(FreeControllerV3 fcv3)
        {
            if (grabbedController == fcv3.transform)
            {
                grabbedController = null;
                hipsGrabbed = false;
            }
        }


        protected void Callback_OnChestGrab(FreeControllerV3 fcv3)
        {
            if (grabbedController != null)
                return;

            chestGrabbed = true;
            grabbedControllerStartPos = fcv3.transform.position;
            grabbedController = fcv3.transform;

            if (js_UseChestGrabToAdaptPosition.val || js_UseChestGrabToAdaptRotation.val)
            {
                grabStartHeight = js_ChestUpDown.val;
                grabStartSide = js_ChestSide.val;
                grabStartForward = js_ChestForward.val;

                grabControllerStartRot = Quaternion.Inverse(baseChestRot) * fcv3.transform.rotation;

                grabStartYaw = js_ChestYaw.val;
                grabStartPitch = js_ChestPitch.val;
                grabStartRoll = js_ChestRoll.val;
            }
        }

        protected void Callback_OnChestRelease(FreeControllerV3 fcv3)
        {
            if (grabbedController == fcv3.transform)
            {
                grabbedController = null;
                chestGrabbed = false;
            }
        }


        protected void Callback_OnHandGrab(FreeControllerV3 fcv3)
        {
            if (grabbedController != null)
                return;

            handGrabbed = true;
            grabbedControllerStartPos = fcv3.transform.position;
            grabbedController = fcv3.transform;

            if (js_UseHandGrabToMoveTarget.val)
            {             
                if(manager.PositionTargetTransform != null)
                {
                    grabPosTransformStartPos = manager.PositionTargetTransform.position;
                }

                grabTargetStartPos = manager.TargetTransform.position;               
            }
            else if (js_UseHandGrabToAdaptPosition.val || js_UseHandGrabToAdaptRotation.val)
            {
                if (js_UseHandGrabToAdaptPosition.val)
                {
                    if (fcv3 == lHandControl)
                    {
                        grabStartHeight = js_LHandUpDown.val;
                        grabStartSide = js_LHandSide.val;
                        grabStartForward = js_LHandForward.val;
                    }
                    else
                    {
                        grabStartHeight = js_RHandUpDown.val;
                        grabStartSide = js_RHandSide.val;
                        grabStartForward = js_RHandForward.val;
                    }
                }

                if (js_UseHandGrabToAdaptRotation.val)
                {
                    if (fcv3 == lHandControl)
                    {
                        grabControllerStartRot = Quaternion.Inverse(baseLeftArmRot) * fcv3.transform.rotation;

                        grabStartYaw = js_LHandYaw.val;
                        grabStartPitch = js_LHandPitch.val;
                        grabStartRoll = js_LHandRoll.val;
                    }
                    else
                    {
                        grabControllerStartRot = Quaternion.Inverse(baseRightArmRot) * fcv3.transform.rotation;

                        grabStartYaw = js_RHandYaw.val;
                        grabStartPitch = js_RHandPitch.val;
                        grabStartRoll = js_RHandRoll.val;
                    }
                }
            }
        }

        protected void Callback_OnHandRelease(FreeControllerV3 fcv3)
        {
            if (grabbedController == fcv3.transform)
            {
                grabbedController = null;
                handGrabbed = false;
            }
        }


        protected void Callback_OnElbowGrab(FreeControllerV3 fcv3)
        {
            if (grabbedController != null)
                return;

            elbowGrabbed = true;
            grabbedControllerStartPos = fcv3.transform.position;
            grabbedController = fcv3.transform;

            if (js_UseElbowGrabToAdaptPosition.val)
            {
                if (fcv3 == lElbowControl)
                {
                    grabStartHeight = js_LElbowUpDown.val;
                    grabStartSide = js_LElbowSide.val;
                    grabStartForward = js_LElbowForward.val;
                }
                else
                {
                    grabStartHeight = js_RElbowUpDown.val;
                    grabStartSide = js_RElbowSide.val;
                    grabStartForward = js_RElbowForward.val;
                }
            }
        }

        protected void Callback_OnElbowRelease(FreeControllerV3 fcv3)
        {
            if (grabbedController == fcv3.transform)
            {
                grabbedController = null;
                elbowGrabbed = false;
            }
        }


        protected void Callback_OnShoulderGrab(FreeControllerV3 fcv3)
        {
            if (grabbedController != null)
                return;

            shoulderGrabbed = true;
            grabbedControllerStartPos = fcv3.transform.position;
            grabbedController = fcv3.transform;

            if (js_UseShoulderGrabToAdaptHeight.val)
            {
                grabStartHeight = js_BodyHeight.val;
            }
            else if (js_UseShoulderGrabToAdaptPosition.val)
            {
                if (fcv3 == lShoulderControl)
                {
                    grabStartHeight = js_LShoulderUpDown.val;
                    grabStartSide = js_LShoulderSide.val;
                    grabStartForward = js_LShoulderForward.val;
                }
                else
                {
                    grabStartHeight = js_RShoulderUpDown.val;
                    grabStartSide = js_RShoulderSide.val;
                    grabStartForward = js_RShoulderForward.val;
                }
            }
        }

        protected void Callback_OnShoulderRelease(FreeControllerV3 fcv3)
        {
            if (grabbedController == fcv3.transform)
            {
                grabbedController = null;
                shoulderGrabbed = false;
            }
        }


        protected void Callback_OnKneeGrab(FreeControllerV3 fcv3)
        {
            if (grabbedController != null)
                return;

            kneeGrabbed = true;
            grabbedControllerStartPos = fcv3.transform.position;
            grabbedController = fcv3.transform;

            if (js_UseKneeGrabToAdaptPosition.val)
            {
                if (fcv3 == lKneeControl)
                {
                    grabStartHeight = js_LKneeUpDown.val;
                    grabStartSide = js_LKneeSide.val;
                    grabStartForward = js_LKneeForward.val;
                }
                else
                {
                    grabStartHeight = js_RKneeUpDown.val;
                    grabStartSide = js_RKneeSide.val;
                    grabStartForward = js_RKneeForward.val;
                }
            }
        }

        protected void Callback_OnKneeRelease(FreeControllerV3 fcv3)
        {
            if (grabbedController == fcv3.transform)
            {
                grabbedController = null;
                kneeGrabbed = false;
            }
        }


        protected void Callback_OnFootGrab(FreeControllerV3 fcv3)
        {
            if (grabbedController != null)
                return;

            footGrabbed = true;
            grabbedControllerStartPos = fcv3.transform.position;
            grabbedController = fcv3.transform;

            if (js_UseFootGrabToAdaptPosition.val)
            {
                if (fcv3 == lFootControl)
                {
                    grabStartHeight = js_LFootUpDown.val;
                    grabStartSide = js_LFootSide.val;
                    grabStartForward = js_LFootForward.val;
                }
                else
                {
                    grabStartHeight = js_RFootUpDown.val;
                    grabStartSide = js_RFootSide.val;
                    grabStartForward = js_RFootForward.val;
                }
            }

            if (js_UseFootGrabToAdaptRotation.val)
            {
                if (fcv3 == lFootControl)
                {
                    grabControllerStartRot = Quaternion.Inverse(stepCycle.GetStep(3).TargetRot) * fcv3.transform.rotation;

                    grabStartYaw = js_LFootYaw.val;
                    grabStartPitch = js_LFootPitch.val;
                    grabStartRoll = js_LFootRoll.val;
                }
                else
                {
                    grabControllerStartRot = Quaternion.Inverse(stepCycle.GetStep(1).TargetRot) * fcv3.transform.rotation;

                    grabStartYaw = js_RFootYaw.val;
                    grabStartPitch = js_RFootPitch.val;
                    grabStartRoll = js_RFootRoll.val;
                }
            }
        }

        protected void Callback_OnFootRelease(FreeControllerV3 fcv3)
        {
            if (grabbedController == fcv3.transform)
            {
                grabbedController = null;
                footGrabbed = false;
            }
        }

        #endregion

        #region Dance System

        /* Dance Functions */

        float autoRotStartTime = 0;
        float autoRotDelay = 0;
        float autoRotTime = 0;
        float autoRotChange = 0;
        float autoRotTarget = 0;

        float amplitudeStartTime = 0, amplitudeChange, amplitudeTarget, amplitudeCurrent, amplitudeStart;

        float hipsAutoRotStartTime = 0, hipsAutoRotChange, hipsAutoRotTarget, hipsAutoRotCurrent, hipsAutoRotStart;
        float chestAutoRotStartTime = 0, chestAutoRotChange, chestAutoRotTarget, chestAutoRotCurrent, chestAutoRotStart;
        float headAutoRotStartTime = 0, headAutoRotChange, headAutoRotTarget, headAutoRotCurrent, headAutoRotStart;

        protected void UpdateDanceMode()
        {
            if (js_DanceMode.val == false)
            {
                autoRotTarget = 0;
                amplitudeCurrent = 0;
                hipsAutoRotCurrent = 0;
                chestAutoRotCurrent = 0;
                headAutoRotCurrent = 0;

                return;
            }

            UpdateDanceRotation();
            UpdateDanceAmplitude();
            UpdateDanceHips();
            UpdateDanceChest();
            UpdateDanceHead();
        }

        protected void UpdateDanceRotation()
        {
            if (js_AutoRotate.val)
            {
                autoRotDelay = Mathf.Clamp((stepCycle.GetStep(1).Duration + stepCycle.GetStep(1).Delay) * js_AutoRotDelayMult.val, 0.01f, 1000);
                autoRotTime = Mathf.Clamp01((Time.time - autoRotStartTime) / autoRotDelay);

                if (autoRotTime >= 1)
                {
                    autoRotStartTime = Time.time;

                    autoRotChange = UnityEngine.Random.Range(js_AutoRotAngleChangeMin.val, js_AutoRotAngleChangeMax.val) * stepCycle.StepInPlaceAmplitude;

                    if (UnityEngine.Random.value > 0.5f)
                        autoRotChange = -autoRotChange;

                    if (autoRotTarget + manager.TempRotationOffset > js_AutoRotAngleMax.val ||  manager.TempRotationOffset + autoRotTarget < -js_AutoRotAngleMin.val)
                        autoRotTarget = Mathf.Clamp(manager.TempRotationOffset - autoRotChange, -js_AutoRotAngleMin.val, js_AutoRotAngleMax.val);
                    else
                        autoRotTarget = Mathf.Clamp(manager.TempRotationOffset + autoRotChange, -js_AutoRotAngleMin.val, js_AutoRotAngleMax.val);

                    manager.TempRotationOffset = autoRotTarget;
                }
            }
        }

        protected void UpdateDanceAmplitude()
        {
            if (js_RandomAmplitude.val)
            {
                autoRotDelay = Mathf.Clamp((stepCycle.GetStep(1).Duration + stepCycle.GetStep(1).Delay) * js_DanceAmplitudeDelayMult.val, 0.01f, 1000);
                autoRotTime = Mathf.Clamp01((Time.time - amplitudeStartTime) / autoRotDelay);

                if (autoRotTime >= 1)
                {
                    amplitudeStartTime = Time.time;
                    autoRotTime = 0;

                    amplitudeChange = UnityEngine.Random.Range(-js_DanceAmplitudeChange.val, js_DanceAmplitudeChange.val) * stepCycle.StepInPlaceAmplitude;

                    amplitudeStart = amplitudeTarget;

                    if (amplitudeTarget + amplitudeChange > js_DanceAmplitudeChangeLimit.val || amplitudeTarget + amplitudeChange < -js_DanceAmplitudeChangeLimit.val)
                        amplitudeTarget = Mathf.Clamp(amplitudeTarget - amplitudeChange, -js_DanceAmplitudeChangeLimit.val, js_DanceAmplitudeChangeLimit.val);
                    else
                        amplitudeTarget = Mathf.Clamp(amplitudeTarget + amplitudeChange, -js_DanceAmplitudeChangeLimit.val, js_DanceAmplitudeChangeLimit.val);

                }

                amplitudeCurrent = Mathf.Lerp(amplitudeStart, amplitudeTarget, autoRotTime);
            }
            else
                amplitudeCurrent = 0;

            stepCycle.StepInPlaceAmplitudeOffset = amplitudeCurrent;
        }

        protected void UpdateDanceHips()
        {
            if (js_HipsAutoRotate.val)
            {
                autoRotDelay = Mathf.Clamp((stepCycle.GetStep(1).Duration + stepCycle.GetStep(1).Delay) * js_HipsAutoRotDelayMult.val, 0.01f, 1000);
                autoRotTime = Mathf.Clamp01((Time.time - hipsAutoRotStartTime) / autoRotDelay);

                if (autoRotTime >= 1)
                {
                    hipsAutoRotStartTime = Time.time;
                    autoRotTime = 0;

                    hipsAutoRotChange = UnityEngine.Random.Range(js_HipsAutoRotAngleChangeMin.val, js_HipsAutoRotAngleChangeMax.val) * stepCycle.StepInPlaceAmplitude;

                    if (UnityEngine.Random.value > 0.5f)
                        hipsAutoRotChange = -hipsAutoRotChange;

                    hipsAutoRotStart = hipsAutoRotTarget;

                    if (hipsAutoRotTarget + hipsAutoRotChange > js_HipsAutoRotAngleMax.val || hipsAutoRotTarget + hipsAutoRotChange < -js_HipsAutoRotAngleMin.val)
                        hipsAutoRotTarget = Mathf.Clamp(hipsAutoRotTarget - hipsAutoRotChange, -js_HipsAutoRotAngleMin.val, js_HipsAutoRotAngleMax.val);
                    else
                        hipsAutoRotTarget = Mathf.Clamp(hipsAutoRotTarget + hipsAutoRotChange, -js_HipsAutoRotAngleMin.val, js_HipsAutoRotAngleMax.val);
                }

                hipsAutoRotCurrent = Mathf.Lerp(hipsAutoRotStart, hipsAutoRotTarget, autoRotTime);
            }
            else
                hipsAutoRotCurrent = 0;
        }

        protected void UpdateDanceChest()
        {
            if (js_ChestAutoRotate.val)
            {
                autoRotDelay = Mathf.Clamp((stepCycle.GetStep(1).Duration + stepCycle.GetStep(1).Delay) * js_ChestAutoRotDelayMult.val, 0.01f, 1000);
                autoRotTime = Mathf.Clamp01((Time.time - chestAutoRotStartTime) / autoRotDelay);

                if (autoRotTime >= 1)
                {
                    chestAutoRotStartTime = Time.time;
                    autoRotTime = 0;

                    chestAutoRotChange = UnityEngine.Random.Range(js_ChestAutoRotAngleChangeMin.val, js_ChestAutoRotAngleChangeMax.val) * stepCycle.StepInPlaceAmplitude;

                    if (UnityEngine.Random.value > 0.5f)
                        autoRotChange = -autoRotChange;

                    chestAutoRotStart = chestAutoRotTarget;

                    if (chestAutoRotTarget + chestAutoRotChange > js_ChestAutoRotAngleMax.val || chestAutoRotTarget + chestAutoRotChange < -js_ChestAutoRotAngleMin.val)
                        chestAutoRotTarget = Mathf.Clamp(chestAutoRotTarget - chestAutoRotChange, -js_ChestAutoRotAngleMin.val, js_ChestAutoRotAngleMax.val);
                    else
                        chestAutoRotTarget = Mathf.Clamp(chestAutoRotTarget + chestAutoRotChange, -js_ChestAutoRotAngleMin.val, js_ChestAutoRotAngleMax.val);

                }

                chestAutoRotCurrent = Mathf.Lerp(chestAutoRotStart, chestAutoRotTarget, autoRotTime);
            }
            else
                chestAutoRotCurrent = 0;
        }

        protected void UpdateDanceHead()
        {
            if (js_HeadAutoRotate.val)
            {
                autoRotDelay = Mathf.Clamp((stepCycle.GetStep(1).Duration + stepCycle.GetStep(1).Delay) * js_HeadAutoRotDelayMult.val, 0.01f, 1000);
                autoRotTime = Mathf.Clamp01((Time.time - headAutoRotStartTime) / autoRotDelay);

                if (autoRotTime >= 1)
                {
                    headAutoRotStartTime = Time.time;
                    autoRotTime = 0;

                    headAutoRotChange = UnityEngine.Random.Range(js_HeadAutoRotAngleChangeMin.val, js_HeadAutoRotAngleChangeMax.val) * stepCycle.StepInPlaceAmplitude;

                    if (UnityEngine.Random.value > 0.5f)
                        headAutoRotChange = -headAutoRotChange;

                    headAutoRotStart = headAutoRotTarget;

                    if (headAutoRotTarget + headAutoRotChange > js_HeadAutoRotAngleMax.val || headAutoRotTarget + headAutoRotChange < -js_HeadAutoRotAngleMin.val)
                        headAutoRotTarget = Mathf.Clamp(headAutoRotTarget - headAutoRotChange, -js_HeadAutoRotAngleMin.val, js_HeadAutoRotAngleMax.val);
                    else
                        headAutoRotTarget = Mathf.Clamp(headAutoRotTarget + headAutoRotChange, -js_HeadAutoRotAngleMin.val, js_HeadAutoRotAngleMax.val);

                }

                headAutoRotCurrent = Mathf.Lerp(headAutoRotStart, headAutoRotTarget, autoRotTime);
            }
            else
                headAutoRotCurrent = 0;
        }

        #endregion

        #region UI

        /* UI */

        public override void CreateGlobalUI()
        {
            UIDynamic _spacer;

            base.CreateGlobalUI();

            manager.CreateMainButton("Timing", ShowTimingUI);
            manager.CreateMainButton("Control", ShowBodyControlsUI);                                 
            manager.CreateMainButton("Actions", ShowActionsUI);
            manager.CreateMainButton("Gaze System", ShowGazeUI);
            manager.CreateMainButton("Grab System", ShowGrabSystemUI);
            manager.CreateMainButton("DanceMode", ShowDanceUI);

            manager.CreateStaticText("Title", "<color=#000><size=35><b>Body Pose</b></size></color>", false, 50);
           
            manager.CreateMainButton("Full Body", ShowFullBodyUI);
            manager.CreateMainButton("Hip", ShowHipsUI);
            manager.CreateMainButton("Chest", ShowChestUI);
            manager.CreateMainButton("Head", ShowHeadUI);
            manager.CreateMainButton("Right Leg", ShowRightLegUI);
            manager.CreateMainButton("Left Leg", ShowLeftLegUI);
            manager.CreateMainButton("Right Arm", ShowRightArmUI);
            manager.CreateMainButton("Left Arm", ShowLeftArmUI);

            manager.CreateStaticText("Title", "<color=#000><size=35><b>Body Movement</b></size></color>", false, 50);

            manager.CreateMainButton("Zero all step parameters", Callback_ZeroAllStepParameters);

            _spacer = manager.CreateSpacer();
            _spacer.height = 25f;

            manager.CreateMainButton("Full Body", ShowFullBodyStepsUI);
            manager.CreateMainButton("Hip", ShowHipsStepsUI);
            manager.CreateMainButton("Chest", ShowChestStepsUI);
            manager.CreateMainButton("Head", ShowHeadStepsUI);
            manager.CreateMainButton("Right Leg", ShowRightLegStepsUI);
            manager.CreateMainButton("Left Leg", ShowLeftLegStepsUI);
            manager.CreateMainButton("Right Arm", ShowRightArmStepsUI);
            manager.CreateMainButton("Left Arm", ShowLeftArmStepsUI);

            _spacer = manager.CreateSpacer();
            _spacer.height = 25f;
        }

        protected void ShowTimingUI()
        {
            manager.ClearUI();

            manager.ActiveUIPanel = "Timing";

            manager.CreateTempStaticText("Title", "<color=#000><size=35><b>Timing</b></size></color>", 50);

            manager.CreateTempButton("Reset Steps", Callback_ResetSteps);

            manager.CreateTempSlider(js_StepsDuration);
            manager.CreateTempSlider(js_StepsDelay);

            manager.CreateTempSlider(js_OnAllFourStepDelay);

            manager.CreateTempSpacer(25f);

            manager.CreateTempSlider(js_DurationRandom_Min);
            manager.CreateTempSlider(js_DurationRandom_Max);
            
        }

        protected void ShowActionsUI()
        {
            manager.ActiveUIPanel = "Actions";

            manager.ClearUI();

            manager.CreateTempStaticText("Title", "<color=#000><size=35><b>Actions Params</b></size></color>", 50);

            manager.CreateTempSlider(js_Action_StepDurationChange);
            manager.CreateTempSlider(js_Action_DanceAmplitudeChange);
            manager.CreateTempSlider(js_Action_RotationOffsetChange);
        }

        protected void ShowBodyControlsUI()
        {
            manager.ClearUI();

            manager.ActiveUIPanel = "BodyControls";

            manager.CreateTempStaticText("Title", "<color=#000><size=35><b>Body Controls</b></size></color>", 50);

            manager.CreateTempButton("Set Default Controllers", SetDefaultControllersState);
            manager.CreateTempStaticText("Info", "<color=#000><size=25>Click to set optimal body controls state</size></color>", 50);

            manager.CreateTempSpacer(25f);

            manager.CreateTempToggle(js_UpdateRootControl);

            manager.CreateTempStaticText("Info", "<color=#000><size=25>For the main control to work correctly, be sure to toggle the Detach Person Root Control On (In the Control & Physics Tab) </size></color>", 120);           

            manager.CreateTempSpacer(25f);

            manager.CreateTempToggle(js_StopControlingWhenIdle);
            manager.CreateTempStaticText("Info", "<color=#000><size=25>CLS will stop control when the character is Idle</size></color>", 85);

            manager.CreateTempSpacer(25f);

            manager.CreateTempToggle(js_UpdateHipControl);
            manager.CreateTempToggle(js_UpdateChestControl);
            manager.CreateTempToggle(js_UpdateHeadControl);

            manager.CreateTempSpacer(25f);

            manager.CreateTempToggle(js_UpdateRFootControl);
            manager.CreateTempToggle(js_UpdateRKneeControl);
            manager.CreateTempToggle(js_UpdateLFootControl);
            manager.CreateTempToggle(js_UpdateLKneeControl);

            manager.CreateTempSpacer(25f);

            manager.CreateTempToggle(js_UpdateRShoulderControl);
            manager.CreateTempToggle(js_UpdateRHandControl);
            manager.CreateTempToggle(js_UpdateRElbowControl);

            manager.CreateTempSpacer(25f);

            manager.CreateTempToggle(js_UpdateLShoulderControl);
            manager.CreateTempToggle(js_UpdateLHandControl);
            manager.CreateTempToggle(js_UpdateLElbowControl);
        }

        protected void ShowDanceUI()
        {
            manager.ClearUI();

            manager.ActiveUIPanel = "Dance";

            manager.CreateTempStaticText("Title", "<color=#000><size=35><b>Dance</b></size></color>", 50);

            manager.CreateTempToggle(js_DanceMode);

            manager.CreateTempStaticText("Title", "<color=#000><size=35><b>Movement Amplitude</b></size></color>", 40);

            manager.CreateTempSlider(js_DanceAmplitude);

            manager.CreateTempSpacer(25f);

            manager.CreateTempToggle(js_RandomAmplitude);

            if (js_RandomAmplitude.val)
            {
                manager.CreateTempSlider(js_DanceAmplitudeDelayMult);
                manager.CreateTempSlider(js_DanceAmplitudeChange);
                manager.CreateTempSlider(js_DanceAmplitudeChangeLimit);
            }


            manager.CreateTempStaticText("Title", "<color=#000><size=35><b>Fullbody Auto Rotate</b></size></color>", 40);

            manager.CreateTempToggle(js_AutoRotate);

            if (js_AutoRotate.val)
            {
                manager.CreateTempSlider(js_AutoRotDelayMult);
                manager.CreateTempSlider(js_AutoRotAngleChangeMin);
                manager.CreateTempSlider(js_AutoRotAngleChangeMax);
                manager.CreateTempSlider(js_AutoRotAngleMin);
                manager.CreateTempSlider(js_AutoRotAngleMax);
            }           

            manager.CreateTempStaticText("Title", "<color=#000><size=35><b>Hips Auto Rotate</b></size></color>", 40);

            manager.CreateTempToggle(js_HipsAutoRotate);

            if (js_HipsAutoRotate.val)
            {
                manager.CreateTempSlider(js_HipsAutoRotDelayMult);
                manager.CreateTempSlider(js_HipsAutoRotAngleChangeMin);
                manager.CreateTempSlider(js_HipsAutoRotAngleChangeMax);
                manager.CreateTempSlider(js_HipsAutoRotAngleMin);
                manager.CreateTempSlider(js_HipsAutoRotAngleMax);
            }

            manager.CreateTempStaticText("Title", "<color=#000><size=35><b>Chest Auto Rotate</b></size></color>", 40);

            manager.CreateTempToggle(js_ChestAutoRotate);

            if (js_ChestAutoRotate.val)
            {
                manager.CreateTempSlider(js_ChestAutoRotDelayMult);
                manager.CreateTempSlider(js_ChestAutoRotAngleChangeMin);
                manager.CreateTempSlider(js_ChestAutoRotAngleChangeMax);
                manager.CreateTempSlider(js_ChestAutoRotAngleMin);
                manager.CreateTempSlider(js_ChestAutoRotAngleMax);
            }

            manager.CreateTempStaticText("Title", "<color=#000><size=35><b>Head Auto Rotate</b></size></color>", 40);

            manager.CreateTempToggle(js_HeadAutoRotate);

            if (js_HeadAutoRotate.val)
            {
                manager.CreateTempSlider(js_HeadAutoRotDelayMult);
                manager.CreateTempSlider(js_HeadAutoRotAngleChangeMin);
                manager.CreateTempSlider(js_HeadAutoRotAngleChangeMax);
                manager.CreateTempSlider(js_HeadAutoRotAngleMin);
                manager.CreateTempSlider(js_HeadAutoRotAngleMax);
            }
        }

        protected void ShowGazeUI()
        {
            manager.ClearUI();

            manager.ActiveUIPanel = "Gaze";

            manager.CreateTempStaticText("Title", "<color=#000><size=35><b>Gaze System</b></size></color>", 50);

            manager.CreateTempToggle(js_GazeActive);
            manager.CreateTempFilterablePopup(js_GazeTargetAtom);
            manager.CreateTempFilterablePopup(js_GazeTargetAtomController);

            manager.CreateTempSlider(js_GazeMaxDistance);
            manager.CreateTempSlider(js_GazeSpeed);

            manager.CreateTempStaticText("Title", "<color=#000><size=35><b>Head Movement</b></size></color>", 40);

            manager.CreateTempSlider(js_GazeMaxHorizontal);
            manager.CreateTempSlider(js_GazeMinVertical);
            manager.CreateTempSlider(js_GazeMaxVertical);

            manager.CreateTempStaticText("Title", "<color=#000><size=35><b>Body Movement</b></size></color>", 40);

            manager.CreateTempSlider(js_GazeChestHFollowThreshold);
            manager.CreateTempSlider(js_GazeHipsHFollowThreshold);           
        }

        protected void ShowGrabSystemUI()
        {
            manager.ClearUI();

            manager.ActiveUIPanel = "Grab";

            manager.CreateTempStaticText("Title", "<color=#000><size=35><b>Grab control System</b></size></color>", 50);

            manager.CreateTempStaticText("Title", "<color=#000><size=35><b>Full Body</b></size></color>", 40);

            manager.CreateTempToggle(js_UseHandGrabToMoveTarget);
            manager.CreateTempToggle(js_UseShoulderGrabToAdaptHeight);
            manager.CreateTempToggle(js_UseHeadGrabCrawlingToAdaptChest);
            manager.CreateTempToggle(js_UseHeadGrabToAdaptBodyYaw);
            manager.CreateTempToggle(js_UseHeadGrabToAdaptBodyPitch);
            manager.CreateTempToggle(js_UseHeadGrabToAdaptBodyRoll);

            manager.CreateTempStaticText("Title", "<color=#000><size=35><b>Body parts position</b></size></color>", 40);

            manager.CreateTempToggle(js_UseHeadGrabToAdaptPosition);
            manager.CreateTempToggle(js_UseChestGrabToAdaptPosition);
            manager.CreateTempToggle(js_UseHipsGrabToAdaptPosition);

            manager.CreateTempToggle(js_UseHandGrabToAdaptPosition);
            manager.CreateTempToggle(js_UseElbowGrabToAdaptPosition);
            manager.CreateTempToggle(js_UseShoulderGrabToAdaptPosition);

            manager.CreateTempToggle(js_UseFootGrabToAdaptPosition);
            manager.CreateTempToggle(js_UseKneeGrabToAdaptPosition);

            manager.CreateTempStaticText("Title", "<color=#000><size=35><b>Body parts rotation</b></size></color>", 40);

            manager.CreateTempToggle(js_UseHeadGrabToAdaptRotation);
            manager.CreateTempToggle(js_UseChestGrabToAdaptRotation);
            manager.CreateTempToggle(js_UseHipsGrabToAdaptRotation);

            manager.CreateTempToggle(js_UseHandGrabToAdaptRotation);
            manager.CreateTempToggle(js_UseFootGrabToAdaptRotation);
        }


        protected void ShowFullBodyUI()
        {
            manager.ClearUI();

            manager.ActiveUIPanel = "FullBodyPose";

            manager.CreateTempStaticText("Title", "<color=#000><size=35><b>Body Position</b></size></color>", 40);

            manager.CreateTempSlider(js_BodyHeight);
            manager.CreateTempSlider(js_BodyForward);
            manager.CreateTempSlider(js_BodySide);

            manager.CreateTempStaticText("Title", "<color=#000><size=35><b>Body Rotation</b></size></color>", 40);

            manager.CreateTempSlider(js_BodyYaw);
            manager.CreateTempSlider(js_BodyPitch);
            manager.CreateTempSlider(js_BodyRoll);

            manager.CreateTempStaticText("Title", "<color=#000><size=35><b>Legs Placement</b></size></color>", 40);

            manager.CreateTempSlider(js_StepsYOffset);
            manager.CreateTempSlider(js_StepsXOffset);
            manager.CreateTempSlider(js_StepsXOffsetIdle);

            manager.CreateTempSpacer(25f);

            manager.CreateTempSlider(js_XOffsetRandom_Min);
            manager.CreateTempSlider(js_XOffsetRandom_Max);

            manager.CreateTempStaticText("Title", "<color=#000><size=35><b>Stance Transitions</b></size></color>", 40);

            manager.CreateTempToggle(js_UseHandsToMove);
            manager.CreateTempSlider(js_HandsTransitionDuration);

            manager.CreateTempSpacer(10f);

            manager.CreateTempToggle(js_UseKneesToMove);
            manager.CreateTempSlider(js_LegsTransitionDuration);

            manager.CreateTempStaticText("Title", "<color=#000><size=35><b>Crawl</b></size></color>", 40);

            manager.CreateTempSlider(js_HandsStepXOffsetIdle);
            manager.CreateTempSlider(js_HandsStepXOffsetMoving);

            manager.CreateTempSlider(js_HandsStepZOffsetIdle);
            manager.CreateTempSlider(js_HandsStepZOffsetMoving);

            
        }

        protected void ShowFullBodyStepsUI()
        {
            manager.ClearUI();

            manager.ActiveUIPanel = "FullBodySteps";

            manager.CreateTempStaticText("Title", "<color=#000><size=35><b>General</b></size></color>", 40);

            manager.CreateTempSlider(js_MoveBothFeetsEachStepFactor);
            manager.CreateTempSlider(js_MoveBothKneesEachStepFactor);

            manager.CreateTempStaticText("Title", "<color=#000><size=35><b>Movement</b></size></color>", 40);

            manager.CreateTempSlider(js_Step_BodyHeight);
            manager.CreateTempSlider(js_Step_BodyForward);
            manager.CreateTempSlider(js_Step_BodySide);

            manager.CreateTempStaticText("Title", "<color=#000><size=35><b>Rotation</b></size></color>", 40);

            manager.CreateTempSlider(js_Step_BodyYaw);
            manager.CreateTempSlider(js_Step_BodyPitch);
            manager.CreateTempSlider(js_Step_BodyRoll);

            manager.CreateTempStaticText("Title", "<color=#000><size=35><b>Movement Timing</b></size></color>", 50);

            manager.CreateTempSlider(js_Step_BodyHeight_MidPoint);
            manager.CreateTempSlider(js_Step_BodySide_MidPoint);
            manager.CreateTempSlider(js_Step_BodyForward_MidPoint);

            manager.CreateTempStaticText("Title", "<color=#000><size=35><b>Rotation Timing</b></size></color>", 40);

            manager.CreateTempSlider(js_Step_BodyYaw_MidPoint);
            manager.CreateTempSlider(js_Step_BodyPitch_MidPoint);
            manager.CreateTempSlider(js_Step_BodyRoll_MidPoint);
        }


        protected void ShowRightLegUI()
        {
            manager.ClearUI();

            manager.ActiveUIPanel = "RightLegPose";

            manager.CreateTempButton("Mirror", Callback_CopyLeg_RightLeft);

            manager.CreateTempStaticText("Title", "<color=#000><size=35><b>Right Foot Position</b></size></color>", 40);

            manager.CreateTempSlider(js_RFootSide);
            manager.CreateTempSlider(js_RFootUpDown);
            manager.CreateTempSlider(js_RFootForward);

            manager.CreateTempStaticText("Title", "<color=#000><size=35><b>Right Foot Rotation</b></size></color>", 40);

            manager.CreateTempSlider(js_RFootYaw);
            manager.CreateTempSlider(js_RFootPitch);
            manager.CreateTempSlider(js_RFootRoll);


            manager.CreateTempStaticText("Title", "<color=#000><size=35><b>Right Knee Position</b></size></color>", 40);

            manager.CreateTempSlider(js_RKneeSide);
            manager.CreateTempSlider(js_RKneeUpDown);
            manager.CreateTempSlider(js_RKneeForward);
        }

        protected void ShowRightLegStepsUI()
        {
            manager.ClearUI();

            manager.ActiveUIPanel = "RightLegSteps";
            manager.CreateTempButton("Mirror", Callback_CopyLeg_RightLeft);

            manager.CreateTempStaticText("Title", "<color=#000><size=35><b>Right Foot Movement</b></size></color>", 40);

            manager.CreateTempSlider(js_RFootStepSide);
            manager.CreateTempSlider(js_RFootStepUpDown);
            manager.CreateTempSlider(js_RFootStepForward);

            manager.CreateTempStaticText("Title", "<color=#000><size=35><b>Right Foot Rotation</b></size></color>", 40);

            manager.CreateTempSlider(js_RFootStepYaw);
            manager.CreateTempSlider(js_RFootStepPitch);
            manager.CreateTempSlider(js_RFootStepRoll);

            manager.CreateTempStaticText("Title", "<color=#000><size=35><b>Right Knee Movement</b></size></color>", 40);

            manager.CreateTempSlider(js_RKneeStepSide);
            manager.CreateTempSlider(js_RKneeStepUpDown);
            manager.CreateTempSlider(js_RKneeStepForward);

            manager.CreateTempStaticText("Title", "<color=#000><size=35><b>Right Foot Movement Timing</b></size></color>", 40);

            manager.CreateTempSlider(js_Step_RFootUpDown_MidPoint);
            manager.CreateTempSlider(js_Step_RFootSide_MidPoint);
            manager.CreateTempSlider(js_Step_RFootForward_MidPoint);

            manager.CreateTempStaticText("Title", "<color=#000><size=35><b>Right Foot Rotation Timing</b></size></color>", 40);

            manager.CreateTempSlider(js_Step_RFootYaw_MidPoint);
            manager.CreateTempSlider(js_Step_RFootPitch_MidPoint);
            manager.CreateTempSlider(js_Step_RFootRoll_MidPoint);

            manager.CreateTempStaticText("Title", "<color=#000><size=35><b>Right Knee Movement Timing</b></size></color>", 40);

            manager.CreateTempSlider(js_Step_RKneeUpDown_MidPoint);
            manager.CreateTempSlider(js_Step_RKneeSide_MidPoint);
            manager.CreateTempSlider(js_Step_RKneeForward_MidPoint);
        }

        protected void ShowLeftLegUI()
        {
            manager.ClearUI();

            manager.ActiveUIPanel = "LeftLegPose";

            manager.CreateTempButton("Mirror", Callback_CopyLeg_LeftRight);

            manager.CreateTempStaticText("Title", "<color=#000><size=35><b>Left Foot Position</b></size></color>", 40);

            manager.CreateTempSlider(js_LFootSide);
            manager.CreateTempSlider(js_LFootUpDown);
            manager.CreateTempSlider(js_LFootForward);

            manager.CreateTempStaticText("Title", "<color=#000><size=35><b>Left Foot Rotation</b></size></color>", 40);

            manager.CreateTempSlider(js_LFootYaw);
            manager.CreateTempSlider(js_LFootPitch);
            manager.CreateTempSlider(js_LFootRoll);

            manager.CreateTempStaticText("Title", "<color=#000><size=35><b>Left Knee Position</b></size></color>", 40);

            manager.CreateTempSlider(js_LKneeSide);
            manager.CreateTempSlider(js_LKneeUpDown);
            manager.CreateTempSlider(js_LKneeForward);
        }

        protected void ShowLeftLegStepsUI()
        {
            manager.ClearUI();

            manager.ActiveUIPanel = "LeftLegSteps";

            manager.CreateTempButton("Mirror", Callback_CopyLeg_LeftRight);

            manager.CreateTempStaticText("Title", "<color=#000><size=35><b>Left Foot Movement</b></size></color>", 40);

            manager.CreateTempSlider(js_LFootStepSide);
            manager.CreateTempSlider(js_LFootStepUpDown);
            manager.CreateTempSlider(js_LFootStepForward);

            manager.CreateTempStaticText("Title", "<color=#000><size=35><b>Left Foot Rotation</b></size></color>", 40);

            manager.CreateTempSlider(js_LFootStepYaw);
            manager.CreateTempSlider(js_LFootStepPitch);
            manager.CreateTempSlider(js_LFootStepRoll);

            manager.CreateTempStaticText("Title", "<color=#000><size=35><b>Left Knee Movement</b></size></color>", 40);

            manager.CreateTempSlider(js_LKneeStepSide);
            manager.CreateTempSlider(js_LKneeStepUpDown);
            manager.CreateTempSlider(js_LKneeStepForward);

            manager.CreateTempStaticText("Title", "<color=#000><size=35><b>Left Foot Movement Timing</b></size></color>", 40);

            manager.CreateTempSlider(js_Step_LFootUpDown_MidPoint);
            manager.CreateTempSlider(js_Step_LFootSide_MidPoint);
            manager.CreateTempSlider(js_Step_LFootForward_MidPoint);

            manager.CreateTempStaticText("Title", "<color=#000><size=35><b>Left Foot Rotation Timing</b></size></color>", 40);

            manager.CreateTempSlider(js_Step_LFootYaw_MidPoint);
            manager.CreateTempSlider(js_Step_LFootPitch_MidPoint);
            manager.CreateTempSlider(js_Step_LFootRoll_MidPoint);

            manager.CreateTempStaticText("Title", "<color=#000><size=35><b>Knee Movement Timing</b></size></color>", 40);

            manager.CreateTempSlider(js_Step_LKneeUpDown_MidPoint);
            manager.CreateTempSlider(js_Step_LKneeSide_MidPoint);
            manager.CreateTempSlider(js_Step_LKneeForward_MidPoint);
        }


        protected void ShowHipsUI()
        {
            manager.ClearUI();

            manager.ActiveUIPanel = "HipsPose";

            manager.CreateTempStaticText("Title", "<color=#000><size=35><b>Hips Position</b></size></color>", 40);

            manager.CreateTempSlider(js_HipsSide);
            manager.CreateTempSlider(js_HipsUpDown);
            manager.CreateTempSlider(js_HipsForward);

            manager.CreateTempStaticText("Title", "<color=#000><size=35><b>Hips Rotation</b></size></color>", 40);

            manager.CreateTempSlider(js_HipsYaw);
            manager.CreateTempSlider(js_HipsPitch);
            manager.CreateTempSlider(js_HipsRoll);          
        }

        protected void ShowHipsStepsUI()
        {
            manager.ClearUI();

            manager.ActiveUIPanel = "HipsSteps";

            manager.CreateTempStaticText("Title", "<color=#000><size=35><b>Hips Movement</b></size></color>", 40);

            manager.CreateTempSlider(js_HipsStepSide);
            manager.CreateTempSlider(js_HipsStepUpDown);
            manager.CreateTempSlider(js_HipsStepForward);

            manager.CreateTempStaticText("Title", "<color=#000><size=35><b>Hips Rotation</b></size></color>", 40);

            manager.CreateTempSlider(js_HipsStepYaw);
            manager.CreateTempSlider(js_HipsStepPitch);
            manager.CreateTempSlider(js_HipsStepRoll);

            manager.CreateTempStaticText("Title", "<color=#000><size=35><b>Hips Movement Timing</b></size></color>", 40);

            manager.CreateTempSlider(js_Step_HipsUpDown_MidPoint);
            manager.CreateTempSlider(js_Step_HipsSide_MidPoint);
            manager.CreateTempSlider(js_Step_HipsForward_MidPoint);

            manager.CreateTempStaticText("Title", "<color=#000><size=35><b>Hips Rotation Timing</b></size></color>", 40);

            manager.CreateTempSlider(js_Step_HipsYaw_MidPoint);
            manager.CreateTempSlider(js_Step_HipsPitch_MidPoint);
            manager.CreateTempSlider(js_Step_HipsRoll_MidPoint);
        }


        protected void ShowChestUI()
        {
            manager.ClearUI();

            manager.ActiveUIPanel = "ChestPose";

            manager.CreateTempStaticText("Title", "<color=#000><size=35><b>Chest Position</b></size></color>", 40);

            manager.CreateTempSlider(js_ChestSide);
            manager.CreateTempSlider(js_ChestUpDown);
            manager.CreateTempSlider(js_ChestForward);

            manager.CreateTempStaticText("Title", "<color=#000><size=35><b>Chest Rotation</b></size></color>", 40);

            manager.CreateTempSlider(js_ChestYaw);
            manager.CreateTempSlider(js_ChestPitch);
            manager.CreateTempSlider(js_ChestRoll);
        }

        protected void ShowChestStepsUI()
        {
            manager.ClearUI();

            manager.ActiveUIPanel = "ChestSteps";

            manager.CreateTempStaticText("Title", "<color=#000><size=35><b>Chest Movement</b></size></color>", 40);

            manager.CreateTempSlider(js_ChestStepSide);
            manager.CreateTempSlider(js_ChestStepUpDown);
            manager.CreateTempSlider(js_ChestStepForward);

            manager.CreateTempStaticText("Title", "<color=#000><size=35><b>Chest Rotation</b></size></color>", 40);

            manager.CreateTempSlider(js_ChestStepYaw);
            manager.CreateTempSlider(js_ChestStepPitch);
            manager.CreateTempSlider(js_ChestStepRoll);

            manager.CreateTempStaticText("Title", "<color=#000><size=35><b>Chest Movement Timing</b></size></color>", 40);

            manager.CreateTempSlider(js_Step_ChestUpDown_MidPoint);
            manager.CreateTempSlider(js_Step_ChestSide_MidPoint);
            manager.CreateTempSlider(js_Step_ChestForward_MidPoint);

            manager.CreateTempStaticText("Title", "<color=#000><size=35><b>Chest Rotation Timing</b></size></color>", 40);

            manager.CreateTempSlider(js_Step_ChestYaw_MidPoint);
            manager.CreateTempSlider(js_Step_ChestPitch_MidPoint);
            manager.CreateTempSlider(js_Step_ChestRoll_MidPoint);
        }


        protected void ShowHeadUI()
        {
            manager.ClearUI();

            manager.ActiveUIPanel = "HeadPose";

            manager.CreateTempStaticText("Title", "<color=#000><size=35><b>Head Position</b></size></color>", 40);

            manager.CreateTempSlider(js_HeadSide);
            manager.CreateTempSlider(js_HeadUpDown);
            manager.CreateTempSlider(js_HeadForward);

            manager.CreateTempStaticText("Title", "<color=#000><size=35><b>Head Rotation</b></size></color>", 40);

            manager.CreateTempSlider(js_HeadYaw);
            manager.CreateTempSlider(js_HeadPitch);
            manager.CreateTempSlider(js_HeadRoll); 
        }

        protected void ShowHeadStepsUI()
        {
            manager.ClearUI();

            manager.ActiveUIPanel = "HeadSteps";

            manager.CreateTempStaticText("Title", "<color=#000><size=35><b>Head Movement</b></size></color>", 40);

            manager.CreateTempSlider(js_HeadStepSide);
            manager.CreateTempSlider(js_HeadStepUpDown);
            manager.CreateTempSlider(js_HeadStepForward);

            manager.CreateTempStaticText("Title", "<color=#000><size=35><b>Head Rotation</b></size></color>", 40);

            manager.CreateTempSlider(js_HeadStepYaw);
            manager.CreateTempSlider(js_HeadStepPitch);
            manager.CreateTempSlider(js_HeadStepRoll);

            manager.CreateTempStaticText("Title", "<color=#000><size=35><b>Head Movement Timing</b></size></color>", 40);

            manager.CreateTempSlider(js_Step_HeadUpDown_MidPoint);
            manager.CreateTempSlider(js_Step_HeadSide_MidPoint);
            manager.CreateTempSlider(js_Step_HeadForward_MidPoint);

            manager.CreateTempStaticText("Title", "<color=#000><size=35><b>Head Rotation Timing</b></size></color>", 40);

            manager.CreateTempSlider(js_Step_HeadYaw_MidPoint);
            manager.CreateTempSlider(js_Step_HeadPitch_MidPoint);
            manager.CreateTempSlider(js_Step_HeadRoll_MidPoint);
        }


        protected void ShowLeftArmUI()
        {
            manager.ClearUI();

            manager.ActiveUIPanel = "LeftArmPose";

            manager.CreateTempButton("Mirror", Callback_CopyArm_LeftRight);
            manager.CreateTempSlider(js_LArmFollowBody);

            manager.CreateTempStaticText("Title", "<color=#000><size=35><b>Left Hand Position</b></size></color>", 40);

            manager.CreateTempSlider(js_LHandSide);
            manager.CreateTempSlider(js_LHandUpDown);
            manager.CreateTempSlider(js_LHandForward);

            manager.CreateTempStaticText("Title", "<color=#000><size=35><b>Left Hand Rotation</b></size></color>", 40);

            manager.CreateTempSlider(js_LHandYaw);
            manager.CreateTempSlider(js_LHandPitch);
            manager.CreateTempSlider(js_LHandRoll);

            manager.CreateTempStaticText("Title", "<color=#000><size=35><b>Left Shoulder Position</b></size></color>", 40);

            manager.CreateTempSlider(js_LShoulderSide);
            manager.CreateTempSlider(js_LShoulderUpDown);
            manager.CreateTempSlider(js_LShoulderForward);

            manager.CreateTempStaticText("Title", "<color=#000><size=35><b>Left Elbow Position</b></size></color>", 40);

            manager.CreateTempSlider(js_LElbowSide);
            manager.CreateTempSlider(js_LElbowUpDown);
            manager.CreateTempSlider(js_LElbowForward);
        }

        protected void ShowLeftArmStepsUI()
        {
            manager.ClearUI();

            manager.ActiveUIPanel = "LeftArmSteps";

            manager.CreateTempButton("Mirror", Callback_CopyArm_LeftRight);

            manager.CreateTempStaticText("Title", "<color=#000><size=35><b>Left Hand Movement</b></size></color>", 40);

            manager.CreateTempSlider(js_LHandStepSide);
            manager.CreateTempSlider(js_LHandStepUpDown);
            manager.CreateTempSlider(js_LHandStepForward);

            manager.CreateTempStaticText("Title", "<color=#000><size=35><b>Left Hand Rotation</b></size></color>", 40);

            manager.CreateTempSlider(js_LHandStepYaw);
            manager.CreateTempSlider(js_LHandStepPitch);
            manager.CreateTempSlider(js_LHandStepRoll);

            manager.CreateTempStaticText("Title", "<color=#000><size=35><b>Left Elbow Movement</b></size></color>", 40);

            manager.CreateTempSlider(js_LElbowStepSide);
            manager.CreateTempSlider(js_LElbowStepUpDown);
            manager.CreateTempSlider(js_LElbowStepForward);

            manager.CreateTempStaticText("Title", "<color=#000><size=35><b>Left Shoulder Movement</b></size></color>", 40);

            manager.CreateTempSlider(js_LShoulderStepSide);
            manager.CreateTempSlider(js_LShoulderStepUpDown);
            manager.CreateTempSlider(js_LShoulderStepForward);

            manager.CreateTempStaticText("Title", "<color=#000><size=35><b>Left Hand Movement Timing</b></size></color>", 40);

            manager.CreateTempSlider(js_Step_LHandUpDown_MidPoint);
            manager.CreateTempSlider(js_Step_LHandSide_MidPoint);
            manager.CreateTempSlider(js_Step_LHandForward_MidPoint);

            manager.CreateTempStaticText("Title", "<color=#000><size=35><b>Left Hand Rotation Timing</b></size></color>", 40);

            manager.CreateTempSlider(js_Step_LHandYaw_MidPoint);
            manager.CreateTempSlider(js_Step_LHandPitch_MidPoint);
            manager.CreateTempSlider(js_Step_LHandRoll_MidPoint);

            manager.CreateTempStaticText("Title", "<color=#000><size=35><b>Left Elbow Movement Timing</b></size></color>", 40);

            manager.CreateTempSlider(js_Step_LElbowUpDown_MidPoint);
            manager.CreateTempSlider(js_Step_LElbowSide_MidPoint);
            manager.CreateTempSlider(js_Step_LElbowForward_MidPoint);

            manager.CreateTempStaticText("Title", "<color=#000><size=35><b>Left Shoulder Movement Timing</b></size></color>", 40);

            manager.CreateTempSlider(js_Step_LShoulderUpDown_MidPoint);
            manager.CreateTempSlider(js_Step_LShoulderSide_MidPoint);
            manager.CreateTempSlider(js_Step_LShoulderForward_MidPoint);
        }

        protected void ShowRightArmUI()
        {
            manager.ClearUI();

            manager.ActiveUIPanel = "RightArmPose";

            manager.CreateTempButton("Mirror", Callback_CopyArm_RightLeft);         
            manager.CreateTempSlider(js_RArmFollowBody);

            manager.CreateTempStaticText("Title", "<color=#000><size=35><b>Right Hand Position</b></size></color>", 40);

            manager.CreateTempSlider(js_RHandSide);
            manager.CreateTempSlider(js_RHandUpDown);
            manager.CreateTempSlider(js_RHandForward);

            manager.CreateTempStaticText("Title", "<color=#000><size=35><b>Right Rotation</b></size></color>", 40);

            manager.CreateTempSlider(js_RHandYaw);
            manager.CreateTempSlider(js_RHandPitch);
            manager.CreateTempSlider(js_RHandRoll);

            manager.CreateTempStaticText("Title", "<color=#000><size=35><b>Right Shoulder Position</b></size></color>", 40);

            manager.CreateTempSlider(js_RShoulderSide);
            manager.CreateTempSlider(js_RShoulderUpDown);
            manager.CreateTempSlider(js_RShoulderForward);

            manager.CreateTempStaticText("Title", "<color=#000><size=35><b>Right Elbow Position</b></size></color>", 40);

            manager.CreateTempSlider(js_RElbowSide);
            manager.CreateTempSlider(js_RElbowUpDown);
            manager.CreateTempSlider(js_RElbowForward);
        }

        protected void ShowRightArmStepsUI()
        {
            manager.ClearUI();

            manager.ActiveUIPanel = "RightArmSteps";

            manager.CreateTempButton("Mirror", Callback_CopyArm_RightLeft);

            manager.CreateTempStaticText("Title", "<color=#000><size=35><b>Right Hand Movement</b></size></color>", 40);

            manager.CreateTempSlider(js_RHandStepSide);
            manager.CreateTempSlider(js_RHandStepUpDown);
            manager.CreateTempSlider(js_RHandStepForward);

            manager.CreateTempStaticText("Title", "<color=#000><size=35><b>Right Hand Rotation</b></size></color>", 40);

            manager.CreateTempSlider(js_RHandStepYaw);
            manager.CreateTempSlider(js_RHandStepPitch);
            manager.CreateTempSlider(js_RHandStepRoll);

            manager.CreateTempStaticText("Title", "<color=#000><size=35><b>Right Elbow Movement</b></size></color>", 40);

            manager.CreateTempSlider(js_RElbowStepSide);
            manager.CreateTempSlider(js_RElbowStepUpDown);
            manager.CreateTempSlider(js_RElbowStepForward);

            manager.CreateTempStaticText("Title", "<color=#000><size=35><b>Right Shoulder Movement</b></size></color>", 40);

            manager.CreateTempSlider(js_RShoulderStepSide);
            manager.CreateTempSlider(js_RShoulderStepUpDown);
            manager.CreateTempSlider(js_RShoulderStepForward);

            manager.CreateTempStaticText("Title", "<color=#000><size=35><b>Right Hand Movement Timing</b></size></color>", 40);

            manager.CreateTempSlider(js_Step_RHandUpDown_MidPoint);
            manager.CreateTempSlider(js_Step_RHandSide_MidPoint);
            manager.CreateTempSlider(js_Step_RHandForward_MidPoint);

            manager.CreateTempStaticText("Title", "<color=#000><size=35><b>Right Hand Rotation Timing</b></size></color>", 40);

            manager.CreateTempSlider(js_Step_RHandYaw_MidPoint);
            manager.CreateTempSlider(js_Step_RHandPitch_MidPoint);
            manager.CreateTempSlider(js_Step_RHandRoll_MidPoint);

            manager.CreateTempStaticText("Title", "<color=#000><size=35><b>Right Elbow Movement Timing</b></size></color>", 40);

            manager.CreateTempSlider(js_Step_RElbowUpDown_MidPoint);
            manager.CreateTempSlider(js_Step_RElbowSide_MidPoint);
            manager.CreateTempSlider(js_Step_RElbowForward_MidPoint);

            manager.CreateTempStaticText("Title", "<color=#000><size=35><b>Right Shoulder Movement Timing</b></size></color>", 40);

            manager.CreateTempSlider(js_Step_RShoulderUpDown_MidPoint);
            manager.CreateTempSlider(js_Step_RShoulderSide_MidPoint);
            manager.CreateTempSlider(js_Step_RShoulderForward_MidPoint);
        }


        public override void BodyControllerPresetsUI()
        {
            manager.CreateTempStaticText("Title", "<color=#000><size=35><b>FullBody</b></size></color>", 40);

            manager.CreateTempSlider(js_LoadGeneral);

            manager.CreateTempButton("Toggle All", Callback_ToggleAllPresets);

            manager.CreateTempSpacer(25f);

            manager.CreateTempToggle(js_LoadFullBody);

            if (js_LoadFullBody.val)
            {
                manager.CreateTempSlider(js_LoadFullBody_Duration);
                manager.CreateTempSlider(js_LoadFullBody_Delay);
            }

            manager.CreateTempStaticText("Title", "<color=#000><size=35><b>Timing</b></size></color>", 40);

            manager.CreateTempToggle(js_LoadTiming);

            if (js_LoadTiming.val)
            {
                manager.CreateTempSlider(js_LoadTiming_Duration);
                manager.CreateTempSlider(js_LoadTiming_Delay);
            }

            manager.CreateTempStaticText("Title", "<color=#000><size=35><b>Actions</b></size></color>", 40);

            manager.CreateTempToggle(js_LoadActions);

            if (js_LoadActions.val)
            {
                manager.CreateTempSlider(js_LoadActions_Duration);
                manager.CreateTempSlider(js_LoadActions_Delay);
            }

            manager.CreateTempStaticText("Title", "<color=#000><size=35><b>Dance</b></size></color>", 40);

            manager.CreateTempToggle(js_LoadDance);

            if (js_LoadDance.val)
            {
                manager.CreateTempSlider(js_LoadDance_Duration);
                manager.CreateTempSlider(js_LoadDance_Delay);
            }

            manager.CreateTempStaticText("Title", "<color=#000><size=35><b>Gaze</b></size></color>", 40);

            manager.CreateTempToggle(js_LoadGaze);

            if (js_LoadGaze.val)
            {
                manager.CreateTempSlider(js_LoadGaze_Duration);
                manager.CreateTempSlider(js_LoadGaze_Delay);
            }

            manager.CreateTempStaticText("Title", "<color=#000><size=35><b>Head</b></size></color>", 40);

            manager.CreateTempToggle(js_LoadHead);

            if (js_LoadHead.val)
            {
                manager.CreateTempSlider(js_LoadHead_Duration);
                manager.CreateTempSlider(js_LoadHead_Delay);
            }

            manager.CreateTempStaticText("Title", "<color=#000><size=35><b>Chest</b></size></color>", 40);

            manager.CreateTempToggle(js_LoadChest);

            if (js_LoadChest.val)
            {
                manager.CreateTempSlider(js_LoadChest_Duration);
                manager.CreateTempSlider(js_LoadChest_Delay);
            }

            manager.CreateTempStaticText("Title", "<color=#000><size=35><b>Hips</b></size></color>", 40);

            manager.CreateTempToggle(js_LoadHips);

            if (js_LoadHips.val)
            {
                manager.CreateTempSlider(js_LoadHips_Duration);
                manager.CreateTempSlider(js_LoadHips_Delay);
            }

            manager.CreateTempStaticText("Title", "<color=#000><size=35><b>Right Foot</b></size></color>", 40);

            manager.CreateTempToggle(js_LoadRightFoot);

            if (js_LoadRightFoot.val)
            {
                manager.CreateTempSlider(js_LoadRightFoot_Duration);
                manager.CreateTempSlider(js_LoadRightFoot_Delay);
            }

            manager.CreateTempStaticText("Title", "<color=#000><size=35><b>Left Foot</b></size></color>", 40);

            manager.CreateTempToggle(js_LoadLeftFoot);

            if (js_LoadLeftFoot.val)
            {
                manager.CreateTempSlider(js_LoadLeftFoot_Duration);
                manager.CreateTempSlider(js_LoadLeftFoot_Delay);
            }

            manager.CreateTempStaticText("Title", "<color=#000><size=35><b>Right Knee</b></size></color>", 40);

            manager.CreateTempToggle(js_LoadRightKnee);

            if (js_LoadRightKnee.val)
            {
                manager.CreateTempSlider(js_LoadRightKnee_Duration);
                manager.CreateTempSlider(js_LoadRightKnee_Delay);
            }

            manager.CreateTempSpacer(25f);

            manager.CreateTempStaticText("Title", "<color=#000><size=35><b>Left Knee</b></size></color>", 40);

            manager.CreateTempToggle(js_LoadLeftKnee);

            if (js_LoadLeftKnee.val)
            {
                manager.CreateTempSlider(js_LoadLeftKnee_Duration);
                manager.CreateTempSlider(js_LoadLeftKnee_Delay);
            }

            manager.CreateTempStaticText("Title", "<color=#000><size=35><b>Right Hand</b></size></color>", 40);

            manager.CreateTempToggle(js_LoadRightHand);

            if (js_LoadRightHand.val)
            {
                manager.CreateTempSlider(js_LoadRightHand_Duration);
                manager.CreateTempSlider(js_LoadRightHand_Delay);
            }

            manager.CreateTempStaticText("Title", "<color=#000><size=35><b>Left Hand</b></size></color>", 40);

            manager.CreateTempToggle(js_LoadLeftHand);

            if (js_LoadLeftHand.val)
            {
                manager.CreateTempSlider(js_LoadLeftHand_Duration);
                manager.CreateTempSlider(js_LoadLeftHand_Delay);
            }

            manager.CreateTempStaticText("Title", "<color=#000><size=35><b>Right Elbow</b></size></color>", 40);

            manager.CreateTempToggle(js_LoadRightElbow);

            if (js_LoadRightElbow.val)
            {
                manager.CreateTempSlider(js_LoadRightElbow_Duration);
                manager.CreateTempSlider(js_LoadRightElbow_Delay);
            }

            manager.CreateTempStaticText("Title", "<color=#000><size=35><b>Left Elbow</b></size></color>", 40);

            manager.CreateTempToggle(js_LoadLeftElbow);

            if (js_LoadLeftElbow.val)
            {
                manager.CreateTempSlider(js_LoadLeftElbow_Duration);
                manager.CreateTempSlider(js_LoadLeftElbow_Delay);
            }

            manager.CreateTempStaticText("Title", "<color=#000><size=35><b>Right Shoulder</b></size></color>", 40);

            manager.CreateTempToggle(js_LoadRightShoulder);

            if (js_LoadRightShoulder.val)
            {
                manager.CreateTempSlider(js_LoadRightShoulder_Duration);
                manager.CreateTempSlider(js_LoadRightShoulder_Delay);
            }

            manager.CreateTempStaticText("Title", "<color=#000><size=35><b>Left Shoulder</b></size></color>", 40);

            manager.CreateTempToggle(js_LoadLeftShoulder);

            if (js_LoadLeftShoulder.val)
            {
                manager.CreateTempSlider(js_LoadLeftShoulder_Duration);
                manager.CreateTempSlider(js_LoadLeftShoulder_Delay);
            }
        }

        public override void BodyControllerTriggersUI()
        {

        }

        public override void BodyControllerMovementUI()
        {

        }


        public void Callback_PresetToggleChanged(bool state)
        {
            if (manager.ActiveUIPanel == "Presets")
            {
                manager.CreatePresetsUI();
            }
        }

        public void Callback_DanceToggleChanged(bool state)
        {
            if (manager.ActiveUIPanel == "Dance")
            {
                ShowDanceUI();
            }
        }

        public void Callback_ToggleAllPresets()
        {
            bool _val = !js_LoadFullBody.val;

            js_LoadFullBody.val = _val;
            js_LoadTiming.val = _val;
            js_LoadActions.val = _val;
            js_LoadGaze.val = _val;
            js_LoadDance.val = _val;
            js_LoadRightHand.val = _val;
            js_LoadLeftHand.val = _val;
            js_LoadRightElbow.val = _val;
            js_LoadLeftElbow.val = _val;
            js_LoadRightShoulder.val = _val;
            js_LoadLeftShoulder.val = _val;
            js_LoadRightFoot.val = _val;
            js_LoadLeftFoot.val = _val;
            js_LoadRightKnee.val = _val;
            js_LoadLeftKnee.val = _val;
            js_LoadHead.val = _val;
            js_LoadChest.val = _val;
            js_LoadHips.val = _val;
        }

        #endregion

        #region Preset System

        /* Presets */

        protected AnimationCurve transitionCurve;

        protected bool presetTransition_Fullbody = false;
        protected float presetTransition_Fullbody_StartTime = 0;
        protected List<float> preset_FullBody_StartData, preset_FullBody_EndData;

        protected bool presetTransition_Timing = false;
        protected float presetTransition_Timing_StartTime = 0;
        protected List<float> preset_Timing_StartData, preset_Timing_EndData;

        protected bool presetTransition_Dance = false;
        protected float presetTransition_Dance_StartTime = 0;
        protected List<float> preset_Dance_StartData, preset_Dance_EndData;

        protected bool presetTransition_Actions = false;
        protected float presetTransition_Actions_StartTime = 0;
        protected List<float> preset_Actions_StartData, preset_Actions_EndData;

        protected bool presetTransition_Gaze = false;
        protected float presetTransition_Gaze_StartTime = 0;
        protected List<float> preset_Gaze_StartData, preset_Gaze_EndData;

        protected bool presetTransition_Hips = false;
        protected float presetTransition_Hips_StartTime = 0;
        protected List<float> preset_Hips_StartData, preset_Hips_EndData;

        protected bool presetTransition_Chest = false;
        protected float presetTransition_Chest_StartTime = 0;
        protected List<float> preset_Chest_StartData, preset_Chest_EndData;

        protected bool presetTransition_Head = false;
        protected float presetTransition_Head_StartTime = 0;
        protected List<float> preset_Head_StartData, preset_Head_EndData;

        protected bool presetTransition_RightFoot = false;
        protected float presetTransition_RightFoot_StartTime = 0;
        protected List<float> preset_RightFoot_StartData, preset_RightFoot_EndData;

        protected bool presetTransition_LeftFoot = false;
        protected float presetTransition_LeftFoot_StartTime = 0;
        protected List<float> preset_LeftFoot_StartData, preset_LeftFoot_EndData;

        protected bool presetTransition_RightKnee = false;
        protected float presetTransition_RightKnee_StartTime = 0;
        protected List<float> preset_RightKnee_StartData, preset_RightKnee_EndData;

        protected bool presetTransition_LeftKnee = false;
        protected float presetTransition_LeftKnee_StartTime = 0;
        protected List<float> preset_LeftKnee_StartData, preset_LeftKnee_EndData;

        protected bool presetTransition_RightHand = false;
        protected float presetTransition_RightHand_StartTime = 0;
        protected List<float> preset_RightHand_StartData, preset_RightHand_EndData;

        protected bool presetTransition_LeftHand = false;
        protected float presetTransition_LeftHand_StartTime = 0;
        protected List<float> preset_LeftHand_StartData, preset_LeftHand_EndData;

        protected bool presetTransition_RightElbow = false;
        protected float presetTransition_RightElbow_StartTime = 0;
        protected List<float> preset_RightElbow_StartData, preset_RightElbow_EndData;

        protected bool presetTransition_LeftElbow = false;
        protected float presetTransition_LeftElbow_StartTime = 0;
        protected List<float> preset_LeftElbow_StartData, preset_LeftElbow_EndData;

        protected bool presetTransition_RightShoulder = false;
        protected float presetTransition_RightShoulder_StartTime = 0;
        protected List<float> preset_RightShoulder_StartData, preset_RightShoulder_EndData;

        protected bool presetTransition_LeftShoulder = false;
        protected float presetTransition_LeftShoulder_StartTime = 0;
        protected List<float> preset_LeftShoulder_StartData, preset_LeftShoulder_EndData;

        List<JSONStorableFloat> storables_Presets;
        List<JSONStorableFloat> storables_Fullbody;
        List<JSONStorableFloat> storables_Timing;
        List<JSONStorableFloat> storables_Dance;
        List<JSONStorableFloat> storables_Actions;
        List<JSONStorableFloat> storables_Gaze;
        List<JSONStorableFloat> storables_Hips;
        List<JSONStorableFloat> storables_Chest;
        List<JSONStorableFloat> storables_Head;
        List<JSONStorableFloat> storables_RightFoot;
        List<JSONStorableFloat> storables_LeftFoot;
        List<JSONStorableFloat> storables_RightKnee;
        List<JSONStorableFloat> storables_LeftKnee;
        List<JSONStorableFloat> storables_RightHand;
        List<JSONStorableFloat> storables_LeftHand;
        List<JSONStorableFloat> storables_RightElbow;
        List<JSONStorableFloat> storables_LeftElbow;
        List<JSONStorableFloat> storables_RightShoulder;
        List<JSONStorableFloat> storables_LeftShoulder;
        List<JSONStorableBool> storables_Toggles;

        private float transitionTime = 0;

        protected void UpdatePresetTransition()
        {
            if (presetTransition_Fullbody)
            {
                transitionTime = transitionCurve.Evaluate(Mathf.Clamp01((Time.time - presetTransition_Fullbody_StartTime - js_LoadFullBody_Delay.val) / (js_LoadFullBody_Duration.val * js_LoadGeneral.val)));

                for(int i = 0; i < storables_Fullbody.Count; i++)
                {
                    storables_Fullbody[i].val = Mathf.Lerp(preset_FullBody_StartData[i], preset_FullBody_EndData[i], transitionTime);
                }

                if (transitionTime >= 1)
                    presetTransition_Fullbody = false;
            }

            if(presetTransition_Timing)
            {
                transitionTime = transitionCurve.Evaluate(Mathf.Clamp01((Time.time - presetTransition_Timing_StartTime - js_LoadTiming_Delay.val) / (js_LoadTiming_Duration.val * js_LoadGeneral.val)));

                for (int i = 0; i < storables_Timing.Count; i++)
                {
                    storables_Timing[i].val = Mathf.Lerp(preset_Timing_StartData[i], preset_Timing_EndData[i], transitionTime);
                }

                if (transitionTime >= 1)
                    presetTransition_Timing = false;
            }

            if (presetTransition_Dance)
            {
                transitionTime = transitionCurve.Evaluate(Mathf.Clamp01((Time.time - presetTransition_Dance_StartTime - js_LoadDance_Delay.val) / (js_LoadDance_Duration.val * js_LoadGeneral.val)));

                for (int i = 0; i < storables_Dance.Count; i++)
                {
                    storables_Dance[i].val = Mathf.Lerp(preset_Dance_StartData[i], preset_Dance_EndData[i], transitionTime);
                }

                if (transitionTime >= 1)
                    presetTransition_Dance = false;
            }

            if (presetTransition_Actions)
            {
                transitionTime = transitionCurve.Evaluate(Mathf.Clamp01((Time.time - presetTransition_Actions_StartTime - js_LoadActions_Delay.val) / (js_LoadActions_Duration.val * js_LoadGeneral.val)));

                for (int i = 0; i < storables_Actions.Count; i++)
                {
                    storables_Actions[i].val = Mathf.Lerp(preset_Actions_StartData[i], preset_Actions_EndData[i], transitionTime);
                }

                if (transitionTime >= 1)
                    presetTransition_Actions = false;
            }

            if (presetTransition_Gaze)
            {
                transitionTime = transitionCurve.Evaluate(Mathf.Clamp01((Time.time - presetTransition_Gaze_StartTime - js_LoadGaze_Delay.val) / (js_LoadGaze_Duration.val * js_LoadGeneral.val)));

                for (int i = 0; i < storables_Gaze.Count; i++)
                {
                    storables_Gaze[i].val = Mathf.Lerp(preset_Gaze_StartData[i], preset_Gaze_EndData[i], transitionTime);
                }

                if (transitionTime >= 1)
                    presetTransition_Gaze = false;
            }

            if (presetTransition_Hips)
            {
                transitionTime = transitionCurve.Evaluate(Mathf.Clamp01((Time.time - presetTransition_Hips_StartTime - js_LoadHips_Delay.val) / (js_LoadHips_Duration.val * js_LoadGeneral.val)));

                for (int i = 0; i < storables_Hips.Count; i++)
                {
                    storables_Hips[i].val = Mathf.Lerp(preset_Hips_StartData[i], preset_Hips_EndData[i], transitionTime);
                }

                if (transitionTime >= 1)
                    presetTransition_Hips = false;
            }

            if (presetTransition_Chest)
            {
                transitionTime = transitionCurve.Evaluate(Mathf.Clamp01((Time.time - presetTransition_Chest_StartTime - js_LoadChest_Delay.val) / (js_LoadChest_Duration.val * js_LoadGeneral.val)));

                for (int i = 0; i < storables_Chest.Count; i++)
                {
                    storables_Chest[i].val = Mathf.Lerp(preset_Chest_StartData[i], preset_Chest_EndData[i], transitionTime);
                }

                if (transitionTime >= 1)
                    presetTransition_Chest = false;
            }

            if (presetTransition_Head)
            {
                transitionTime = transitionCurve.Evaluate(Mathf.Clamp01((Time.time - presetTransition_Head_StartTime - js_LoadHead_Delay.val) / (js_LoadHead_Duration.val * js_LoadGeneral.val)));

                for (int i = 0; i < storables_Head.Count; i++)
                {
                    storables_Head[i].val = Mathf.Lerp(preset_Head_StartData[i], preset_Head_EndData[i], transitionTime);
                }

                if (transitionTime >= 1)
                    presetTransition_Head = false;
            }

            if (presetTransition_RightFoot)
            {
                transitionTime = transitionCurve.Evaluate(Mathf.Clamp01((Time.time - presetTransition_RightFoot_StartTime - js_LoadRightFoot_Delay.val) / (js_LoadRightFoot_Duration.val * js_LoadGeneral.val)));

                for (int i = 0; i < storables_RightFoot.Count; i++)
                {
                    storables_RightFoot[i].val = Mathf.Lerp(preset_RightFoot_StartData[i], preset_RightFoot_EndData[i], transitionTime);
                }

                if (transitionTime >= 1)
                    presetTransition_RightFoot = false;
            }

            if (presetTransition_LeftFoot)
            {
                transitionTime = transitionCurve.Evaluate(Mathf.Clamp01((Time.time - presetTransition_LeftFoot_StartTime - js_LoadLeftFoot_Delay.val) / (js_LoadLeftFoot_Duration.val * js_LoadGeneral.val)));

                for (int i = 0; i < storables_LeftFoot.Count; i++)
                {
                    storables_LeftFoot[i].val = Mathf.Lerp(preset_LeftFoot_StartData[i], preset_LeftFoot_EndData[i], transitionTime);
                }

                if (transitionTime >= 1)
                    presetTransition_LeftFoot = false;
            }

            if (presetTransition_RightKnee)
            {
                transitionTime = transitionCurve.Evaluate(Mathf.Clamp01((Time.time - presetTransition_RightKnee_StartTime - js_LoadRightKnee_Delay.val) / (js_LoadRightKnee_Duration.val * js_LoadGeneral.val)));

                for (int i = 0; i < storables_RightKnee.Count; i++)
                {
                    storables_RightKnee[i].val = Mathf.Lerp(preset_RightKnee_StartData[i], preset_RightKnee_EndData[i], transitionTime);
                }

                if (transitionTime >= 1)
                    presetTransition_RightKnee = false;
            }

            if (presetTransition_LeftKnee)
            {
                transitionTime = transitionCurve.Evaluate(Mathf.Clamp01((Time.time - presetTransition_LeftKnee_StartTime - js_LoadLeftKnee_Delay.val) / (js_LoadLeftKnee_Duration.val * js_LoadGeneral.val)));

                for (int i = 0; i < storables_LeftKnee.Count; i++)
                {
                    storables_LeftKnee[i].val = Mathf.Lerp(preset_LeftKnee_StartData[i], preset_LeftKnee_EndData[i], transitionTime);
                }

                if (transitionTime >= 1)
                    presetTransition_LeftKnee = false;
            }

            if (presetTransition_RightHand)
            {
                transitionTime = transitionCurve.Evaluate(Mathf.Clamp01((Time.time - presetTransition_RightHand_StartTime - js_LoadRightHand_Delay.val) / (js_LoadRightHand_Duration.val * js_LoadGeneral.val)));

                for (int i = 0; i < storables_RightHand.Count; i++)
                {
                    storables_RightHand[i].val = Mathf.Lerp(preset_RightHand_StartData[i], preset_RightHand_EndData[i], transitionTime);
                }

                if (transitionTime >= 1)
                    presetTransition_RightHand = false;
            }

            if (presetTransition_LeftHand)
            {
                transitionTime = transitionCurve.Evaluate(Mathf.Clamp01((Time.time - presetTransition_LeftHand_StartTime - js_LoadLeftHand_Delay.val) / (js_LoadLeftHand_Duration.val * js_LoadGeneral.val)));

                for (int i = 0; i < storables_LeftHand.Count; i++)
                {
                    storables_LeftHand[i].val = Mathf.Lerp(preset_LeftHand_StartData[i], preset_LeftHand_EndData[i], transitionTime);
                }

                if (transitionTime >= 1)
                    presetTransition_LeftHand = false;
            }

            if (presetTransition_RightElbow)
            {
                transitionTime = transitionCurve.Evaluate(Mathf.Clamp01((Time.time - presetTransition_RightElbow_StartTime - js_LoadRightElbow_Delay.val) / (js_LoadRightElbow_Duration.val * js_LoadGeneral.val)));

                for (int i = 0; i < storables_RightElbow.Count; i++)
                {
                    storables_RightElbow[i].val = Mathf.Lerp(preset_RightElbow_StartData[i], preset_RightElbow_EndData[i], transitionTime);
                }

                if (transitionTime >= 1)
                    presetTransition_RightElbow = false;
            }

            if (presetTransition_LeftElbow)
            {
                transitionTime = transitionCurve.Evaluate(Mathf.Clamp01((Time.time - presetTransition_LeftElbow_StartTime - js_LoadLeftElbow_Delay.val) / (js_LoadLeftElbow_Duration.val * js_LoadGeneral.val)));

                for (int i = 0; i < storables_RightElbow.Count; i++)
                {
                    storables_LeftElbow[i].val = Mathf.Lerp(preset_LeftElbow_StartData[i], preset_LeftElbow_EndData[i], transitionTime);
                }

                if (transitionTime >= 1)
                    presetTransition_LeftElbow = false;
            }

            if (presetTransition_RightShoulder)
            {
                transitionTime = transitionCurve.Evaluate(Mathf.Clamp01((Time.time - presetTransition_RightShoulder_StartTime - js_LoadRightShoulder_Delay.val) / (js_LoadRightShoulder_Duration.val * js_LoadGeneral.val)));

                for (int i = 0; i < storables_RightShoulder.Count; i++)
                {
                    storables_RightShoulder[i].val = Mathf.Lerp(preset_RightShoulder_StartData[i], preset_RightShoulder_EndData[i], transitionTime);
                }

                if (transitionTime >= 1)
                    presetTransition_RightShoulder = false;
            }

            if (presetTransition_LeftShoulder)
            {
                transitionTime = transitionCurve.Evaluate(Mathf.Clamp01((Time.time - presetTransition_LeftShoulder_StartTime - js_LoadLeftShoulder_Delay.val) / (js_LoadLeftShoulder_Duration.val * js_LoadGeneral.val)));

                for (int i = 0; i < storables_LeftShoulder.Count; i++)
                {
                    storables_LeftShoulder[i].val = Mathf.Lerp(preset_LeftShoulder_StartData[i], preset_LeftShoulder_EndData[i], transitionTime);
                }

                if (transitionTime >= 1)
                    presetTransition_LeftShoulder = false;
            }
        }

        public override JSONClass GetAllBodyParameters()
        {
            JSONClass _saveJSON = new JSONClass();

            _saveJSON["storables_Toggles"] = new JSONArray();
            _saveJSON["storables_Presets"] = new JSONArray();
            _saveJSON["storables_Fullbody"] = new JSONArray();
            _saveJSON["storables_Timing"] = new JSONArray();
            _saveJSON["storables_Dance"] = new JSONArray();
            _saveJSON["storables_Actions"] = new JSONArray();
            _saveJSON["storables_Gaze"] = new JSONArray();
            _saveJSON["storables_Hips"] = new JSONArray();
            _saveJSON["storables_Chest"] = new JSONArray();
            _saveJSON["storables_Head"] = new JSONArray();
            _saveJSON["storables_RightFoot"] = new JSONArray();
            _saveJSON["storables_LeftFoot"] = new JSONArray();
            _saveJSON["storables_RightKnee"] = new JSONArray();
            _saveJSON["storables_LeftKnee"] = new JSONArray();
            _saveJSON["storables_RightHand"] = new JSONArray();
            _saveJSON["storables_LeftHand"] = new JSONArray();
            _saveJSON["storables_RightElbow"] = new JSONArray();
            _saveJSON["storables_LeftElbow"] = new JSONArray();
            _saveJSON["storables_RightShoulder"] = new JSONArray();
            _saveJSON["storables_LeftShoulder"] = new JSONArray();

            for (int i = 0; i < storables_Toggles.Count; i++)
            {
                _saveJSON["storables_Toggles"].Add(storables_Toggles[i].val.ToString());
            }

            for (int i = 0; i < storables_Presets.Count; i++)
            {
                _saveJSON["storables_Presets"].Add(storables_Presets[i].val.ToString());
            }

            for (int i = 0; i < storables_Fullbody.Count; i++)
            {
                _saveJSON["storables_Fullbody"].Add(storables_Fullbody[i].val.ToString());
            }

            for (int i = 0; i < storables_Timing.Count; i++)
            {
                _saveJSON["storables_Timing"].Add(storables_Timing[i].val.ToString());
            }

            for (int i = 0; i < storables_Dance.Count; i++)
            {
                _saveJSON["storables_Dance"].Add(storables_Dance[i].val.ToString());
            }

            for (int i = 0; i < storables_Actions.Count; i++)
            {
                _saveJSON["storables_Actions"].Add(storables_Actions[i].val.ToString());
            }

            for (int i = 0; i < storables_Gaze.Count; i++)
            {
                _saveJSON["storables_Gaze"].Add(storables_Gaze[i].val.ToString());
            }

            for (int i = 0; i < storables_Hips.Count; i++)
            {
                _saveJSON["storables_Hips"].Add(storables_Hips[i].val.ToString());
            }

            for (int i = 0; i < storables_Chest.Count; i++)
            {
                _saveJSON["storables_Chest"].Add(storables_Chest[i].val.ToString());
            }

            for (int i = 0; i < storables_Head.Count; i++)
            {
                _saveJSON["storables_Head"].Add(storables_Head[i].val.ToString());
            }

            for (int i = 0; i < storables_RightFoot.Count; i++)
            {
                _saveJSON["storables_RightFoot"].Add(storables_RightFoot[i].val.ToString());
            }

            for (int i = 0; i < storables_LeftFoot.Count; i++)
            {
                _saveJSON["storables_LeftFoot"].Add(storables_LeftFoot[i].val.ToString());
            }

            for (int i = 0; i < storables_RightKnee.Count; i++)
            {
                _saveJSON["storables_RightKnee"].Add(storables_RightKnee[i].val.ToString());
            }

            for (int i = 0; i < storables_LeftKnee.Count; i++)
            {
                _saveJSON["storables_LeftKnee"].Add(storables_LeftKnee[i].val.ToString());
            }

            for (int i = 0; i < storables_RightHand.Count; i++)
            {
                _saveJSON["storables_RightHand"].Add(storables_RightHand[i].val.ToString());
            }

            for (int i = 0; i < storables_LeftHand.Count; i++)
            {
                _saveJSON["storables_LeftHand"].Add(storables_LeftHand[i].val.ToString());
            }

            for (int i = 0; i < storables_RightElbow.Count; i++)
            {
                _saveJSON["storables_RightElbow"].Add(storables_RightElbow[i].val.ToString());
            }

            for (int i = 0; i < storables_LeftElbow.Count; i++)
            {
                _saveJSON["storables_LeftElbow"].Add(storables_LeftElbow[i].val.ToString());
            }

            for (int i = 0; i < storables_RightShoulder.Count; i++)
            {
                _saveJSON["storables_RightShoulder"].Add(storables_RightShoulder[i].val.ToString());
            }

            for (int i = 0; i < storables_LeftShoulder.Count; i++)
            {
                _saveJSON["storables_LeftShoulder"].Add(storables_LeftShoulder[i].val.ToString());
            }

            return _saveJSON;
        }

        public override void SetAllParametersFromSaveFile(JSONNode _saveJSON)
        {
            if (_saveJSON["storables_Toggles"] != null)
            {
                for (int i = 0; i < storables_Toggles.Count; i++)
                {
                    storables_Toggles[i].val = _saveJSON["storables_Toggles"][i].AsBool;
                }
            }

            if (_saveJSON["storables_Presets"] != null)
            {
                for (int i = 0; i < storables_Presets.Count; i++)
                {
                    storables_Presets[i].val = _saveJSON["storables_Presets"][i].AsFloat;
                }
            }

            if (_saveJSON["storables_Fullbody"] != null && js_LoadFullBody.val)
            {
                preset_FullBody_StartData = new List<float>();
                preset_FullBody_EndData = new List<float>();

                for (int i = 0; i < storables_Fullbody.Count; i++)
                {
                    preset_FullBody_StartData.Add(storables_Fullbody[i].val);
                    preset_FullBody_EndData.Add(_saveJSON["storables_Fullbody"][i].AsFloat);
                }

                presetTransition_Fullbody_StartTime = Time.time;
                presetTransition_Fullbody = true;
            }

            if (_saveJSON["storables_Timing"] != null && js_LoadTiming.val)
            {
                preset_Timing_StartData = new List<float>();
                preset_Timing_EndData = new List<float>();

                for (int i = 0; i < storables_Timing.Count; i++)
                {
                    preset_Timing_StartData.Add(storables_Timing[i].val);
                    preset_Timing_EndData.Add(_saveJSON["storables_Timing"][i].AsFloat);
                }

                presetTransition_Timing_StartTime = Time.time;
                presetTransition_Timing = true;
            }

            if (_saveJSON["storables_Dance"] != null && js_LoadDance.val)
            {
                preset_Dance_StartData = new List<float>();
                preset_Dance_EndData = new List<float>();

                for (int i = 0; i < storables_Dance.Count; i++)
                {
                    if (storables_Dance[i].name == "Dance_Amplitude")
                    {
                        preset_Dance_StartData.Add(storables_Dance[i].val);
                        preset_Dance_EndData.Add(storables_Dance[i].val);

                        continue;
                    }

                    preset_Dance_StartData.Add(storables_Dance[i].val);
                    preset_Dance_EndData.Add(_saveJSON["storables_Dance"][i].AsFloat);
                }

                presetTransition_Dance_StartTime = Time.time;
                presetTransition_Dance = true;
            }

            if (_saveJSON["storables_Actions"] != null && js_LoadActions.val)
            {
                preset_Actions_StartData = new List<float>();
                preset_Actions_EndData = new List<float>();

                for (int i = 0; i < storables_Actions.Count; i++)
                {
                    preset_Actions_StartData.Add(storables_Actions[i].val);
                    preset_Actions_EndData.Add(_saveJSON["storables_Actions"][i].AsFloat);
                }

                presetTransition_Actions_StartTime = Time.time;
                presetTransition_Actions = true;
            }

            if (_saveJSON["storables_Gaze"] != null && js_LoadGaze.val)
            {
                preset_Gaze_StartData = new List<float>();
                preset_Gaze_EndData = new List<float>();

                for (int i = 0; i < storables_Gaze.Count; i++)
                {
                    preset_Gaze_StartData.Add(storables_Gaze[i].val);
                    preset_Gaze_EndData.Add(_saveJSON["storables_Gaze"][i].AsFloat);
                }

                presetTransition_Gaze_StartTime = Time.time;
                presetTransition_Gaze = true;
            }

            if (_saveJSON["storables_Hips"] != null && js_LoadHips.val)
            {
                preset_Hips_StartData = new List<float>();
                preset_Hips_EndData = new List<float>();

                for (int i = 0; i < storables_Hips.Count; i++)
                {
                    preset_Hips_StartData.Add(storables_Hips[i].val);
                    preset_Hips_EndData.Add(_saveJSON["storables_Hips"][i].AsFloat);
                }

                presetTransition_Hips_StartTime = Time.time;
                presetTransition_Hips = true;
            }

            if (_saveJSON["storables_Chest"] != null && js_LoadChest.val)
            {
                preset_Chest_StartData = new List<float>();
                preset_Chest_EndData = new List<float>();

                for (int i = 0; i < storables_Chest.Count; i++)
                {
                    preset_Chest_StartData.Add(storables_Chest[i].val);
                    preset_Chest_EndData.Add(_saveJSON["storables_Chest"][i].AsFloat);
                }

                presetTransition_Chest_StartTime = Time.time;
                presetTransition_Chest = true;
            }

            if (_saveJSON["storables_Head"] != null && js_LoadHead.val)
            {
                preset_Head_StartData = new List<float>();
                preset_Head_EndData = new List<float>();

                for (int i = 0; i < storables_Head.Count; i++)
                {
                    preset_Head_StartData.Add(storables_Head[i].val);
                    preset_Head_EndData.Add(_saveJSON["storables_Head"][i].AsFloat);
                }

                presetTransition_Head_StartTime = Time.time;
                presetTransition_Head = true;
            }

            if (_saveJSON["storables_RightFoot"] != null && js_LoadRightFoot.val)
            {
                preset_RightFoot_StartData = new List<float>();
                preset_RightFoot_EndData = new List<float>();

                for (int i = 0; i < storables_RightFoot.Count; i++)
                {
                    preset_RightFoot_StartData.Add(storables_RightFoot[i].val);
                    preset_RightFoot_EndData.Add(_saveJSON["storables_RightFoot"][i].AsFloat);
                }

                presetTransition_RightFoot_StartTime = Time.time;
                presetTransition_RightFoot = true;
            }

            if (_saveJSON["storables_LeftFoot"] != null && js_LoadLeftFoot.val)
            {
                preset_LeftFoot_StartData = new List<float>();
                preset_LeftFoot_EndData = new List<float>();

                for (int i = 0; i < storables_LeftFoot.Count; i++)
                {
                    preset_LeftFoot_StartData.Add(storables_LeftFoot[i].val);
                    preset_LeftFoot_EndData.Add(_saveJSON["storables_LeftFoot"][i].AsFloat);
                }

                presetTransition_LeftFoot_StartTime = Time.time;
                presetTransition_LeftFoot = true;
            }

            if (_saveJSON["storables_RightKnee"] != null && js_LoadRightKnee.val)
            {
                preset_RightKnee_StartData = new List<float>();
                preset_RightKnee_EndData = new List<float>();

                for (int i = 0; i < storables_RightKnee.Count; i++)
                {
                    preset_RightKnee_StartData.Add(storables_RightKnee[i].val);
                    preset_RightKnee_EndData.Add(_saveJSON["storables_RightKnee"][i].AsFloat);
                }

                presetTransition_RightKnee_StartTime = Time.time;
                presetTransition_RightKnee = true;
            }

            if (_saveJSON["storables_LeftKnee"] != null && js_LoadLeftKnee.val)
            {
                preset_LeftKnee_StartData = new List<float>();
                preset_LeftKnee_EndData = new List<float>();

                for (int i = 0; i < storables_LeftKnee.Count; i++)
                {
                    preset_LeftKnee_StartData.Add(storables_LeftKnee[i].val);
                    preset_LeftKnee_EndData.Add(_saveJSON["storables_LeftKnee"][i].AsFloat);
                }

                presetTransition_LeftKnee_StartTime = Time.time;
                presetTransition_LeftKnee = true;
            }

            if (_saveJSON["storables_RightHand"] != null && js_LoadRightHand.val)
            {
                preset_RightHand_StartData = new List<float>();
                preset_RightHand_EndData = new List<float>();

                for (int i = 0; i < storables_RightHand.Count; i++)
                {
                    preset_RightHand_StartData.Add(storables_RightHand[i].val);
                    preset_RightHand_EndData.Add(_saveJSON["storables_RightHand"][i].AsFloat);
                }

                presetTransition_RightHand_StartTime = Time.time;
                presetTransition_RightHand = true;
            }

            if (_saveJSON["storables_LeftHand"] != null && js_LoadLeftHand.val)
            {
                preset_LeftHand_StartData = new List<float>();
                preset_LeftHand_EndData = new List<float>();

                for (int i = 0; i < storables_LeftHand.Count; i++)
                {
                    preset_LeftHand_StartData.Add(storables_LeftHand[i].val);
                    preset_LeftHand_EndData.Add(_saveJSON["storables_LeftHand"][i].AsFloat);
                }

                presetTransition_LeftHand_StartTime = Time.time;
                presetTransition_LeftHand = true;
            }

            if (_saveJSON["storables_RightElbow"] != null && js_LoadRightElbow.val)
            {
                preset_RightElbow_StartData = new List<float>();
                preset_RightElbow_EndData = new List<float>();

                for (int i = 0; i < storables_RightElbow.Count; i++)
                {
                    preset_RightElbow_StartData.Add(storables_RightElbow[i].val);
                    preset_RightElbow_EndData.Add(_saveJSON["storables_RightElbow"][i].AsFloat);
                }

                presetTransition_RightElbow_StartTime = Time.time;
                presetTransition_RightElbow = true;
            }

            if (_saveJSON["storables_LeftElbow"] != null && js_LoadLeftElbow.val)
            {
                preset_LeftElbow_StartData = new List<float>();
                preset_LeftElbow_EndData = new List<float>();

                for (int i = 0; i < storables_LeftElbow.Count; i++)
                {
                    preset_LeftElbow_StartData.Add(storables_LeftElbow[i].val);
                    preset_LeftElbow_EndData.Add(_saveJSON["storables_LeftElbow"][i].AsFloat);
                }

                presetTransition_LeftElbow_StartTime = Time.time;
                presetTransition_LeftElbow = true;
            }

            if (_saveJSON["storables_RightShoulder"] != null && js_LoadRightShoulder.val)
            {
                preset_RightShoulder_StartData = new List<float>();
                preset_RightShoulder_EndData = new List<float>();

                for (int i = 0; i < storables_RightShoulder.Count; i++)
                {
                    preset_RightShoulder_StartData.Add(storables_RightShoulder[i].val);
                    preset_RightShoulder_EndData.Add(_saveJSON["storables_RightShoulder"][i].AsFloat);
                }

                presetTransition_RightShoulder_StartTime = Time.time;
                presetTransition_RightShoulder = true;
            }

            if (_saveJSON["storables_LeftShoulder"] != null && js_LoadLeftShoulder.val)
            {
                preset_LeftShoulder_StartData = new List<float>();
                preset_LeftShoulder_EndData = new List<float>();

                for (int i = 0; i < storables_LeftShoulder.Count; i++)
                {
                    preset_LeftShoulder_StartData.Add(storables_LeftShoulder[i].val);
                    preset_LeftShoulder_EndData.Add(_saveJSON["storables_LeftShoulder"][i].AsFloat);
                }

                presetTransition_LeftShoulder_StartTime = Time.time;
                presetTransition_LeftShoulder = true;
            }

        }
        
        public void CreateJSONStorableLists()
        {
            storables_Presets = new List<JSONStorableFloat>();
            storables_Fullbody = new List<JSONStorableFloat>();
            storables_Timing = new List<JSONStorableFloat>();
            storables_Dance = new List<JSONStorableFloat>();
            storables_Actions = new List<JSONStorableFloat>();
            storables_Gaze = new List<JSONStorableFloat>();
            storables_Hips = new List<JSONStorableFloat>();
            storables_Chest = new List<JSONStorableFloat>();
            storables_Head = new List<JSONStorableFloat>();
            storables_RightFoot = new List<JSONStorableFloat>();
            storables_LeftFoot = new List<JSONStorableFloat>();
            storables_RightKnee = new List<JSONStorableFloat>();
            storables_LeftKnee = new List<JSONStorableFloat>();
            storables_RightHand = new List<JSONStorableFloat>();
            storables_LeftHand = new List<JSONStorableFloat>();
            storables_RightElbow = new List<JSONStorableFloat>();
            storables_LeftElbow = new List<JSONStorableFloat>();
            storables_RightShoulder = new List<JSONStorableFloat>();
            storables_LeftShoulder = new List<JSONStorableFloat>();

            storables_Toggles = new List<JSONStorableBool>();

            CreateJSONList_Presets();
            CreateJSONList_Fullbody();
            CreateJSONList_Timing();
            CreateJSONList_Dance();
            CreateJSONList_RightFoot();
            CreateJSONList_LeftFoot();
            CreateJSONList_RightKnee();
            CreateJSONList_LeftKnee();
            CreateJSONList_Hips();
            CreateJSONList_Chest();
            CreateJSONList_Head();
            CreateJSONList_RightHand();
            CreateJSONList_LeftHand();
            CreateJSONList_RightElbow();
            CreateJSONList_LeftElbow();
            CreateJSONList_RightShoulder();
            CreateJSONList_LeftShoulder();
            CreateJSONList_Actions();
            CreateJSONList_Gaze();
            CreateJSONList_Bools();

            InitPresetLists();
        }

        protected void InitPresetLists()
        {

            preset_Timing_StartData = new List<float>();
            preset_Timing_EndData = new List<float>();
            preset_Dance_StartData = new List<float>();
            preset_Dance_EndData = new List<float>();
            preset_Actions_StartData = new List<float>();
            preset_Actions_EndData = new List<float>();
            preset_Gaze_StartData = new List<float>();
            preset_Gaze_EndData = new List<float>();
            preset_Hips_StartData = new List<float>();
            preset_Hips_EndData = new List<float>();
            preset_Chest_StartData = new List<float>();
            preset_Chest_EndData = new List<float>();
            preset_Head_StartData = new List<float>();
            preset_Head_EndData = new List<float>();
            preset_RightFoot_StartData = new List<float>();
            preset_RightFoot_EndData = new List<float>();
            preset_LeftFoot_StartData = new List<float>();
            preset_LeftFoot_EndData = new List<float>();
            preset_RightKnee_StartData = new List<float>();
            preset_RightKnee_EndData = new List<float>();
            preset_LeftKnee_StartData = new List<float>();
            preset_LeftKnee_EndData = new List<float>();
            preset_RightHand_StartData = new List<float>();
            preset_RightHand_EndData = new List<float>();
            preset_LeftHand_StartData = new List<float>();
            preset_LeftHand_EndData = new List<float>();
            preset_RightElbow_StartData = new List<float>();
            preset_RightElbow_EndData = new List<float>();
            preset_LeftElbow_StartData = new List<float>();
            preset_LeftElbow_EndData = new List<float>();
            preset_RightShoulder_StartData = new List<float>();
            preset_RightShoulder_EndData = new List<float>();
            preset_LeftShoulder_StartData = new List<float>();
            preset_LeftShoulder_EndData = new List<float>();
        }

        protected void CreateJSONList_Presets()
        {
            storables_Presets.Add(js_LoadFullBody_Duration);
            storables_Presets.Add(js_LoadTiming_Duration);
            storables_Presets.Add(js_LoadDance_Duration);
            storables_Presets.Add(js_LoadActions_Duration);
            storables_Presets.Add(js_LoadGaze_Duration);
            storables_Presets.Add(js_LoadHead_Duration);
            storables_Presets.Add(js_LoadChest_Duration);
            storables_Presets.Add(js_LoadHips_Duration);
            storables_Presets.Add(js_LoadRightFoot_Duration);
            storables_Presets.Add(js_LoadLeftFoot_Duration);
            storables_Presets.Add(js_LoadRightKnee_Duration);
            storables_Presets.Add(js_LoadLeftKnee_Duration);
            storables_Presets.Add(js_LoadRightHand_Duration);
            storables_Presets.Add(js_LoadLeftHand_Duration);
            storables_Presets.Add(js_LoadRightElbow_Duration);
            storables_Presets.Add(js_LoadLeftElbow_Duration);
            storables_Presets.Add(js_LoadRightShoulder_Duration);
            storables_Presets.Add(js_LoadLeftShoulder_Duration);

            storables_Presets.Add(js_LoadFullBody_Delay);
            storables_Presets.Add(js_LoadTiming_Delay);
            storables_Presets.Add(js_LoadDance_Delay);
            storables_Presets.Add(js_LoadActions_Delay);
            storables_Presets.Add(js_LoadGaze_Delay);
            storables_Presets.Add(js_LoadHead_Delay);
            storables_Presets.Add(js_LoadChest_Delay);
            storables_Presets.Add(js_LoadHips_Delay);
            storables_Presets.Add(js_LoadRightFoot_Delay);
            storables_Presets.Add(js_LoadLeftFoot_Delay);
            storables_Presets.Add(js_LoadRightKnee_Delay);
            storables_Presets.Add(js_LoadLeftKnee_Delay);
            storables_Presets.Add(js_LoadRightHand_Delay);
            storables_Presets.Add(js_LoadLeftHand_Delay);
            storables_Presets.Add(js_LoadRightElbow_Delay);
            storables_Presets.Add(js_LoadLeftElbow_Delay);
            storables_Presets.Add(js_LoadRightShoulder_Delay);
            storables_Presets.Add(js_LoadLeftShoulder_Delay);
        }

        protected void CreateJSONList_Fullbody()
        {           
            storables_Fullbody.Add(js_MoveBothFeetsEachStepFactor);
            storables_Fullbody.Add(js_MoveBothKneesEachStepFactor);

            storables_Fullbody.Add(js_LArmFollowBody);
            storables_Fullbody.Add(js_RArmFollowBody);

            storables_Fullbody.Add(js_BodyHeight);
            storables_Fullbody.Add(js_BodyForward);
            storables_Fullbody.Add(js_BodySide);
            storables_Fullbody.Add(js_BodyPitch);
            storables_Fullbody.Add(js_BodyYaw);
            storables_Fullbody.Add(js_BodyRoll);
            storables_Fullbody.Add(js_Step_BodyHeight);
            storables_Fullbody.Add(js_Step_BodyForward);
            storables_Fullbody.Add(js_Step_BodySide);
            storables_Fullbody.Add(js_Step_BodyPitch);
            storables_Fullbody.Add(js_Step_BodyYaw);
            storables_Fullbody.Add(js_Step_BodyRoll);

            storables_Fullbody.Add(js_Step_BodyHeight_MidPoint);
            storables_Fullbody.Add(js_Step_BodySide_MidPoint);
            storables_Fullbody.Add(js_Step_BodyForward_MidPoint);
            storables_Fullbody.Add(js_Step_BodyYaw_MidPoint);
            storables_Fullbody.Add(js_Step_BodyPitch_MidPoint);
            storables_Fullbody.Add(js_Step_BodyRoll_MidPoint);

            storables_Fullbody.Add(js_StepsXOffset);
            storables_Fullbody.Add(js_StepsXOffsetIdle);
            storables_Fullbody.Add(js_StepsYOffset);

            storables_Fullbody.Add(js_XOffsetRandom_Min);
            storables_Fullbody.Add(js_XOffsetRandom_Max);

            storables_Fullbody.Add(js_HandsStepXOffsetIdle);
            storables_Fullbody.Add(js_HandsStepXOffsetMoving);

            storables_Fullbody.Add(js_HandsStepZOffsetIdle);
            storables_Fullbody.Add(js_HandsStepZOffsetMoving);

            storables_Fullbody.Add(js_HandsTransitionDuration);
            storables_Fullbody.Add(js_LegsTransitionDuration);
        }

        protected void CreateJSONList_Timing()
        {
            storables_Timing.Add(js_StepsDuration);
            storables_Timing.Add(js_StepsDelay);

            storables_Timing.Add(js_DurationRandom_Min);
            storables_Timing.Add(js_DurationRandom_Max);

            storables_Timing.Add(js_OnAllFourStepDelay);
        }

        protected void CreateJSONList_Dance()
        {
            storables_Dance.Add(js_DanceAmplitude);    

            storables_Dance.Add(js_AutoRotAngleChangeMin);
            storables_Dance.Add(js_AutoRotAngleChangeMax);
            storables_Dance.Add(js_AutoRotAngleMin);
            storables_Dance.Add(js_AutoRotAngleMax);
            storables_Dance.Add(js_AutoRotDelayMult);

            storables_Dance.Add(js_HipsAutoRotAngleChangeMin);
            storables_Dance.Add(js_HipsAutoRotAngleChangeMax);
            storables_Dance.Add(js_HipsAutoRotAngleMin);
            storables_Dance.Add(js_HipsAutoRotAngleMax);
            storables_Dance.Add(js_HipsAutoRotDelayMult);

            storables_Dance.Add(js_ChestAutoRotAngleChangeMin);
            storables_Dance.Add(js_ChestAutoRotAngleChangeMax);
            storables_Dance.Add(js_ChestAutoRotAngleMin);
            storables_Dance.Add(js_ChestAutoRotAngleMax);
            storables_Dance.Add(js_ChestAutoRotDelayMult);

            storables_Dance.Add(js_HeadAutoRotAngleChangeMin);
            storables_Dance.Add(js_HeadAutoRotAngleChangeMax);
            storables_Dance.Add(js_HeadAutoRotAngleMin);
            storables_Dance.Add(js_HeadAutoRotAngleMax);
            storables_Dance.Add(js_HeadAutoRotDelayMult);

            storables_Dance.Add(js_DanceAmplitudeChange);
            storables_Dance.Add(js_DanceAmplitudeChangeLimit);
            storables_Dance.Add(js_DanceAmplitudeDelayMult);
        }

        protected void CreateJSONList_RightFoot()
        {
            storables_RightFoot.Add(js_RFootSide);
            storables_RightFoot.Add(js_RFootUpDown);
            storables_RightFoot.Add(js_RFootForward);
            storables_RightFoot.Add(js_RFootPitch);
            storables_RightFoot.Add(js_RFootRoll);
            storables_RightFoot.Add(js_RFootYaw);
            storables_RightFoot.Add(js_RFootStepSide);
            storables_RightFoot.Add(js_RFootStepUpDown);
            storables_RightFoot.Add(js_RFootStepForward);
            storables_RightFoot.Add(js_RFootStepPitch);
            storables_RightFoot.Add(js_RFootStepRoll);
            storables_RightFoot.Add(js_RFootStepYaw);

            storables_RightFoot.Add(js_Step_RFootUpDown_MidPoint);
            storables_RightFoot.Add(js_Step_RFootSide_MidPoint);
            storables_RightFoot.Add(js_Step_RFootForward_MidPoint);
            storables_RightFoot.Add(js_Step_RFootYaw_MidPoint);
            storables_RightFoot.Add(js_Step_RFootPitch_MidPoint);
            storables_RightFoot.Add(js_Step_RFootRoll_MidPoint);
        }

        protected void CreateJSONList_LeftFoot()
        {
            storables_LeftFoot.Add(js_LFootSide);
            storables_LeftFoot.Add(js_LFootUpDown);
            storables_LeftFoot.Add(js_LFootForward);
            storables_LeftFoot.Add(js_LFootPitch);
            storables_LeftFoot.Add(js_LFootRoll);
            storables_LeftFoot.Add(js_LFootYaw);
            storables_LeftFoot.Add(js_LFootStepSide);
            storables_LeftFoot.Add(js_LFootStepUpDown);
            storables_LeftFoot.Add(js_LFootStepForward);
            storables_LeftFoot.Add(js_LFootStepPitch);
            storables_LeftFoot.Add(js_LFootStepRoll);
            storables_LeftFoot.Add(js_LFootStepYaw);

            storables_LeftFoot.Add(js_Step_LFootUpDown_MidPoint);
            storables_LeftFoot.Add(js_Step_LFootSide_MidPoint);
            storables_LeftFoot.Add(js_Step_LFootForward_MidPoint);
            storables_LeftFoot.Add(js_Step_LFootYaw_MidPoint);
            storables_LeftFoot.Add(js_Step_LFootPitch_MidPoint);
            storables_LeftFoot.Add(js_Step_LFootRoll_MidPoint);
        }

        protected void CreateJSONList_RightKnee()
        {
            storables_RightKnee.Add(js_RKneeSide);
            storables_RightKnee.Add(js_RKneeUpDown);
            storables_RightKnee.Add(js_RKneeForward);
            storables_RightKnee.Add(js_RKneeStepSide);
            storables_RightKnee.Add(js_RKneeStepUpDown);
            storables_RightKnee.Add(js_RKneeStepForward);

            storables_RightKnee.Add(js_Step_RKneeUpDown_MidPoint);
            storables_RightKnee.Add(js_Step_RKneeSide_MidPoint);
            storables_RightKnee.Add(js_Step_RKneeForward_MidPoint);
        }

        protected void CreateJSONList_LeftKnee()
        {
            storables_LeftKnee.Add(js_LKneeSide);
            storables_LeftKnee.Add(js_LKneeUpDown);
            storables_LeftKnee.Add(js_LKneeForward);
            storables_LeftKnee.Add(js_LKneeStepSide);
            storables_LeftKnee.Add(js_LKneeStepUpDown);
            storables_LeftKnee.Add(js_LKneeStepForward);

            storables_LeftKnee.Add(js_Step_LKneeUpDown_MidPoint);
            storables_LeftKnee.Add(js_Step_LKneeSide_MidPoint);
            storables_LeftKnee.Add(js_Step_LKneeForward_MidPoint);
        }

        protected void CreateJSONList_Hips()
        {
            storables_Hips.Add(js_HipsSide);
            storables_Hips.Add(js_HipsUpDown);
            storables_Hips.Add(js_HipsForward);
            storables_Hips.Add(js_HipsYaw);
            storables_Hips.Add(js_HipsPitch);
            storables_Hips.Add(js_HipsRoll);
            storables_Hips.Add(js_HipsStepSide);
            storables_Hips.Add(js_HipsStepUpDown);
            storables_Hips.Add(js_HipsStepForward);
            storables_Hips.Add(js_HipsStepYaw);
            storables_Hips.Add(js_HipsStepPitch);
            storables_Hips.Add(js_HipsStepRoll);

            storables_Hips.Add(js_Step_HipsUpDown_MidPoint);
            storables_Hips.Add(js_Step_HipsSide_MidPoint);
            storables_Hips.Add(js_Step_HipsForward_MidPoint);
            storables_Hips.Add(js_Step_HipsYaw_MidPoint);
            storables_Hips.Add(js_Step_HipsPitch_MidPoint);
            storables_Hips.Add(js_Step_HipsRoll_MidPoint);
        }

        protected void CreateJSONList_Chest()
        {
            storables_Chest.Add(js_ChestSide);
            storables_Chest.Add(js_ChestUpDown);
            storables_Chest.Add(js_ChestForward);
            storables_Chest.Add(js_ChestYaw);
            storables_Chest.Add(js_ChestPitch);
            storables_Chest.Add(js_ChestRoll);
            storables_Chest.Add(js_ChestStepSide);
            storables_Chest.Add(js_ChestStepUpDown);
            storables_Chest.Add(js_ChestStepForward);
            storables_Chest.Add(js_ChestStepYaw);
            storables_Chest.Add(js_ChestStepPitch);
            storables_Chest.Add(js_ChestStepRoll);

            storables_Chest.Add(js_Step_ChestUpDown_MidPoint);
            storables_Chest.Add(js_Step_ChestSide_MidPoint);
            storables_Chest.Add(js_Step_ChestForward_MidPoint);
            storables_Chest.Add(js_Step_ChestYaw_MidPoint);
            storables_Chest.Add(js_Step_ChestPitch_MidPoint);
            storables_Chest.Add(js_Step_ChestRoll_MidPoint);
        }

        protected void CreateJSONList_Head()
        {
            storables_Head.Add(js_HeadSide);
            storables_Head.Add(js_HeadUpDown);
            storables_Head.Add(js_HeadForward);
            storables_Head.Add(js_HeadYaw);
            storables_Head.Add(js_HeadPitch);
            storables_Head.Add(js_HeadRoll);
            storables_Head.Add(js_HeadStepSide);
            storables_Head.Add(js_HeadStepUpDown);
            storables_Head.Add(js_HeadStepForward);
            storables_Head.Add(js_HeadStepYaw);
            storables_Head.Add(js_HeadStepPitch);
            storables_Head.Add(js_HeadStepRoll);

            storables_Head.Add(js_Step_HeadUpDown_MidPoint);
            storables_Head.Add(js_Step_HeadSide_MidPoint);
            storables_Head.Add(js_Step_HeadForward_MidPoint);
            storables_Head.Add(js_Step_HeadYaw_MidPoint);
            storables_Head.Add(js_Step_HeadPitch_MidPoint);
            storables_Head.Add(js_Step_HeadRoll_MidPoint);
        }

        protected void CreateJSONList_RightHand()
        {
            storables_RightHand.Add(js_RHandSide);
            storables_RightHand.Add(js_RHandUpDown);
            storables_RightHand.Add(js_RHandForward);
            storables_RightHand.Add(js_RHandYaw);
            storables_RightHand.Add(js_RHandPitch);
            storables_RightHand.Add(js_RHandRoll);
           
            storables_RightHand.Add(js_RHandStepSide);
            storables_RightHand.Add(js_RHandStepUpDown);
            storables_RightHand.Add(js_RHandStepForward);
            storables_RightHand.Add(js_RHandStepYaw);
            storables_RightHand.Add(js_RHandStepPitch);
            storables_RightHand.Add(js_RHandStepRoll);
            
            storables_RightHand.Add(js_Step_RHandUpDown_MidPoint);
            storables_RightHand.Add(js_Step_RHandSide_MidPoint);
            storables_RightHand.Add(js_Step_RHandForward_MidPoint);
            storables_RightHand.Add(js_Step_RHandYaw_MidPoint);
            storables_RightHand.Add(js_Step_RHandPitch_MidPoint);
            storables_RightHand.Add(js_Step_RHandRoll_MidPoint);
        }

        protected void CreateJSONList_LeftHand()
        {
            storables_LeftHand.Add(js_LHandSide);
            storables_LeftHand.Add(js_LHandUpDown);
            storables_LeftHand.Add(js_LHandForward);
            storables_LeftHand.Add(js_LHandYaw);
            storables_LeftHand.Add(js_LHandPitch);
            storables_LeftHand.Add(js_LHandRoll);

            storables_LeftHand.Add(js_LHandStepSide);
            storables_LeftHand.Add(js_LHandStepUpDown);
            storables_LeftHand.Add(js_LHandStepForward);
            storables_LeftHand.Add(js_LHandStepYaw);
            storables_LeftHand.Add(js_LHandStepPitch);
            storables_LeftHand.Add(js_LHandStepRoll);

            storables_LeftHand.Add(js_Step_LHandUpDown_MidPoint);
            storables_LeftHand.Add(js_Step_LHandSide_MidPoint);
            storables_LeftHand.Add(js_Step_LHandForward_MidPoint);
            storables_LeftHand.Add(js_Step_LHandYaw_MidPoint);
            storables_LeftHand.Add(js_Step_LHandPitch_MidPoint);
            storables_LeftHand.Add(js_Step_LHandRoll_MidPoint);
        }

        protected void CreateJSONList_RightElbow()
        {
            storables_RightElbow.Add(js_RElbowSide);
            storables_RightElbow.Add(js_RElbowUpDown);
            storables_RightElbow.Add(js_RElbowForward);
            storables_RightElbow.Add(js_RElbowStepSide);
            storables_RightElbow.Add(js_RElbowStepUpDown);
            storables_RightElbow.Add(js_RElbowStepForward);
            
            storables_RightElbow.Add(js_Step_RElbowUpDown_MidPoint);
            storables_RightElbow.Add(js_Step_RElbowSide_MidPoint);
            storables_RightElbow.Add(js_Step_RElbowForward_MidPoint);
        }

        protected void CreateJSONList_LeftElbow()
        {
            storables_LeftElbow.Add(js_LElbowSide);
            storables_LeftElbow.Add(js_LElbowUpDown);
            storables_LeftElbow.Add(js_LElbowForward);
            storables_LeftElbow.Add(js_LElbowStepSide);
            storables_LeftElbow.Add(js_LElbowStepUpDown);
            storables_LeftElbow.Add(js_LElbowStepForward);
                      
            storables_LeftElbow.Add(js_Step_LElbowUpDown_MidPoint);
            storables_LeftElbow.Add(js_Step_LElbowSide_MidPoint);
            storables_LeftElbow.Add(js_Step_LElbowForward_MidPoint);
        }

        protected void CreateJSONList_RightShoulder()
        {
            storables_RightShoulder.Add(js_RShoulderSide);
            storables_RightShoulder.Add(js_RShoulderUpDown);
            storables_RightShoulder.Add(js_RShoulderForward);
            storables_RightShoulder.Add(js_RShoulderStepSide);
            storables_RightShoulder.Add(js_RShoulderStepUpDown);
            storables_RightShoulder.Add(js_RShoulderStepForward);

            storables_RightShoulder.Add(js_Step_RShoulderUpDown_MidPoint);
            storables_RightShoulder.Add(js_Step_RShoulderSide_MidPoint);
            storables_RightShoulder.Add(js_Step_RShoulderForward_MidPoint);
            
        }

        protected void CreateJSONList_LeftShoulder()
        {
            storables_LeftShoulder.Add(js_LShoulderSide);
            storables_LeftShoulder.Add(js_LShoulderUpDown);
            storables_LeftShoulder.Add(js_LShoulderForward);
            storables_LeftShoulder.Add(js_LShoulderStepSide);
            storables_LeftShoulder.Add(js_LShoulderStepUpDown);
            storables_LeftShoulder.Add(js_LShoulderStepForward);
                                               
            storables_LeftShoulder.Add(js_Step_LShoulderUpDown_MidPoint);
            storables_LeftShoulder.Add(js_Step_LShoulderSide_MidPoint);
            storables_LeftShoulder.Add(js_Step_LShoulderForward_MidPoint);
        }

        protected void CreateJSONList_Actions()
        {
            storables_Actions.Add(js_Action_StepDurationChange);
            storables_Actions.Add(js_Action_DanceAmplitudeChange);
            storables_Actions.Add(js_Action_RotationOffsetChange);
        }

        protected void CreateJSONList_Gaze()
        {
            storables_Gaze.Add(js_GazeSpeed);
            storables_Gaze.Add(js_GazeHipsHFollowThreshold);
            storables_Gaze.Add(js_GazeChestHFollowThreshold);
            storables_Gaze.Add(js_GazeMinVertical);
            storables_Gaze.Add(js_GazeMaxVertical);
            storables_Gaze.Add(js_GazeMaxHorizontal);
            storables_Gaze.Add(js_GazeMaxDistance);
        }

        protected void CreateJSONList_Bools()
        {
            storables_Toggles.Add(js_DanceMode);
    
            storables_Toggles.Add(js_UpdateHipControl);
            storables_Toggles.Add(js_UpdateChestControl);
            storables_Toggles.Add(js_UpdateHeadControl);
   
            storables_Toggles.Add(js_UpdateRFootControl);
            storables_Toggles.Add(js_UpdateLFootControl);
            storables_Toggles.Add(js_UpdateRKneeControl);
            storables_Toggles.Add(js_UpdateLKneeControl);
      
            storables_Toggles.Add(js_UpdateRShoulderControl);
            storables_Toggles.Add(js_UpdateLShoulderControl);
            storables_Toggles.Add(js_UpdateRHandControl);
            storables_Toggles.Add(js_UpdateLHandControl);
            storables_Toggles.Add(js_UpdateRElbowControl);
            storables_Toggles.Add(js_UpdateLElbowControl);
        
            storables_Toggles.Add(js_AutoRotate);
            storables_Toggles.Add(js_HipsAutoRotate);
            storables_Toggles.Add(js_ChestAutoRotate);
            storables_Toggles.Add(js_HeadAutoRotate);
            storables_Toggles.Add(js_RandomAmplitude);

            storables_Toggles.Add(js_LoadFullBody);
            storables_Toggles.Add(js_LoadTiming);
            storables_Toggles.Add(js_LoadActions);
            storables_Toggles.Add(js_LoadGaze);
            storables_Toggles.Add(js_LoadDance);
            storables_Toggles.Add(js_LoadRightHand);
            storables_Toggles.Add(js_LoadLeftHand);
            storables_Toggles.Add(js_LoadRightElbow);
            storables_Toggles.Add(js_LoadLeftElbow);
            storables_Toggles.Add(js_LoadRightShoulder);
            storables_Toggles.Add(js_LoadLeftShoulder);
            storables_Toggles.Add(js_LoadRightFoot);
            storables_Toggles.Add(js_LoadLeftFoot);
            storables_Toggles.Add(js_LoadRightKnee);
            storables_Toggles.Add(js_LoadLeftKnee);
            storables_Toggles.Add(js_LoadHead);
            storables_Toggles.Add(js_LoadChest);
            storables_Toggles.Add(js_LoadHips);

            storables_Toggles.Add(js_GazeActive);
            
            storables_Toggles.Add(js_UseHandGrabToMoveTarget);
            storables_Toggles.Add(js_UseShoulderGrabToAdaptHeight);
            storables_Toggles.Add(js_UseHeadGrabCrawlingToAdaptChest);
            storables_Toggles.Add(js_UseHeadGrabToAdaptBodyYaw);
            storables_Toggles.Add(js_UseHeadGrabToAdaptBodyPitch);
            storables_Toggles.Add(js_UseHeadGrabToAdaptBodyRoll);

            storables_Toggles.Add(js_UseHandsToMove);
            storables_Toggles.Add(js_UseKneesToMove);

            storables_Toggles.Add(js_UseHipsGrabToAdaptPosition);
            storables_Toggles.Add(js_UseHeadGrabToAdaptPosition);
            storables_Toggles.Add(js_UseChestGrabToAdaptPosition);

            storables_Toggles.Add(js_UseHandGrabToAdaptPosition);
            storables_Toggles.Add(js_UseElbowGrabToAdaptPosition);
            storables_Toggles.Add(js_UseShoulderGrabToAdaptPosition);

            storables_Toggles.Add(js_UseFootGrabToAdaptPosition);
            storables_Toggles.Add(js_UseKneeGrabToAdaptPosition);

            storables_Toggles.Add(js_UseHeadGrabToAdaptRotation);
            storables_Toggles.Add(js_UseChestGrabToAdaptRotation);
            storables_Toggles.Add(js_UseHipsGrabToAdaptRotation);
                                                       
            storables_Toggles.Add(js_UseHandGrabToAdaptRotation);
            storables_Toggles.Add(js_UseFootGrabToAdaptRotation);
        }

        #endregion
    }
}